<?php
/**
 * Created by PhpStorm.
 * User: matheussilva
 * Date: 27/04/2015
 * Time: 10:07
 */

namespace Folha\Logic\ObrigacaoLegal\RAIS\Entities;

use \Folha\Logic\ObrigacaoLegal\RAIS\FormataMagnetico;

class Tipo02Base extends FormataMagnetico
{
    protected $sequencial;             //06
    protected $cnpj;                   //14
    protected $prefixo;                //02
    protected $tipoRegistro;           //01
    protected $codigoPisPasep;         //11
    protected $nomeEmpregado;          //52
    protected $dataNascimento;         //08
    protected $nacionalidade;          //02
    protected $anoChegPais;            //04
    protected $grauInstrucao;          //02
    protected $cpf;                    //11
    protected $ctpsNumero;             //08
    protected $ctpsSerie;              //05
    protected $dataAdmissao;           //08
    protected $tipoAdmissao;           //02
    protected $salarioContratu;        //09
    protected $tipoSalContratu;        //01
    protected $horasSemanais;          //02
    protected $cbo;                    //06
    protected $vinculoEmpregat;        //02
    protected $codDesligamento;        //02
    protected $dataDesligamento;       //04
    protected $remunJaneiro;           //09
    protected $remunFevereiro;         //09
    protected $remunMarco;             //09
    protected $remunAbril;             //09
    protected $remunMaio;              //09
    protected $remunJunho;             //09
    protected $remunJulho;             //09
    protected $remunAgosto;            //09
    protected $remunSetembro;          //09
    protected $remunOutubro;           //09
    protected $remunNovembro;          //09
    protected $remunDezembro;          //09
    protected $remun13Adianta;         //09
    protected $mes13Adianta;           //02
    protected $remun13Final;           //09
    protected $mes13Final;             //02
    protected $raca;                   //01
    protected $deficiencia;            //01
    protected $tipoDeficiencia;        //01
    protected $alvara;                 //01
    protected $avisoPrevio;            //09
    protected $sexo;                   //01
    protected $motPriAfastam;          //02
    protected $dataIniPriAfast;        //04
    protected $dataFimPriAfast;        //04
    protected $motSegAfastam;          //02
    protected $dataIniSegAfast;        //04
    protected $dataFimSegAfast;        //04
    protected $motTerAfastam;          //02
    protected $dataIniTerAfast;        //04
    protected $dataFimTerAfast;        //04
    protected $quantDias;              //03
    protected $feriasIndenizada;       //08
    protected $bancoDados;             //08
    protected $quantMeses;             //02
    protected $valorDissidio;          //08
    protected $quantMesesDissid;       //02
    protected $gratificacoes;          //08
    protected $mesesGratifica;         //02
    protected $multRescSemJust;        //08
    protected $cnpjConAssocPri;        //14
    protected $valorConAssoPri;        //08
    protected $cnpjConAssocSeg;        //14
    protected $valorConAssoSeg;        //08
    protected $cnpjConSindiSeg;        //14
    protected $valorConSindSeg;        //08
    protected $cnpjConAssisSeg;        //14
    protected $valorConAssiSeg;        //08
    protected $cnpjConConfeSeg;        //14
    protected $valorConConfSeg;        //08
    protected $municipioTrabalho;      //07
    protected $horaExtraJaneiro;       //09
    protected $horaExtFevereiro;       //09
    protected $horaExtraMarco;         //09
    protected $horaExtraAbril;         //09
    protected $horaExtraMaio;          //09
    protected $horaExtraJunho;         //09
    protected $horaExtraJulho;         //09
    protected $horaExtraAgosto;        //09
    protected $horaExtrSetembro;       //09
    protected $horaExtrOutubro;        //09
    protected $horaExtrNovembro;       //09
    protected $horaExtrDezembro;       //09
    protected $filiadoSindicato;       //01
    protected $infoEmpresa;            //12

    //CONSTRANTES
    const MOD_SALARIO_MENSAL = 'MENSAL';
    const MOD_SALARIO_QUINZENAL = 'QUINZENAL';
    const MOD_SALARIO_SEMANAL = 'SEMANAL';
    const MOD_SALARIO_DIARIO = 'DIARIO';
    const MOD_SALARIO_HORA = 'HORA';
    const MOD_SALARIO_TAREFA = 'TAREFA';

    const DEC_TERCEIRO_ADIANTAMENTO = 120;
    const DEC_TERCEIRO_FINAL = 110;

    const FERIAS_INDENIZADAS_EVENTOS = "570, 515, 510, 270, 275, 505, 500";
    const FERIAS_INDENIZADAS_MOVIMENTOS = "1, 5, 6, 9";

    const GRATIFICACOES_EVENTOS = "140, 150, 175, 160, 170";
    const GRATIFICACOES_MOVIMENTOS = "1, 5, 6, 9";

    const MULTA_RECISAO = '430';


    /**
     * Cria a linha de magnético do funcionário
     * @return string
     * @throws \Exception
     */
    public function getRow()
    {
        try {
            $row = "";
            $lengths = array(
                'cnpj'              => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'prefixo'           => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' =>  2),
                'tipoRegistro'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'codigoPisPasep'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 11),
                'nomeEmpregado'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' => 52),
                'dataNascimento'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES_ANO_8D, 'TAMANHO' =>  8),
                'nacionalidade'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'anoChegPais'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  4),
                'grauInstrucao'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'cpf'               => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 11),
                'ctpsNumero'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'ctpsSerie'         => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' =>  5),
                'dataAdmissao'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES_ANO_8D, 'TAMANHO' =>  8),
                'tipoAdmissao'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'salarioContratu'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'tipoSalContratu'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'horasSemanais'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'cbo'               => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  6),
                'vinculoEmpregat'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'codDesligamento'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'dataDesligamento'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'remunJaneiro'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunFevereiro'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunMarço'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunAbril'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunMaio'         => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunJunho'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunJulho'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunAgosto'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunSetembro'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunOutubro'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunNovembro'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remunDezembro'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'remun13Adianta'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'mes13Adianta'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'remun13Final'      => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'mes13Final'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'raca'              => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'deficiencia'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'tipoDeficiencia'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'alvara'            => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'avisoPrevio'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  9),
                'sexo'              => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'motPriAfastam'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'dataIniPriAdast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'dataFimPriAdast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'motSegAfastam'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'dataIniSegAdast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'dataFimSegAdast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'motTerAfastam'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'dataIniTerAdast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'dataFimTerAdast'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_DIA_MES, 'TAMANHO' =>  4),
                'quantDias'         => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'feriasIndenizada'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'bancoDados'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'quantMeses'        => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'valorDissidio'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'quantMesesDissid'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'gratificacoes'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'mesesGratifica'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  2),
                'multRescSemJust'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConAssocPri'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConAssoPri'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConAssocSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConAssoSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConSindiSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConSindSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConAssisSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConAssiSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'cnpjConConfeSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'valorConConfSeg'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  8),
                'municipioTrabalho' => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  7),
                'horaExtraJaneiro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtFevereiro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraMarço'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraAbril'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraMaio'     => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraJunho'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraJulho'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtraAgosto'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtrSetembro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtrOutubro'   => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtrNovembro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'horaExtrDezembro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  3),
                'filiadoSindicato'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'infoEmpresa'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' => 12),
            );

            foreach($lengths as $name=>$length){
                $row.=$this->setData($this->$name,$length);
            }
//            $this->salvarMagnetico($row, $this->cnpj, $this->dataAdmissao, 'CNPJ', $this->vinculom->getNrvinculom(), $this->pessoah->getNrpispaseppes());

            return $row;
        } catch (\Exception $e) {
            throw $e;
        }
    }

    /**
     * @return mixed
     */
    public function getAlvara()
    {
        return $this->alvara;
    }

    /**
     * @param mixed $alvara
     */
    public function setAlvara($alvara)
    {
        $this->alvara = $alvara;
    }

    /**
     * @return mixed
     */
    public function getAnoChegPais()
    {
        return $this->anoChegPais;
    }

    /**
     * @param mixed $anoChegPais
     */
    public function setAnoChegPais($anoChegPais)
    {
        $this->anoChegPais = $anoChegPais;
    }

    /**
     * @return mixed
     */
    public function getAvisoPrevio()
    {
        return $this->avisoPrevio;
    }

    /**
     * @param mixed $avisoPrevio
     */
    public function setAvisoPrevio($avisoPrevio)
    {
        $this->avisoPrevio = $avisoPrevio;
    }

    /**
     * @return mixed
     */
    public function getBancoDados()
    {
        return $this->bancoDados;
    }

    /**
     * @param mixed $bancoDados
     */
    public function setBancoDados($bancoDados)
    {
        $this->bancoDados = $bancoDados;
    }

    /**
     * @return mixed
     */
    public function getCbo()
    {
        return $this->cbo;
    }

    /**
     * @param mixed $cbo
     */
    public function setCbo($cbo)
    {
        $this->cbo = $cbo;
    }

    /**
     * @return mixed
     */
    public function getCnpj()
    {
        return $this->cnpj;
    }

    /**
     * @param mixed $cnpj
     */
    public function setCnpj($cnpj)
    {
        $this->cnpj = $cnpj;
    }

    /**
     * @return mixed
     */
    public function getCnpjConAssisSeg()
    {
        return $this->cnpjConAssisSeg;
    }

    /**
     * @param mixed $cnpjConAssisSeg
     */
    public function setCnpjConAssisSeg($cnpjConAssisSeg)
    {
        $this->cnpjConAssisSeg = $cnpjConAssisSeg;
    }

    /**
     * @return mixed
     */
    public function getCnpjConAssocPri()
    {
        return $this->cnpjConAssocPri;
    }

    /**
     * @param mixed $cnpjConAssocPri
     */
    public function setCnpjConAssocPri($cnpjConAssocPri)
    {
        $this->cnpjConAssocPri = $cnpjConAssocPri;
    }

    /**
     * @return mixed
     */
    public function getCnpjConAssocSeg()
    {
        return $this->cnpjConAssocSeg;
    }

    /**
     * @param mixed $cnpjConAssocSeg
     */
    public function setCnpjConAssocSeg($cnpjConAssocSeg)
    {
        $this->cnpjConAssocSeg = $cnpjConAssocSeg;
    }

    /**
     * @return mixed
     */
    public function getCnpjConConfeSeg()
    {
        return $this->cnpjConConfeSeg;
    }

    /**
     * @param mixed $cnpjConConfeSeg
     */
    public function setCnpjConConfeSeg($cnpjConConfeSeg)
    {
        $this->cnpjConConfeSeg = $cnpjConConfeSeg;
    }

    /**
     * @return mixed
     */
    public function getCnpjConSindiSeg()
    {
        return $this->cnpjConSindiSeg;
    }

    /**
     * @param mixed $cnpjConSindiSeg
     */
    public function setCnpjConSindiSeg($cnpjConSindiSeg)
    {
        $this->cnpjConSindiSeg = $cnpjConSindiSeg;
    }

    /**
     * @return mixed
     */
    public function getCodDesligamento()
    {
        return $this->codDesligamento;
    }

    /**
     * @param mixed $codDesligamento
     */
    public function setCodDesligamento($codDesligamento)
    {
        $this->codDesligamento = $codDesligamento;
    }

    /**
     * @return mixed
     */
    public function getCodigoPisPasep()
    {
        return $this->codigoPisPasep;
    }

    /**
     * @param mixed $codigoPisPasep
     */
    public function setCodigoPisPasep($codigoPisPasep)
    {
        $this->codigoPisPasep = $codigoPisPasep;
    }

    /**
     * @return mixed
     */
    public function getCpf()
    {
        return $this->cpf;
    }

    /**
     * @param mixed $cpf
     */
    public function setCpf($cpf)
    {
        $this->cpf = $cpf;
    }

    /**
     * @return mixed
     */
    public function getCtpsNumero()
    {
        return $this->ctpsNumero;
    }

    /**
     * @param mixed $ctpsNumero
     */
    public function setCtpsNumero($ctpsNumero)
    {
        $this->ctpsNumero = $ctpsNumero;
    }

    /**
     * @return mixed
     */
    public function getCtpsSerie()
    {
        return $this->ctpsSerie;
    }

    /**
     * @param mixed $ctpsSerie
     */
    public function setCtpsSerie($ctpsSerie)
    {
        $this->ctpsSerie = $ctpsSerie;
    }

    /**
     * @return mixed
     */
    public function getDataAdmissao()
    {
        return $this->dataAdmissao;
    }

    /**
     * @param mixed $dataAdmissao
     */
    public function setDataAdmissao($dataAdmissao)
    {
        $this->dataAdmissao = $dataAdmissao;
    }

    /**
     * @return mixed
     */
    public function getDataDesligamento()
    {
        return $this->dataDesligamento;
    }

    /**
     * @param mixed $dataDesligamento
     */
    public function setDataDesligamento($dataDesligamento)
    {
        $this->dataDesligamento = $dataDesligamento;
    }

    /**
     * @return mixed
     */
    public function getDataFimPriAfast()
    {
        return $this->dataFimPriAfast;
    }

    /**
     * @param mixed $dataFimPriAfast
     */
    public function setDataFimPriAfast($dataFimPriAfast)
    {
        $this->dataFimPriAfast = $dataFimPriAfast;
    }

    /**
     * @return mixed
     */
    public function getDataFimSegAfast()
    {
        return $this->dataFimSegAfast;
    }

    /**
     * @param mixed $dataFimSegAfast
     */
    public function setDataFimSegAfast($dataFimSegAfast)
    {
        $this->dataFimSegAfast = $dataFimSegAfast;
    }

    /**
     * @return mixed
     */
    public function getDataFimTerAfast()
    {
        return $this->dataFimTerAfast;
    }

    /**
     * @param mixed $dataFimTerAfast
     */
    public function setDataFimTerAfast($dataFimTerAfast)
    {
        $this->dataFimTerAfast = $dataFimTerAfast;
    }

    /**
     * @return mixed
     */
    public function getDataIniPriAfast()
    {
        return $this->dataIniPriAfast;
    }

    /**
     * @param mixed $dataIniPriAfast
     */
    public function setDataIniPriAfast($dataIniPriAfast)
    {
        $this->dataIniPriAfast = $dataIniPriAfast;
    }

    /**
     * @return mixed
     */
    public function getDataIniSegAfast()
    {
        return $this->dataIniSegAfast;
    }

    /**
     * @param mixed $dataIniSegAfast
     */
    public function setDataIniSegAfast($dataIniSegAfast)
    {
        $this->dataIniSegAfast = $dataIniSegAfast;
    }

    /**
     * @return mixed
     */
    public function getDataIniTerAfast()
    {
        return $this->dataIniTerAfast;
    }

    /**
     * @param mixed $dataIniTerAfast
     */
    public function setDataIniTerAfast($dataIniTerAfast)
    {
        $this->dataIniTerAfast = $dataIniTerAfast;
    }

    /**
     * @return mixed
     */
    public function getDataNascimento()
    {
        return $this->dataNascimento;
    }

    /**
     * @param mixed $dataNascimento
     */
    public function setDataNascimento($dataNascimento)
    {
        $this->dataNascimento = $dataNascimento;
    }

    /**
     * @return mixed
     */
    public function getDeficiencia()
    {
        return $this->deficiencia;
    }

    /**
     * @param mixed $deficiencia
     */
    public function setDeficiencia($deficiencia)
    {
        $this->deficiencia = $deficiencia;
    }

    /**
     * @return mixed
     */
    public function getFeriasIndenizada()
    {
        return $this->feriasIndenizada;
    }

    /**
     * @param mixed $feriasIndenizada
     */
    public function setFeriasIndenizada($feriasIndenizada)
    {
        $this->feriasIndenizada = $feriasIndenizada;
    }

    /**
     * @return mixed
     */
    public function getFiliadoSindicato()
    {
        return $this->filiadoSindicato;
    }

    /**
     * @param mixed $filiadoSindicato
     */
    public function setFiliadoSindicato($filiadoSindicato)
    {
        $this->filiadoSindicato = $filiadoSindicato;
    }

    /**
     * @return mixed
     */
    public function getGratificacoes()
    {
        return $this->gratificacoes;
    }

    /**
     * @param mixed $gratificacoes
     */
    public function setGratificacoes($gratificacoes)
    {
        $this->gratificacoes = $gratificacoes;
    }

    /**
     * @return mixed
     */
    public function getGrauInstrucao()
    {
        return $this->grauInstrucao;
    }

    /**
     * @param mixed $grauInstrucao
     */
    public function setGrauInstrucao($grauInstrucao)
    {
        $this->grauInstrucao = $grauInstrucao;
    }

    /**
     * @return mixed
     */
    public function getHoraExtFevereiro()
    {
        return $this->horaExtFevereiro;
    }

    /**
     * @param mixed $horaExtFevereiro
     */
    public function setHoraExtFevereiro($horaExtFevereiro)
    {
        $this->horaExtFevereiro = $horaExtFevereiro;
    }

    /**
     * @return mixed
     */
    public function getHoraExtrDezembro()
    {
        return $this->horaExtrDezembro;
    }

    /**
     * @param mixed $horaExtrDezembro
     */
    public function setHoraExtrDezembro($horaExtrDezembro)
    {
        $this->horaExtrDezembro = $horaExtrDezembro;
    }

    /**
     * @return mixed
     */
    public function getHoraExtrNovembro()
    {
        return $this->horaExtrNovembro;
    }

    /**
     * @param mixed $horaExtrNovembro
     */
    public function setHoraExtrNovembro($horaExtrNovembro)
    {
        $this->horaExtrNovembro = $horaExtrNovembro;
    }

    /**
     * @return mixed
     */
    public function getHoraExtrOutubro()
    {
        return $this->horaExtrOutubro;
    }

    /**
     * @param mixed $horaExtrOutubro
     */
    public function setHoraExtrOutubro($horaExtrOutubro)
    {
        $this->horaExtrOutubro = $horaExtrOutubro;
    }

    /**
     * @return mixed
     */
    public function getHoraExtrSetembro()
    {
        return $this->horaExtrSetembro;
    }

    /**
     * @param mixed $horaExtrSetembro
     */
    public function setHoraExtrSetembro($horaExtrSetembro)
    {
        $this->horaExtrSetembro = $horaExtrSetembro;
    }

    /**
     * @return mixed
     */
    public function getHoraExtraAbril()
    {
        return $this->horaExtraAbril;
    }

    /**
     * @param mixed $horaExtraAbril
     */
    public function setHoraExtraAbril($horaExtraAbril)
    {
        $this->horaExtraAbril = $horaExtraAbril;
    }

    /**
     * @return mixed
     */
    public function getHoraExtraAgosto()
    {
        return $this->horaExtraAgosto;
    }

    /**
     * @param mixed $horaExtraAgosto
     */
    public function setHoraExtraAgosto($horaExtraAgosto)
    {
        $this->horaExtraAgosto = $horaExtraAgosto;
    }

    /**
     * @return mixed
     */
    public function getHoraExtraJaneiro()
    {
        return $this->horaExtraJaneiro;
    }

    /**
     * @param mixed $horaExtraJaneiro
     */
    public function setHoraExtraJaneiro($horaExtraJaneiro)
    {
        $this->horaExtraJaneiro = $horaExtraJaneiro;
    }

    /**
     * @return mixed
     */
    public function getHoraExtraJulho()
    {
        return $this->horaExtraJulho;
    }

    /**
     * @param mixed $horaExtraJulho
     */
    public function setHoraExtraJulho($horaExtraJulho)
    {
        $this->horaExtraJulho = $horaExtraJulho;
    }

    /**
     * @return mixed
     */
    public function getHoraExtraJunho()
    {
        return $this->horaExtraJunho;
    }

    /**
     * @param mixed $horaExtraJunho
     */
    public function setHoraExtraJunho($horaExtraJunho)
    {
        $this->horaExtraJunho = $horaExtraJunho;
    }

    /**
     * @return mixed
     */
    public function getHoraExtraMaio()
    {
        return $this->horaExtraMaio;
    }

    /**
     * @param mixed $horaExtraMaio
     */
    public function setHoraExtraMaio($horaExtraMaio)
    {
        $this->horaExtraMaio = $horaExtraMaio;
    }

    /**
     * @return mixed
     */
    public function getHoraExtraMarco()
    {
        return $this->horaExtraMarco;
    }

    /**
     * @param mixed $horaExtraMarco
     */
    public function setHoraExtraMarco($horaExtraMarco)
    {
        $this->horaExtraMarco = $horaExtraMarco;
    }

    /**
     * @return mixed
     */
    public function getHorasSemanais()
    {
        return $this->horasSemanais;
    }

    /**
     * @param mixed $horasSemanais
     */
    public function setHorasSemanais($horasSemanais)
    {
        $this->horasSemanais = $horasSemanais;
    }

    /**
     * @return mixed
     */
    public function getInfoEmpresa()
    {
        return $this->infoEmpresa;
    }

    /**
     * @param mixed $infoEmpresa
     */
    public function setInfoEmpresa($infoEmpresa)
    {
        $this->infoEmpresa = $infoEmpresa;
    }

    /**
     * @return mixed
     */
    public function getMes13Adianta()
    {
        return $this->mes13Adianta;
    }

    /**
     * @param mixed $mes13Adianta
     */
    public function setMes13Adianta($mes13Adianta)
    {
        $this->mes13Adianta = $mes13Adianta;
    }

    /**
     * @return mixed
     */
    public function getMes13Final()
    {
        return $this->mes13Final;
    }

    /**
     * @param mixed $mes13Final
     */
    public function setMes13Final($mes13Final)
    {
        $this->mes13Final = $mes13Final;
    }

    /**
     * @return mixed
     */
    public function getMesesGratifica()
    {
        return $this->mesesGratifica;
    }

    /**
     * @param mixed $mesesGratifica
     */
    public function setMesesGratifica($mesesGratifica)
    {
        $this->mesesGratifica = $mesesGratifica;
    }

    /**
     * @return mixed
     */
    public function getMotPriAfastam()
    {
        return $this->motPriAfastam;
    }

    /**
     * @param mixed $motPriAfastam
     */
    public function setMotPriAfastam($motPriAfastam)
    {
        $this->motPriAfastam = $motPriAfastam;
    }

    /**
     * @return mixed
     */
    public function getMotSegAfastam()
    {
        return $this->motSegAfastam;
    }

    /**
     * @param mixed $motSegAfastam
     */
    public function setMotSegAfastam($motSegAfastam)
    {
        $this->motSegAfastam = $motSegAfastam;
    }

    /**
     * @return mixed
     */
    public function getMotTerAfastam()
    {
        return $this->motTerAfastam;
    }

    /**
     * @param mixed $motTerAfastam
     */
    public function setMotTerAfastam($motTerAfastam)
    {
        $this->motTerAfastam = $motTerAfastam;
    }

    /**
     * @return mixed
     */
    public function getMultRescSemJust()
    {
        return $this->multRescSemJust;
    }

    /**
     * @param mixed $multRescSemJust
     */
    public function setMultRescSemJust($multRescSemJust)
    {
        $this->multRescSemJust = $multRescSemJust;
    }

    /**
     * @return mixed
     */
    public function getMunicipioTrabalho()
    {
        return $this->municipioTrabalho;
    }

    /**
     * @param mixed $municipioTrabalho
     */
    public function setMunicipioTrabalho($municipioTrabalho)
    {
        $this->municipioTrabalho = $municipioTrabalho;
    }

    /**
     * @return mixed
     */
    public function getNacionalidade()
    {
        return $this->nacionalidade;
    }

    /**
     * @param mixed $nacionalidade
     */
    public function setNacionalidade($nacionalidade)
    {
        $this->nacionalidade = $nacionalidade;
    }

    /**
     * @return mixed
     */
    public function getNomeEmpregado()
    {
        return $this->nomeEmpregado;
    }

    /**
     * @param mixed $nomeEmpregado
     */
    public function setNomeEmpregado($nomeEmpregado)
    {
        $this->nomeEmpregado = $nomeEmpregado;
    }

    /**
     * @return mixed
     */
    public function getPrefixo()
    {
        return $this->prefixo;
    }

    /**
     * @param mixed $prefixo
     */
    public function setPrefixo($prefixo)
    {
        $this->prefixo = $prefixo;
    }

    /**
     * @return mixed
     */
    public function getQuantDias()
    {
        return $this->quantDias;
    }

    /**
     * @param mixed $quantDias
     */
    public function setQuantDias($quantDias)
    {
        $this->quantDias = $quantDias;
    }

    /**
     * @return mixed
     */
    public function getQuantMeses()
    {
        return $this->quantMeses;
    }

    /**
     * @param mixed $quantMeses
     */
    public function setQuantMeses($quantMeses)
    {
        $this->quantMeses = $quantMeses;
    }

    /**
     * @return mixed
     */
    public function getQuantMesesDissid()
    {
        return $this->quantMesesDissid;
    }

    /**
     * @param mixed $quantMesesDissid
     */
    public function setQuantMesesDissid($quantMesesDissid)
    {
        $this->quantMesesDissid = $quantMesesDissid;
    }

    /**
     * @return mixed
     */
    public function getRaca()
    {
        return $this->raca;
    }

    /**
     * @param mixed $raca
     */
    public function setRaca($raca)
    {
        $this->raca = $raca;
    }

    /**
     * @return mixed
     */
    public function getRemun13Adianta()
    {
        return $this->remun13Adianta;
    }

    /**
     * @param mixed $remun13Adianta
     */
    public function setRemun13Adianta($remun13Adianta)
    {
        $this->remun13Adianta = $remun13Adianta;
    }

    /**
     * @return mixed
     */
    public function getRemun13Final()
    {
        return $this->remun13Final;
    }

    /**
     * @param mixed $remun13Final
     */
    public function setRemun13Final($remun13Final)
    {
        $this->remun13Final = $remun13Final;
    }

    /**
     * @return mixed
     */
    public function getRemunAbril()
    {
        return $this->remunAbril;
    }

    /**
     * @param mixed $remunAbril
     */
    public function setRemunAbril($remunAbril)
    {
        $this->remunAbril = $remunAbril;
    }

    /**
     * @return mixed
     */
    public function getRemunAgosto()
    {
        return $this->remunAgosto;
    }

    /**
     * @param mixed $remunAgosto
     */
    public function setRemunAgosto($remunAgosto)
    {
        $this->remunAgosto = $remunAgosto;
    }

    /**
     * @return mixed
     */
    public function getRemunDezembro()
    {
        return $this->remunDezembro;
    }

    /**
     * @param mixed $remunDezembro
     */
    public function setRemunDezembro($remunDezembro)
    {
        $this->remunDezembro = $remunDezembro;
    }

    /**
     * @return mixed
     */
    public function getRemunFevereiro()
    {
        return $this->remunFevereiro;
    }

    /**
     * @param mixed $remunFevereiro
     */
    public function setRemunFevereiro($remunFevereiro)
    {
        $this->remunFevereiro = $remunFevereiro;
    }

    /**
     * @return mixed
     */
    public function getRemunJaneiro()
    {
        return $this->remunJaneiro;
    }

    /**
     * @param mixed $remunJaneiro
     */
    public function setRemunJaneiro($remunJaneiro)
    {
        $this->remunJaneiro = $remunJaneiro;
    }

    /**
     * @return mixed
     */
    public function getRemunJulho()
    {
        return $this->remunJulho;
    }

    /**
     * @param mixed $remunJulho
     */
    public function setRemunJulho($remunJulho)
    {
        $this->remunJulho = $remunJulho;
    }

    /**
     * @return mixed
     */
    public function getRemunJunho()
    {
        return $this->remunJunho;
    }

    /**
     * @param mixed $remunJunho
     */
    public function setRemunJunho($remunJunho)
    {
        $this->remunJunho = $remunJunho;
    }

    /**
     * @return mixed
     */
    public function getRemunMaio()
    {
        return $this->remunMaio;
    }

    /**
     * @param mixed $remunMaio
     */
    public function setRemunMaio($remunMaio)
    {
        $this->remunMaio = $remunMaio;
    }

    /**
     * @return mixed
     */
    public function getRemunMarco()
    {
        return $this->remunMarco;
    }

    /**
     * @param mixed $remunMarco
     */
    public function setRemunMarco($remunMarco)
    {
        $this->remunMarco = $remunMarco;
    }

    /**
     * @return mixed
     */
    public function getRemunNovembro()
    {
        return $this->remunNovembro;
    }

    /**
     * @param mixed $remunNovembro
     */
    public function setRemunNovembro($remunNovembro)
    {
        $this->remunNovembro = $remunNovembro;
    }

    /**
     * @return mixed
     */
    public function getRemunOutubro()
    {
        return $this->remunOutubro;
    }

    /**
     * @param mixed $remunOutubro
     */
    public function setRemunOutubro($remunOutubro)
    {
        $this->remunOutubro = $remunOutubro;
    }

    /**
     * @return mixed
     */
    public function getRemunSetembro()
    {
        return $this->remunSetembro;
    }

    /**
     * @param mixed $remunSetembro
     */
    public function setRemunSetembro($remunSetembro)
    {
        $this->remunSetembro = $remunSetembro;
    }

    /**
     * @return mixed
     */
    public function getSalarioContratu()
    {
        return $this->salarioContratu;
    }

    /**
     * @param mixed $salarioContratu
     */
    public function setSalarioContratu($salarioContratu)
    {
        $this->salarioContratu = $salarioContratu;
    }

    /**
     * @return mixed
     */
    public function getSequencial()
    {
        return $this->sequencial;
    }

    /**
     * @param mixed $sequencial
     */
    public function setSequencial($sequencial)
    {
        $this->sequencial = $sequencial;
    }

    /**
     * @return mixed
     */
    public function getSexo()
    {
        return $this->sexo;
    }

    /**
     * @param mixed $sexo
     */
    public function setSexo($sexo)
    {
        $this->sexo = $sexo;
    }

    /**
     * @return mixed
     */
    public function getTipoAdmissao()
    {
        return $this->tipoAdmissao;
    }

    /**
     * @param mixed $tipoAdmissao
     */
    public function setTipoAdmissao($tipoAdmissao)
    {
        $this->tipoAdmissao = $tipoAdmissao;
    }

    /**
     * @return mixed
     */
    public function getTipoDeficiencia()
    {
        return $this->tipoDeficiencia;
    }

    /**
     * @param mixed $tipoDeficiencia
     */
    public function setTipoDeficiencia($tipoDeficiencia)
    {
        $this->tipoDeficiencia = $tipoDeficiencia;
    }

    /**
     * @return mixed
     */
    public function getTipoRegistro()
    {
        return $this->tipoRegistro;
    }

    /**
     * @param mixed $tipoRegistro
     */
    public function setTipoRegistro($tipoRegistro)
    {
        $this->tipoRegistro = $tipoRegistro;
    }

    /**
     * @return mixed
     */
    public function getTipoSalContratu()
    {
        return $this->tipoSalContratu;
    }

    /**
     * @param mixed $tipoSalContratu
     */
    public function setTipoSalContratu($tipoSalContratu)
    {
        $this->tipoSalContratu = $tipoSalContratu;
    }

    /**
     * @return mixed
     */
    public function getValorConAssiSeg()
    {
        return $this->valorConAssiSeg;
    }

    /**
     * @param mixed $valorConAssiSeg
     */
    public function setValorConAssiSeg($valorConAssiSeg)
    {
        $this->valorConAssiSeg = $valorConAssiSeg;
    }

    /**
     * @return mixed
     */
    public function getValorConAssoPri()
    {
        return $this->valorConAssoPri;
    }

    /**
     * @param mixed $valorConAssoPri
     */
    public function setValorConAssoPri($valorConAssoPri)
    {
        $this->valorConAssoPri = $valorConAssoPri;
    }

    /**
     * @return mixed
     */
    public function getValorConAssoSeg()
    {
        return $this->valorConAssoSeg;
    }

    /**
     * @param mixed $valorConAssoSeg
     */
    public function setValorConAssoSeg($valorConAssoSeg)
    {
        $this->valorConAssoSeg = $valorConAssoSeg;
    }

    /**
     * @return mixed
     */
    public function getValorConConfSeg()
    {
        return $this->valorConConfSeg;
    }

    /**
     * @param mixed $valorConConfSeg
     */
    public function setValorConConfSeg($valorConConfSeg)
    {
        $this->valorConConfSeg = $valorConConfSeg;
    }

    /**
     * @return mixed
     */
    public function getValorConSindSeg()
    {
        return $this->valorConSindSeg;
    }

    /**
     * @param mixed $valorConSindSeg
     */
    public function setValorConSindSeg($valorConSindSeg)
    {
        $this->valorConSindSeg = $valorConSindSeg;
    }

    /**
     * @return mixed
     */
    public function getValorDissidio()
    {
        return $this->valorDissidio;
    }

    /**
     * @param mixed $valorDissidio
     */
    public function setValorDissidio($valorDissidio)
    {
        $this->valorDissidio = $valorDissidio;
    }

    /**
     * @return mixed
     */
    public function getVinculoEmpregat()
    {
        return $this->vinculoEmpregat;
    }

    /**
     * @param mixed $vinculoEmpregat
     */
    public function setVinculoEmpregat($vinculoEmpregat)
    {
        $this->vinculoEmpregat = $vinculoEmpregat;
    }


} 