<?php
namespace Folha\Repositories;

class GpeEsocialRegistro extends \Doctrine\ORM\EntityRepository
{
    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Informações do
     * Empregador/Contribuinte".
     */
    public static function dataSetEsocial_S1000($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente)
    {
        $sql = <<<SQL
SELECT EM.NRESTRUTURAM CHAVE,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PN.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       CASE WHEN EH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PN.NRINSCRICAOPARC ELSE SUBSTR(PN.NRINSCRICAOPARC,1,8) END nrInsc,
       TO_CHAR(EM.DTINIVIGENCIA, 'YYYY-MM') iniValid,
       TO_CHAR(EM.DTFIMVIGENCIA, 'YYYY-MM') fimValid,
       EH.NMRAZSOCESTRUT nmRazao,
       CT.CDESOCIAL classTrib,
       EH.CDNATUJURI natJurid,
       EH.CDCNAE cnaePreponderante,
       '0' indCoop,
       '0' indConstr,
       CF.VRALIQRAT aliqRat,
       '__indDesFolha__' indDesFolha,
       '__indOptRegEletron__' indOptRegEletron,
       'N' multTabRubricas,
       '__nrSiafi__' nrSiafi,
       TO_CHAR(EH.VRFAP,'9.9999') fap,
       (CF.VRALIQRAT * EH.VRFAP) aliqRatAjustada,
       PR.NMPRINCIPALPARC nmCtt,
       PR.NRINSCRICAOPARC cpfCtt,
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
          LEFT JOIN FORMACOMU F ON F.CDFORMACOMU = C.CDFORMACOMU
         WHERE C.NRORG = PN.NRORG
           AND C.NRPARCNEGOCIO = PN.NRPARCNEGOCIO
           AND F.CDFORMACOMU = '01') foneFixo, -- 01=Telefone Principal
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
          LEFT JOIN FORMACOMU F ON F.CDFORMACOMU = C.CDFORMACOMU
         WHERE C.NRORG = PN.NRORG
           AND C.NRPARCNEGOCIO = PN.NRPARCNEGOCIO
           AND F.CDFORMACOMU = '02') foneCel, -- 02=Celular Pessoal
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
          LEFT JOIN FORMACOMU F ON F.CDFORMACOMU = C.CDFORMACOMU
         WHERE C.NRORG = PN.NRORG
           AND C.NRPARCNEGOCIO = PN.NRPARCNEGOCIO
           AND F.CDFORMACOMU = '10') fax, -- 10=Fax
       (SELECT MAX(C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
          LEFT JOIN FORMACOMU F ON F.CDFORMACOMU = C.CDFORMACOMU
         WHERE C.NRORG = PN.NRORG
           AND C.NRPARCNEGOCIO = PN.NRPARCNEGOCIO
           AND F.CDFORMACOMU = '05') email, -- 05=Email
       0 inclusao,
       0 alteracao,
       0 novavalidade,
       0 exclusao,
       EM.NRESTRUTURAM
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                            AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
         WHERE PO.NRORG = $nrorg) EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
  LEFT JOIN PARCNEGOCIO PR ON PR.NRPARCNEGOCIO = EH.NRPROPRIEMPR
                          AND PR.NRORG = EH.NRORG
  LEFT JOIN CNAEFISCAL CF ON CF.CDCNAE = EH.CDCNAE
  LEFT JOIN CLASSTRIBUT CT ON CT.NRCLASSTRIBUT = EH.NRCLASSTRIBUT
 WHERE WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1000_softwareHouse()
    {
        $sqlSoftwareHouse = <<<SQL
SELECT '06348006000130' cnpjSoftwareHouse,
       'PEBBIAN TECNOLOGIA EM SOFT. MOBILE ERP' softNomeRazao,
       'PEBBIAN' softNomeContato,
       '03121222300' telefone,
       '3106200' codMunicipio,
       'MG' uf,
       'teknisa@teknisa.com' softEmail
  FROM DUAL
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlSoftwareHouse);

    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Tabela de
     * Estabelecimentos e Obras de Construção Civil".
     **/
    public static function dataSetEsocial_S1005($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente)
    {
        $sql = <<<SQL
SELECT EM.NRESTRUTURAM CHAVE,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PN.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') ideEstab_tpInsc,
       PN.NRINSCRICAOPARC ideEstab_nrInsc,
       TO_CHAR(EM.DTINIVIGENCIA, 'YYYY-MM') iniValid,
       TO_CHAR(EM.DTFIMVIGENCIA, 'YYYY-MM') fimValid,
       EH.CDCNAE cnaePrep,
       CF.VRALIQRAT aliqRat,
       TO_CHAR(EH.VRFAP,'9.9999') fap,
       TO_CHAR((CF.VRALIQRAT * EH.VRFAP),'99.9999') aliqRatAjust,
       0 inclusao,
       0 alteracao,
       0 novavalidade,
       0 exclusao
  FROM GPE_PARAMORG PO
  JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                    AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
  LEFT JOIN CNAEFISCAL CF ON CF.CDCNAE = EH.CDCNAE
                         AND (CF.NRORG = EH.NRORG OR CF.NRORG = 0)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = EM.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE PO.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Tabela de Rubricas".
     *
     * OBS.: Este método foi utilizado somente como exemplo do que pode ser feito, para a geração dos arquivos do
     *       e-Social. Para sua aplicação em produção, este deve ser revisto, para que os devidos dados sejam
     *       retornados.
     **/
    public static function dataSetEsocial_S1010($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente)
    {
        $sql = <<<SQL
SELECT EM.NREVENTOM CHAVE,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       EM.NREVENTOM codRubr,
       '' ideTabRubr,
       TO_CHAR(EM.DTINIVIGENCIA,'YYYY-MM') iniValid,
       TO_CHAR(EM.DTFIMVIGENCIA,'YYYY-MM') fimValid,
       EH.NMEVENTOH dscRubr,
       NR.CDESOCIAL natRubr,
       DECODE(EH.IDEVENTODEMONST,'S','3',DECODE(EM.IDTIPOEVENTO,'PROVENTO','1','DESCONTO','2','ENCARGO','2','TOTAL','3')) tpRubr,
       '' codIncCP,
       '' codIncIRRF,
       '' codIncFGTS,
       '' codIncSIND,
       '' repDSR,
       '' rep13,
       '' repFerias,
       '' repResc,
       EH.VRPERCENTUALEVENTO fatorRubr,
       0 inclusao,
       0 alteracao,
       0 novavalidade,
       0 exclusao
  FROM FPA_EVENTOM EM
  JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                     AND EH.NRORG = EM.NRORG
                     AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                               WHERE H1.NREVENTOM = EH.NREVENTOM
                                                 AND H1.NRORG = EH.NRORG
                                                 AND H1.DTMESCOMPETENC <= '$fimPeriodo')
  LEFT JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
  /*Empregador*/
  JOIN (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                            AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
         WHERE PO.NRORG = $nrorg) EMP ON (EMP.NRORG = EM.NRORG OR EM.NRORG = 0)
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NREMPREGADOR
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE (EM.NRORG = $nrorg OR EM.NRORG = 0)
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);
        
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Tabela de
     * Lotações".
     **/
    public static function dataSetEsocial_S1020($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente)
    {
        $sql = <<<SQL
SELECT EM.NRESTRUTURAM CHAVE,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       EM.NRESTRUTURAM codLotacao,
       TO_CHAR(EM.DTINIVIGENCIA, 'YYYY-MM') iniValid,
       TO_CHAR(EM.DTFIMVIGENCIA, 'YYYY-MM') fimValid,
       EH.NMRAZSOCESTRUT descLotacao,
       TL.CDESOCIAL tpLotacao,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') dadoslotacao_tpinsc,
       PN.NRINSCRICAOPARC dadoslotacao_nrinsc,
       EH.CDFPAS fpas,
       EH.CDTERCEIRO codTercs,
       NVL(LG.CDESOCIAL,'O') tpLogradouro,
       EP.DSENDERECO descLogradouro,
       EP.NRENDERECOPARC nrLogradouro,
       EP.DSCOMPLEENDERECO complemento,
       EP.NMBAIRROENDERECO bairro,
       EP.NRCEPENDERECO cep,
       MP.CDMUNICIBGE codMunicipio,
       EP.SGESTADO uf,
       EH.CDFPAS fpas,
       EH.CDTERCEIRO codTerceiros,
       0 inclusao,
       0 alteracao,
       0 novavalidade,
       0 exclusao
  FROM ESTRUTURAM EM
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
  /* Endereço */
  LEFT JOIN ENDERECOPARC EP ON EP.NRPARCNEGOCIO = PN.NRPARCNEGOCIO
                           AND EP.NRORG = PN.NRORG
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
  LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
                         AND (LG.NRORG = EP.NRORG OR LG.NRORG = 0)
  LEFT JOIN MUNICIPIO MP ON MP.CDMUNICIPIO = EP.CDMUNICIPIO
                        AND (MP.NRORG = EP.NRORG OR MP.NRORG = 0)
  /*Tipo Lotação*/
  JOIN TIPOESTRUTURA TE ON TE.NRTIPOESTRUTURA = EM.NRTIPOESTRUTURA
                       AND (TE.NRORG = EM.NRORG OR TE.NRORG = 0)
  LEFT JOIN TIPOLOTACAO TL ON TL.NRTIPOLOTACAO = TE.NRTIPOLOTACAO
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = EM.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE EM.NRORG = $nrorg
   --AND EM.NRTIPOESTRUTURA <> 1
   AND EM.NRTIPOESTRUTURA = 7
   AND EM.NRESTRUTURAM NOT IN (SELECT EM.NRESTRUTURAM
                                 FROM GPE_PARAMORG PO
                                 JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                                                   AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
                                WHERE PO.NRORG = $nrorg)
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "tabela de cargos".
     *
     * OBS.: Este método foi utilizado somente como exemplo do que pode ser feito, para a geração dos arquivos do
     *       e-Social. Para sua aplicação em produção, este deve ser revisto, para que os devidos dados sejam
     *       retornados.
     **/
    public static function dataSetEsocial_S1030($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente)
    {
        $sql = <<<SQL
SELECT OM.NROCUPACAOM CHAVE,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       OM.NROCUPACAOM codCargo,
       TO_CHAR(OM.DTINIVIGENCIA, 'YYYY-MM') iniValid,
       TO_CHAR(OM.DTFIMVIGENCIA, 'YYYY-MM') fimValid,
       OH.NMOCUPACAOH nmCargo,
       LPAD(OH.NRCBO,6,'0') codCBO,
       0 inclusao,
       0 alteracao,
       0 novavalidade,
       0 exclusao
  FROM GPE_OCUPACAOM OM
  JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = OM.NROCUPACAOM
                       AND OH.NRORG = OM.NRORG
                       AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                 WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                   AND GPE_OCUPACAOH.NRORG = OH.NRORG)
  /*Empregador*/
  JOIN (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                            AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
         WHERE PO.NRORG = $nrorg) EMP ON (EMP.NRORG = OM.NRORG OR OM.NRORG = 0)
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NREMPREGADOR
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE (OM.NRORG = $nrorg OR OM.NRORG = 0)
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "tabela de funções".
     *
     * OBS.: Este método foi utilizado somente como exemplo do que pode ser feito, para a geração dos arquivos do
     *       e-Social. Para sua aplicação em produção, este deve ser revisto, para que os devidos dados sejam
     *       retornados.
     **/
    public static function dataSetEsocial_S1040($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente)
    {
        $sql = <<<SQL
SELECT OM.NROCUPACAOM CHAVE,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       OM.NROCUPACAOM codFuncao,
       TO_CHAR(OM.DTINIVIGENCIA, 'YYYY-MM') iniValid,
       TO_CHAR(OM.DTFIMVIGENCIA, 'YYYY-MM') fimValid,
       OH.NMOCUPACAOH dscFuncao,
       LPAD(OH.NRCBO,6,'0') codCBO,
       0 inclusao,
       0 alteracao,
       0 novavalidade,
       0 exclusao
  FROM GPE_OCUPACAOM OM
  JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = OM.NROCUPACAOM
                       AND OH.NRORG = OM.NRORG
                       AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                 WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                   AND GPE_OCUPACAOH.NRORG = OH.NRORG)
  /*Empregador*/
  JOIN (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                            AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
         WHERE PO.NRORG = $nrorg) EMP ON (EMP.NRORG = OM.NRORG OR OM.NRORG = 0)
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NREMPREGADOR
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE (OM.NRORG = $nrorg OR OM.NRORG = 0)
   AND WHERE_PLACEHOLDER
SQL;
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function dataSetEsocial_S1050($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente)
    {
        $sql = <<<SQL
SELECT HH.NRHORDIAM CHAVE,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       HH.NRHORDIAM codHorContrat,
       TO_CHAR(HM.DTINIVIGENCIA, 'YYYY-MM') iniValid,
       TO_CHAR(HM.DTFIMVIGENCIA, 'YYYY-MM') fimValid,
       TO_CHAR(TO_DATE(IHE.HRENTRADA, 'HH24:MI:SS'), 'HH24MI') hrEntr,
       TO_CHAR(TO_DATE(IHS.HRSAIDA, 'HH24:MI:SS'), 'HH24MI') hrSaida,
       SUM(60*(24*(TO_DATE(IH.HRSAIDA,'HH24:MI:SS') - TO_DATE(IH.HRENTRADA,'HH24:MI:SS')))) durJornada,
       '__perHorFlexivel__' perHorFlexivel,
       /*'__horarioIntervalo__' horarioIntervalo,*/
       0 inclusao,
       0 alteracao,
       0 novaValidade,
       0 exclusao,
       HH.NRHORDIAM
  FROM GPE_HORDIAM HM
  JOIN GPE_HORDIAH HH ON HH.NRHORDIAM = HM.NRHORDIAM
                     AND HH.NRORG = HM.NRORG
                     AND HH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC)
                                                    FROM GPE_HORDIAH
                                                   WHERE GPE_HORDIAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                     AND GPE_HORDIAH.NRHORDIAM = HH.NRHORDIAM
                                                     AND GPE_HORDIAH.NRORG = HH.NRORG)
  JOIN GPE_INTERVALOSHORARIO IH ON IH.NRHORDIAM = HH.NRHORDIAM
                               AND IH.NRORG = HH.NRORG
  JOIN GPE_INTERVALOSHORARIO IHE ON IHE.NRHORDIAM = HH.NRHORDIAM
                                AND IHE.NRORG = HH.NRORG
                                AND IHE.NRINTERVALOHORARIO = (SELECT MIN(NRINTERVALOHORARIO) FROM GPE_INTERVALOSHORARIO WHERE NRHORDIAM = IHE.NRHORDIAM AND NRORG = IHE.NRORG)
  JOIN GPE_INTERVALOSHORARIO IHS ON IHS.NRHORDIAM = HH.NRHORDIAM
                                AND IHS.NRORG = HH.NRORG
                                AND IHS.NRINTERVALOHORARIO = (SELECT MAX(NRINTERVALOHORARIO) FROM GPE_INTERVALOSHORARIO WHERE NRHORDIAM = IHS.NRHORDIAM AND NRORG = IHS.NRORG)
  /*Empregador*/
  JOIN (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                            AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
         WHERE PO.NRORG = $nrorg) EMP ON (EMP.NRORG = HM.NRORG OR HM.NRORG = 0)
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NREMPREGADOR
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE (HM.NRORG = $nrorg OR HM.NRORG = 0)
   AND WHERE_PLACEHOLDER
 GROUP BY HH.NRHORDIAM,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0'),
       '__ID__', '$versaoEsocial', '$tpAmbiente', '1', '1', '$versaoHRM',
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2',''), PAR.NRINSCRICAOPARC, HH.NRHORDIAM,
       TO_CHAR(HM.DTINIVIGENCIA, 'YYYY-MM'), TO_CHAR(HM.DTFIMVIGENCIA, 'YYYY-MM'),
       TO_CHAR(TO_DATE(IHE.HRENTRADA, 'HH24:MI:SS'), 'HH24MI'), TO_CHAR(TO_DATE(IHS.HRSAIDA, 'HH24:MI:SS'), 'HH24MI'),
       0, 0, 0, 0
SQL;
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1050_horarioIntervalo($nrhordiam, $nrorg)
    {
        $sql = <<<SQL
SELECT '1' tpInterv,
       IH.NRSEQINTERVHORARIO,
       IH.HRENTRADA,
       IH.HRSAIDA
  FROM GPE_INTERVALOSHORARIO IH
 WHERE IH.NRHORDIAM = $nrhordiam
   AND IH.NRORG = $nrorg
 ORDER BY IH.NRSEQINTERVHORARIO DESC
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Tabela de
     * Estabelecimentos e Obras de Construção Civil".
     **/
    public static function dataSetEsocial_S1060($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente)
    {
        $sql = <<<SQL
SELECT EM.NRESTRUTURAM CHAVE,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       EM.NRESTRUTURAM codAmb,
       TO_CHAR(EM.DTINIVIGENCIA, 'YYYY-MM') iniValid,
       TO_CHAR(EM.DTFIMVIGENCIA, 'YYYY-MM') fimValid,
       EH.NMRAZSOCESTRUT dscAmb,
       '__localAmb__' localAmb,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') dadosAmbiente_TpInsc,
       PN.NRINSCRICAOPARC dadosAmbiente_NrInsc,
       '__fatorRisco__' fatorRisco,
       0 inclusao,
       0 alteracao,
       0 novavalidade,
       0 exclusao
  FROM GPE_PARAMORG PO
  JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                    AND PO.NRTPESTRUTGEREN = EM.NRTIPOESTRUTURA
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
  LEFT JOIN CNAEFISCAL CF ON CF.CDCNAE = EH.CDCNAE
                         AND (CF.NRORG = EH.NRORG OR CF.NRORG = 0)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = EM.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE PO.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Abertura".
     **/
    public static function dataSetEsocial_S1100($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao)
    {
        $nrRecibo = null;
        $idApuracao = null;

        $sql = "SELECT PN.NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
       'S-1100' versao,
       '$idRetificacao' indRetificacao,
       '$nrRecibo' nrRecibo,
       '$idApuracao' indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE('$idApuracao','1','MMYYYY','YYYY')) perApuracao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PN.NRINSCRICAOPARC nrInscricao,
       RE.NMPRINCIPALPARC nomeResponsavel,
       RE.NRINSCRICAOPARC cpfResponsavel,
       CT.CDPREFIXCOMUPARC||CT.CDCOMUNICAPARC telefone,
       CF.CDPREFIXCOMUPARC||CF.CDCOMUNICAPARC fax,
       CE.CDCOMUNICAPARC email
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                      AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
          WHERE PO.NRORG = $nrorg) EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EM.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
  /*Responsável Legal*/
  LEFT JOIN PARCNEGOCIO RE ON RE.NRPARCNEGOCIO = EH.NRPARCENTISIN
                          AND RE.NRORG = EH.NRORG
  /*Telefone*/
  LEFT JOIN COMUNICAPARC CT ON CT.NRPARCNEGOCIO = RE.NRPARCNEGOCIO
                           AND CT.NRORG = RE.NRORG
                           AND CT.CDFORMACOMU = '01'
  /*Fax*/
  LEFT JOIN COMUNICAPARC CF ON CF.NRPARCNEGOCIO = RE.NRPARCNEGOCIO
                           AND CF.NRORG = RE.NRORG
                           AND CF.CDFORMACOMU = '10'
  /*Email*/
  LEFT JOIN COMUNICAPARC CE ON CE.NRPARCNEGOCIO = RE.NRPARCNEGOCIO
                           AND CE.NRORG = RE.NRORG
                           AND CE.CDFORMACOMU = '05'
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Remuneração do Trabalhador".
     **/
    public static function dataSetEsocial_S1200($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                                $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM chave,
       TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetificacao,
       '$nrRecibo' nrRecibo,
       DECODE(CF.NRTIPOMOVIMENT,1,'1','2') indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE(CF.NRTIPOMOVIMENT,1,'YYYY-MM','YYYY')) perApuracao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       COUNT(DISTINCT DECODE(DP.NRTIPODEPENDE,'2',DP.NRDEPVINCULO,'')) qtdDepSF,
       COUNT(DISTINCT DECODE(DP.NRTIPODEPENDE,'1',DP.NRDEPVINCULO,'')) qtdDepIRRF,
       CASE WHEN CA.CDESOCIAL IN ('203', '701', '702', '703', '711', '712', '713', '751') THEN PH.NMPESSOA ELSE '' END nmTrab,
       CASE WHEN CA.CDESOCIAL IN ('203', '701', '702', '703', '711', '712', '713', '751') THEN TO_CHAR(PH.DTNASCPESSOA,'DDMMYYYY') ELSE '' END dtNascto,
       CASE WHEN CA.CDESOCIAL IN ('203', '701', '702', '703', '711', '712', '713', '751') THEN OH.NRCBO ELSE NULL END codCBO,
       CASE WHEN CA.CDESOCIAL IN ('203', '701', '702', '703', '711', '712', '713', '751') THEN (CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END) ELSE '' END natAtividade,
       IC.NRVINCULOM||CF.NROCORRECAL ideRecPgto,
       VM.NRVINCULOM
  FROM GPE_VINCULOM VM
  /*Trabalhadores sem admissão*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
                           AND (VE.NRORG = VM.NRORG OR VE.NRORG = 0 OR VE.NRORG IS NULL)
  LEFT JOIN GPE_CATEGTRABESOC CA ON CA.NRCATEGESOC = VE.NRCATEGESOC
                                AND (CA.NRORG = VE.NRORG OR CA.NRORG = 0)
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Cargo*/
  LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                            AND OH.NRORG = VH.NRORG
                            AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                      WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                        AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                        AND GPE_OCUPACAOH.NRORG = OH.NRORG)
  /*Dados do Empregado*/
  JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                    AND PE.NRORG    = VM.NRORG
  JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                     AND PH.NRORG    = PE.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  LEFT JOIN FPA_DEPVINCULO DP ON DP.NRVINCULOM = VM.NRVINCULOM
                             AND DP.NRORG = VM.NRORG
  JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                          AND IC.NRORG = VM.NRORG
                          AND IC.NREVENTOM = 3030
  JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRORG = IC.NRORG
                          --AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE ((VM.DTRESCISAOVINC IS NULL) OR (VM.DTRESCISAOVINC >= '$inicioPeriodo'))
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
 GROUP BY VM.NRVINCULOM,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0'),
       '__ID__',
       '$versaoEsocial',
       '$indRetificacao',
       '$nrRecibo',
       DECODE(CF.NRTIPOMOVIMENT,1,'1','2'),
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE(CF.NRTIPOMOVIMENT,1,'MMYYYY','YYYY')),
       '$tpAmbiente',
       '1',
       '1',
       '$versaoHRM',
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2',''),
       PAR.NRINSCRICAOPARC,
       PH.NRCPFPESSOA,
       PH.NRPISPASEPPES,
       CASE WHEN CA.CDESOCIAL IN ('203', '701', '702', '703', '711', '712', '713', '751') THEN PH.NMPESSOA ELSE '' END,
       CASE WHEN CA.CDESOCIAL IN ('203', '701', '702', '703', '711', '712', '713', '751') THEN TO_CHAR(PH.DTNASCPESSOA,'DDMMYYYY') ELSE '' END,
       CASE WHEN CA.CDESOCIAL IN ('203', '701', '702', '703', '711', '712', '713', '751') THEN OH.NRCBO ELSE NULL END,
       CASE WHEN CA.CDESOCIAL IN ('203', '701', '702', '703', '711', '712', '713', '751') THEN (CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END) ELSE '' END,
       IC.NRVINCULOM||CF.NROCORRECAL
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1200_estabLotacao ($fimPeriodo, $nrVinculom, $nrorg)
    {
        $sql = <<<SQL
SELECT DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PN.NRINSCRICAOPARC nrInsc,
       VH.NRESTRUTGEREN codLotacao
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Local de Trabalho*/
  JOIN ESTRUTURAH LT ON LT.NRESTRUTURAM = VH.NRESTRUTGEREN
                    AND LT.NRORG = VH.NRORG
                    AND LT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = LT.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = LT.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = LT.NRPARCNEGOCIO
                     AND PN.NRORG = LT.NRORG
 WHERE VM.NRVINCULOM = $nrVinculom
   AND VM.NRORG = $nrorg
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1200_remunPorPeriodo ($inicioPeriodo, $fimPeriodo, $nrVinculom, $nrorg)
    {
        $sql = <<<SQL
SELECT VM.CDMATRICULA matricula,
       VE.NRCATEGESOC codCateg,
       TO_CHAR(SUM(IC.VREVENTOFOLHA),'999999999999.99') vlrLiq,
       DECODE(EN.CDPAIS,'0055','S','N') indResBr,
       DECODE(TO_CHAR(IC.DTOCORRENCIA,'MMYYYY'),TO_CHAR(CF.DTOCORRENCIA,'MMYYYY'),TO_CHAR(IC.DTOCORRENCIA,'YYYY-MM-DD'),'') dtPagto,
       '__indSimples__' indSimples
  FROM GPE_VINCULOM VM
  /*Trabalhadores sem admissão*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
                           AND (VE.NRORG = VM.NRORG OR VE.NRORG = 0 OR VE.NRORG IS NULL)
  JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                          AND IC.NRORG = VM.NRORG
                          AND IC.NREVENTOM = 3030
  JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRORG = IC.NRORG
                          --AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
  JOIN FPA_EVENTOM EM ON EM.NREVENTOM = IC.NREVENTOM
                     AND (EM.NRORG = IC.NRORG OR EM.NRORG = '0')
                     --AND EM.IDTIPOEVENTO = 'TOTAL'
  JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                     AND EH.NRORG = EM.NRORG
                     AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                               WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND H1.NREVENTOM = EH.NREVENTOM
                                                 AND H1.NRORG = EH.NRORG)
  JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                    AND PE.NRORG = VM.NRORG
  LEFT JOIN ENDERECOPARC EN ON EN.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND EN.NRORG = PE.NRORG
                           AND EN.CDTIPOENDERECO = 'PRINCIPAL'
 WHERE VM.NRVINCULOM = $nrVinculom
   AND VM.NRORG = $nrorg
 GROUP BY VM.CDMATRICULA, VE.NRCATEGESOC, DECODE(EN.CDPAIS,'0055','S','N'),
          DECODE(TO_CHAR(IC.DTOCORRENCIA,'MMYYYY'),TO_CHAR(CF.DTOCORRENCIA,'MMYYYY'),TO_CHAR(IC.DTOCORRENCIA,'YYYY-MM-DD'),'')
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1200_itemRemuneracao ($inicioPeriodo, $fimPeriodo, $nrVinculom, $nrorg)
    {
        $sqlItemRemun = <<<SQL
SELECT IC.NREVENTOM codRubr,
       '' ideTabRubr,
       TO_CHAR(SUM(IC.VRREFFOLHA),'9999.99') qtdRubr,
       '' vrUnit,
       TO_CHAR(SUM(IC.VREVENTOFOLHA),'999999999999.99') vrRubr
  FROM FPA_ITECALCFOLHA IC
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG          = IC.NRORG
                          AND CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          --AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
  JOIN FPA_EVENTOM EM ON EM.NREVENTOM = IC.NREVENTOM
                     AND (EM.NRORG = IC.NRORG OR EM.NRORG = '0')
  JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                     AND EH.NRORG = EM.NRORG
                     AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                               WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND H1.NREVENTOM = EH.NREVENTOM
                                                 AND H1.NRORG = EH.NRORG)
 WHERE IC.NRVINCULOM = $nrVinculom
   AND IC.NRORG = $nrorg
   AND IC.VREVENTOFOLHA > 0
 GROUP BY IC.NREVENTOM
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlItemRemun);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Pagamentos de Rendimentos do Trabalho".
     **/
    public static function dataSetEsocial_S1210($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                                $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM chave,
       TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0') idEmpregador,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetificacao,
       '$nrRecibo' nrRecibo,
       '1' indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), 'YYYY-MM') perApuracao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfBenef,
       VM.NRVINCULOM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Dados do Empregado*/
  JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                    AND PE.NRORG    = VM.NRORG
  JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                     AND PH.NRORG    = PE.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                          AND IC.NRORG = VM.NRORG
                          AND IC.NREVENTOM IN (3030,3050)
  JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRORG = IC.NRORG
                          --AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE ((VM.DTRESCISAOVINC IS NULL) OR (VM.DTRESCISAOVINC >= '$inicioPeriodo'))
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
 GROUP BY VM.NRVINCULOM,
       TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY'),
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','')||RPAD(PAR.NRINSCRICAOPARC,14,'0'),
       '__ID__',
       '$versaoEsocial',
       '$indRetificacao',
       '$nrRecibo',
       '1',
       TO_CHAR(TO_DATE('$fimPeriodo'), 'MMYYYY'),
       '$tpAmbiente',
       '1',
       '1',
       '$versaoHRM',
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2',''),
       PAR.NRINSCRICAOPARC,
       PH.NRCPFPESSOA
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1210_infoPgto($inicioPeriodo, $fimPeriodo, $nrVinculom, $nrorg)
    {
        $sql = <<<SQL
SELECT TO_CHAR(IC.DTOCORRENCIA,'YYYY-MM-DD') dtPgto,
       DECODE(EN.CDPAIS,'0055','S','N') indResBr,
       DECODE(IC.NREVENTOM,3030,'1','2')||'__VERIFICAR_TRAB_S_VINCULO__' tpPgto,
       IC.DTOCORRENCIA
  FROM GPE_VINCULOM VM
  JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                          AND IC.NRORG = VM.NRORG
                          AND IC.NREVENTOM IN (3030,3050)
  JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRORG = IC.NRORG
                          --AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
  JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                    AND PE.NRORG = VM.NRORG
  LEFT JOIN ENDERECOPARC EN ON EN.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND EN.NRORG = PE.NRORG
                           AND EN.CDTIPOENDERECO = 'PRINCIPAL'
 WHERE VM.NRVINCULOM = $nrVinculom
   AND VM.NRORG = $nrorg
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1210_detPgtoFl($inicioPeriodo, $fimPeriodo, $nrVinculom, $dtPgto, $nrorg)
    {
        $sql = <<<SQL
SELECT TO_CHAR(IC.DTOCORRENCIA,DECODE(CF.NRTIPOMOVIMENT,4,'YYYY','YYYY-MM')) perRef,
       TO_CHAR(SUM(IC.VREVENTOFOLHA),'999999999999.99') vlrPgto,
       IC.NRVINCULOM||CF.NROCORRECAL ideRecPgto
  FROM GPE_VINCULOM VM
  JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                          AND IC.NRORG = VM.NRORG
                          AND IC.NREVENTOM = 3030
                          AND IC.DTOCORRENCIA = '$dtPgto'
  JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRORG = IC.NRORG
                          --AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
 WHERE VM.NRVINCULOM = $nrVinculom
   AND VM.NRORG = $nrorg
 GROUP BY TO_CHAR(IC.DTOCORRENCIA,DECODE(CF.NRTIPOMOVIMENT,4,'YYYY','YYYY-MM')), IC.NRVINCULOM||CF.NROCORRECAL
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1210_detPgtoResc($inicioPeriodo, $fimPeriodo, $nrVinculom, $dtPgto, $nrReciboResc, $nrorg)
    {
        $sql = <<<SQL
SELECT TO_CHAR(SUM(IC.VREVENTOFOLHA),'999999999999.99') vlrPgto,
       IC.NRVINCULOM||CF.NROCORRECAL ideRecPgto,
       '$nrReciboResc' nrRecArq
  FROM GPE_VINCULOM VM
  JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                          AND IC.NRORG = VM.NRORG
                          AND IC.NREVENTOM = 3050
                          AND IC.DTOCORRENCIA = '$dtPgto'
  JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRORG = IC.NRORG
                          --AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
 WHERE VM.NRVINCULOM = $nrVinculom
   AND VM.NRORG = $nrorg
 GROUP BY IC.NRVINCULOM||CF.NROCORRECAL, '$nrReciboResc'
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Pagamentos a Beneficiarios nao identificados".
     **/
    public static function dataSetEsocial_S1220($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                                $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = "";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Aquisição de Produção Rural".
     **/
    public static function dataSetEsocial_S1250($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                                $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = <<<SQL
SELECT PN.NRINSCRICAOPARC chave,
       TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetificacao,
       '$nrRecibo' nrRecibo,
       '1' indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), 'YYYY-MM') perApuracao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PN.NRINSCRICAOPARC nrInsc,
       DECODE(AP.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscAdq,
       AP.NRINSCRICAOPARC nrInscAdq,
       EMP.CDFILIRECE
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRESTRUTURAM, NF.CDFILIRECE, EM.NRORG
          FROM NOTAFISCAL NF
          JOIN ESTRUTURAM EM ON EM.CDINTESTRUTURA = NF.CDFILIRECE
                            AND EM.NRORG = $nrorg
         WHERE NF.IDENTRSAIDOP = 'E'
           AND NF.DTENTRSAID BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           AND NF.IDORIGDESTNF = 'F') EMP
  /*Estabelecimento adquirente*/
  JOIN ESTRUTURAM AM ON AM.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND AM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH AH ON AH.NRESTRUTURAM = AM.NRESTRUTURAM
                    AND AH.NRORG = AM.NRORG
                    AND AH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = AH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = AH.NRORG)
  JOIN PARCNEGOCIO AP ON AP.NRPARCNEGOCIO = AH.NRPARCNEGOCIO
                     AND AP.NRORG = AH.NRORG
  /*Empregador*/
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    public static function s1250_tipoAquisicao($cdFiliRece, $inicioPeriodo, $fimPeriodo)
    {
        $sqlAquis = <<<SQL
SELECT DECODE(FO.IDTPIJURFORN,'J','3','2') indAquis,
       TO_CHAR(SUM(NF.VRNOTAFISC),'999999999999.99') vlrTotAquis,
       FO.IDTPIJURFORN
  FROM NOTAFISCAL NF
  JOIN FORNECEDOR FO ON FO.CDFORNECED = NF.CDFORNECED
 WHERE NF.CDFILIRECE = '$cdFiliRece'
   AND NF.IDENTRSAIDOP = 'E'
   AND NF.DTENTRSAID BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
   AND NF.IDORIGDESTNF = 'F'
 GROUP BY DECODE(FO.IDTPIJURFORN,'J','3','2'), FO.IDTPIJURFORN
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlAquis);
    }

    public static function s1250_ideProdutor($cdFiliRece, $inicioPeriodo, $fimPeriodo, $idtpijurforn)
    {
        $sqlPrestTomad = <<<SQL
SELECT DECODE(FO.IDTPIJURFORN,'J','1','2') tpInscProd,
       FO.NRINSJURFORN nrInscProd,
       TO_CHAR(SUM(NF.VRPRODUTOS),'999999999999.99') vlrBruto,
       TO_CHAR(SUM(IP.VRIMPOSTONF),'999999999999.99') vrCPDescPR,
       TO_CHAR(0,'999999999999.99') vrRatDescPR,
       TO_CHAR(0,'999999999999.99') vrSenarDesc,
       NF.CDFORNECED
  FROM NOTAFISCAL NF
  JOIN IMPOSTONF IP ON IP.CDFILIAL = NF.CDFILIAL
                   AND IP.NRLANCTONF = NF.NRLANCTONF
  JOIN FORNECEDOR FO ON FO.CDFORNECED = NF.CDFORNECED
                    AND FO.IDTPIJURFORN = '$idtpijurforn'
 WHERE NF.IDENTRSAIDOP = 'E'
   AND NF.DTENTRSAID BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
   AND NF.IDORIGDESTNF = 'F'
   AND NF.CDFILIRECE = '$cdFiliRece'
 GROUP BY DECODE(FO.IDTPIJURFORN,'J','1','2'), FO.NRINSJURFORN, NF.CDFORNECED
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlPrestTomad);
    }

    public static function s1250_Nfs($cdFiliRece, $cdForneced, $inicioPeriodo, $fimPeriodo)
    {
        $sqlNF = <<<SQL
SELECT NVL(NF.CDSERIEENTR,'0') serie,
       TO_CHAR(NF.NRNOTAFISC,'999999999999.99') nrDocto,
       TO_CHAR(NF.DTENTRSAID,'YYYY-MM-DD') dtEmisNF,
       TO_CHAR(NF.VRPRODUTOS,'999999999999.99') vlrBruto,
       TO_CHAR(SUM(IP.VRIMPOSTONF),'999999999999.99') vrCPDescPR,
       TO_CHAR(0,'999999999999.99') vrRatDescPR,
       TO_CHAR(0,'999999999999.99') vrSenarDesc
  FROM NOTAFISCAL NF
  JOIN IMPOSTONF IP ON IP.CDFILIAL = NF.CDFILIAL
                   AND IP.NRLANCTONF = NF.NRLANCTONF
 WHERE NF.IDENTRSAIDOP = 'E'
   AND NF.DTENTRSAID BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
   AND NF.IDORIGDESTNF = 'F'
   AND NF.CDFILIRECE = '$cdFiliRece'
   AND NF.CDFORNECED = '$cdForneced'
 GROUP BY NVL(NF.CDSERIEENTR,'0'), TO_CHAR(NF.NRNOTAFISC,'999999999999.99'), TO_CHAR(NF.DTENTRSAID,'YYYY-MM-DD'), TO_CHAR(NF.VRPRODUTOS,'999999999999.99')
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlNF);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Comercialização da Produção Rural Pessoa Física".
     **/
    public static function dataSetEsocial_S1260($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = "";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Contratação de Trabalhadores Avulsos Não Portuários".
     **/
    public static function dataSetEsocial_S1270($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = "";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Informações Complementares aos Eventos Periódicos".
     **/
    public static function dataSetEsocial_S1280($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = <<<SQL
SELECT NRINSCRICAOPARC chave,
       TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetificacao,
       '$nrRecibo' nrRecibo,
       '1' indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), 'YYYY-MM') perApuracao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
        DECODE(CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
        NRINSCRICAOPARC nrInsc,
        '__percRedL1774 = (VRRECEEXP / (VRRECETOT - VRRECTRIB)) * 0,1 * 100__' percRedL1774, /*Empresa enquadradas na classificação tributária 05 e 12*/
        '__indSubstPatr__' indSubstPatr,
        '__percRedContrib__' percRedContrib,
        '__fatorMes__' fatorMes, /*Empresa enquadradas na classificação tributária 03*/
        '__fator13__' fator13 /*Empresa enquadradas na classificação tributária 03*/
   FROM (SELECT PN.CDTIPOINSCRICAO, PN.NRINSCRICAOPARC, CF.NRTIPOMOVIMENT,
                SUM(DECODE(EVM.NREVENTOM,'_evento_receita_bruta_exp_12meses_',IC.VREVENTOFOLHA,0)) VRRECEEXP,
                SUM(DECODE(EVM.NREVENTOM,'_evento_receita_bruta_total_12meses_',IC.VREVENTOFOLHA,0)) VRRECETOT,
                SUM(DECODE(EVM.NREVENTOM,'_evento_tributacao_receita_bruta_12meses_',IC.VREVENTOFOLHA,0)) VRRECTRIB,
                PN.DTNASCIFUNDPARC
           FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
                   FROM GPE_PARAMORG PO
                   JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                                     AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
                  WHERE PO.NRORG = $nrorg) EMP
           JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EMP.NREMPREGADOR
                             AND EH.NRORG = EMP.NRORG
                             AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                       WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                         AND ESTRUTURAH.NRORG = EH.NRORG)
           JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                              AND PN.NRORG = EH.NRORG
           /*Empresa enquadradas na classificação tributária 03, 05 e 12*/
           LEFT JOIN CLASSTRIBUT CT ON CT.NRCLASSTRIBUT = EH.NRCLASSTRIBUT
                                   AND CT.CDESOCIAL IN ('03','05','12')
           /*Responsável Legal - Vínculo que possui a folha com os valores das receitas da empresa*/
           JOIN GPE_PESSOA PE ON PE.NRPARCNEGOCIO = EH.NRPARCRESPINF
                             AND PE.NRORG = EH.NRORG
           JOIN GPE_VINCULOM VM ON VM.NRPESSOA = PE.NRPESSOA
                               AND VM.NRORG = PE.NRORG
           /*Folha de pagamento com os valores mensais da empresa*/
           JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                                   AND IC.NRORG = VM.NRORG
           JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                                   AND CF.NRORG = IC.NRORG
                                   AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                                   AND CF.NRTPMODALIDCAL = 1 --Real
                                   AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           JOIN FPA_EVENTOM EVM ON EVM.NREVENTOM = IC.NREVENTOM
                              AND (EVM.NRORG = IC.NRORG OR EVM.NRORG = '0')
                              AND EVM.IDTIPOEVENTO = 'TOTAL'
           JOIN FPA_EVENTOH EVH ON EVH.NREVENTOM = EVM.NREVENTOM
                              AND EVH.NRORG = EVM.NRORG
                              AND EVH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                                        WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND H1.NREVENTOM = EVH.NREVENTOM
                                                          AND H1.NRORG = EVH.NRORG)
          GROUP BY PN.CDTIPOINSCRICAO, PN.NRINSCRICAOPARC, CF.NRTIPOMOVIMENT, PN.DTNASCIFUNDPARC)
 WHERE WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Reabertura dos Eventos Periódicos".
     **/
    public static function dataSetEsocial_S1298($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = <<<SQL
SELECT NRINSCRICAOPARC chave,
       TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetificacao,
       '$nrRecibo' nrRecibo,
       '1' indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), 'YYYY-MM') perApuracao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
        DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
        PN.NRINSCRICAOPARC nrInsc
   FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
           FROM GPE_PARAMORG PO
           JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                             AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
          WHERE PO.NRORG = $nrorg) EMP
   JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EMP.NREMPREGADOR
                     AND EH.NRORG = EMP.NRORG
                     AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EH.NRORG)
   JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                      AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Fechamento dos Eventos Periodicos".
     **/
    public static function dataSetEsocial_S1299($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao,
                                                $evtRemun, $evtPgtos, $evtPgtosNI, $evtAqProd, $evtComProd, $evtContratAvNP, $evtInfoComplPer, $compSemMovto, $movFinancSocios)
    {
        $sql = <<<SQL
SELECT PN.NRINSCRICAOPARC chave,
       TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '1' indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), 'YYYY-MM') perApur,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PN.NRINSCRICAOPARC nrInsc,
       '$evtRemun' evtRemun,
       '$evtPgtos' evtPgtos,
       '$evtPgtosNI' evtPgtosNI,
       '$evtAqProd' evtAqProd,
       '$evtComProd' evtComProd,
       '$evtContratAvNP' evtContratAvNP,
       '$evtInfoComplPer' evtInfoComplPer,
       '$compSemMovto' compSemMovto,
       '$movFinancSocios' movFinancSocios
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                      AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
          WHERE PO.NRORG = $nrorg) EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EM.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Contribuição Sindical Patronal".
     **/
    public static function dataSetEsocial_S1300_v20($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $indApuracao)
    {
        $sql = <<<SQL
SELECT PN.NRINSCRICAOPARC chave,
       TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '1' indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), 'YYYY-MM') perApur,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PN.NRINSCRICAOPARC nrInsc
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                      AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
          WHERE PO.NRORG = $nrorg) EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EM.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Pagamentos Diversos".
     **/
    public static function dataSetEsocial_S1300_v11($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao, $nrGrupEsoc)
    {
        $sql = "SELECT DISTINCT PAR.NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
       'S-1300' versao,
       '1' indRetificacao,
       '$nrRecibo' nrRecibo,
       DECODE(CF.NRTIPOMOVIMENT,1,'1','2') indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE(CF.NRTIPOMOVIMENT,1,'MMYYYY','YYYY')) perApuracao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PAR.NRINSCRICAOPARC nrInscricao,
       GI.NRGRPITEM codRendimento,
       PN.CDTIPOINSCRICAO tpInscBeneficiario,
       PN.NRINSCRICAOPARC nrInscBeneficiario,
       DECODE(EP.CDPAIS,null,'',PH.NMPESSOA) nomeBeneficiario,
       DECODE(EP.CDPAIS,null,'',PA.CDESOCIAL) paisResidencia,
       DECODE(EP.CDPAIS,null,'',LG.CDESOCIAL) descLogradouro,
       DECODE(EP.CDPAIS,null,'',EP.NRIMOVELENDERECO) nrLogradouro,
       DECODE(EP.CDPAIS,null,'',EP.DSCOMPLEENDERECO) complemento,
       DECODE(EP.CDPAIS,null,'',EP.NMBAIRROENDERECO) bairro,
       DECODE(EP.CDPAIS,null,'',MU.NMMUNICIPIO) nomeCidade,
       DECODE(EP.CDPAIS,null,'',EP.NRCEPENDERECO) codPostal,
       '3' indNIF,
       EP.CDPAIS, PN.CDTIPOINSCRICAO, GI.NRGRPITEM, CF.NRTIPOMOVIMENT, VM.NRVINCULOM
  FROM FPA_CALCULOFOLHA CF
  JOIN FPA_ITECALCFOLHA IC ON IC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                          AND (IC.NRORG = CF.NRORG OR IC.NRORG = 0)
  JOIN FPA_INCIDEVENTO IE ON IE.NREVENTOM = IC.NREVENTOM
                         AND (IE.NRORG = IC.NRORG OR IE.NRORG = 0)
  JOIN FPA_GRPITEM GI ON GI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                     AND (GI.NRORG = IE.NRORG OR GI.NRORG = 0)
                     AND GI.NRGRPINCIDE = $nrGrupEsoc
  JOIN GPE_VINCULOM VM ON VM.NRVINCULOM = IC.NRVINCULOM
                      AND VM.NRORG = IC.NRORG
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG
                                                   AND GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo')
  JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                    AND PE.NRORG = VM.NRORG
  JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                     AND PH.NRORG = PE.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG
                                                 AND GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo')
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                     AND PN.NRORG = PE.NRORG
  LEFT JOIN ENDERECOPARC EP ON EP.NRPARCNEGOCIO = PN.NRPARCNEGOCIO
                           AND EP.NRORG = PN.NRORG
                           AND EP.CDTIPOENDERECO = 'EXTERIOR'
  LEFT JOIN PAIS PA ON PA.CDPAIS = EP.CDPAIS
                   AND (PA.NRORG = EP.NRORG OR PA.NRORG = 0)
  LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
                         AND (LG.NRORG = EP.NRORG OR LG.NRORG = 0)
  LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = EP.CDMUNICIPIO
                        AND (MU.NRORG = EP.NRORG OR MU.NRORG = 0)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE CF.NRTIPOMOVIMENT IN (1,4) --Movimentos mensal e décimo terceiro
   AND CF.NRTPMODALIDCAL = 1 --Cenário real apenas
   AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
   AND CF.NRORG = $nrorg
   AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s1300_Pagamentos($nrVinculom, $nrGrupItem, $nrTipoMoviment, $nrGrupEsoc, $inicioPeriodo, $fimPeriodo, $nrorg)
    {
        $sqlPagtos = "SELECT IC.DTOCORRENCIA dtPagto,
                               'N' indSuspExigibilidade,
                               DECODE(CF.NRTIPOMOVIMENT,1,'N','S') indDecTerceiro,
                               SUM(DECODE(IE.IDINCIDEVENTO,'+',IC.VREVENTOFOLHA,0)) vlrRendTributavel,
                               0 vlrIRRF,
                               SUM(DECODE(IE.IDINCIDEVENTO,'-',IC.VREVENTOFOLHA,0)) VRDEDUCAO,
                               SUM(DECODE(IE.IDINCIDEVENTO,'N',IC.VREVENTOFOLHA,0)) VRISENTO,
                               IC.DTOCORRENCIA
                          FROM FPA_CALCULOFOLHA CF
                          JOIN FPA_ITECALCFOLHA IC ON IC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                                                  AND (IC.NRORG = CF.NRORG OR IC.NRORG = 0)
                                                  AND IC.NRVINCULOM = $nrVinculom
                          JOIN FPA_INCIDEVENTO IE ON IE.NREVENTOM = IC.NREVENTOM
                                                 AND (IE.NRORG = IC.NRORG OR IE.NRORG = 0)
                          JOIN FPA_GRPITEM GI ON GI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                             AND (GI.NRORG = IE.NRORG OR GI.NRORG = 0)
                                             AND GI.NRGRPITEM = $nrGrupItem
                                             AND GI.NRGRPINCIDE = $nrGrupEsoc
                         WHERE CF.NRTIPOMOVIMENT = $nrTipoMoviment
                           AND CF.NRTPMODALIDCAL = 1 --Cenário real apenas
                           AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
                           AND CF.NRORG = $nrorg
                         GROUP BY IC.DTOCORRENCIA, 'N', DECODE(CF.NRTIPOMOVIMENT,1,'N','S'), 0";
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlPagtos);
    }

    public static function s1300_detPagtoBPF($nrVinculom, $dtOcorrencia, $nrGrpItem, $nrTipoMoviment, $nrGrupEsoc, $inicioPeriodo, $fimPeriodo, $nrorg)
    {
        $sqlDetalhe = "SELECT DECODE(CF.NRTIPOMOVIMENT,1,'1','2') indPerReferencia,
                                       TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,1,'MMYYYY','YYYY')) perRefPagto,
                                       SUM(DECODE(IE.IDINCIDEVENTO,'+',IC.VREVENTOFOLHA,0)) detVlrRendTributavel
                                  FROM FPA_CALCULOFOLHA CF
                                  JOIN FPA_ITECALCFOLHA IC ON IC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                                                          AND (IC.NRORG = CF.NRORG OR IC.NRORG = 0)
                                                          AND IC.NRVINCULOM = $nrVinculom
                                                          AND IC.DTOCORRENCIA = '$dtOcorrencia'
                                  JOIN FPA_INCIDEVENTO IE ON IE.NREVENTOM = IC.NREVENTOM
                                                         AND (IE.NRORG = IC.NRORG OR IE.NRORG = 0)
                                  JOIN FPA_GRPITEM GI ON GI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                                     AND (GI.NRORG = IE.NRORG OR GI.NRORG = 0)
                                                     AND GI.NRGRPITEM = $nrGrpItem
                                                     AND GI.NRGRPINCIDE = $nrGrupEsoc
                                 WHERE CF.NRTIPOMOVIMENT = $nrTipoMoviment
                                   AND CF.NRTPMODALIDCAL = 1 --Cenário real apenas
                                   AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
                                   AND CF.NRORG = $nrorg
                                 GROUP BY DECODE(CF.NRTIPOMOVIMENT,1,'1','2'), TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,1,'MMYYYY','YYYY'))";
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlDetalhe);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Serviços Tomados mediante Cessão de Mão de Obra".
     **/
    public static function dataSetEsocial_S1310($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao)
    {
        $sql = "SELECT PN.NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
       'S-1310' versao,
       '1' indRetificacao,
       '$nrRecibo' nrRecibo,
       DECODE('$idApuracao','1','1','2') indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE('$idApuracao','1','MMYYYY','YYYY')) perApuracao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PN.NRINSCRICAOPARC nrInscricao,
       EM.NRESTRUTURAM
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM NOTAFISCAL NF
          JOIN ESTRUTURAM EM ON EM.CDINTESTRUTURA = NF.CDFILIRECE
                            AND (EM.NRORG = '$nrorg' OR EM.NRORG = 0)
         WHERE NF.IDENTRSAIDOP = 'E'
           AND NF.DTENTRSAID BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           AND NF.IDORIGDESTNF = 'F') EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Função criada para retornar os dados da filial prestadora ou tomadora de serviços, de acordo com idEntrsaidop
     * passado como parâmetro.
     * Usada nos eventos S-1310, S-1320, S-1330, S-1340, S-1350
     *
     * @param $idEntrsaidop     Irá definir se deve ser retornada uma filial prestadora ou tomadora. Para entrada ('E')
     *                          será retornada a filial tomadora de acordo com o CDFILIRECE da nota. Para saída ('S')
     *                          será retornada a filial prestadora de acordo com o CDFILIEMIT da nota.
     * @param $nrEstruturam     Código do empregador (empresa) ao qual pertencem as filiais.
     * @param $inicioPeriodo    Data de início para verificação das notas.
     * @param $fimPeriodo       Data de fim para verificação das notas.
     * @param $nrorg
     * @return array
     */
    public static function s13xx_EstabPrestTomad($idEntrsaidop, $nrEstruturam, $inicioPeriodo, $fimPeriodo, $nrorg)
    {
        $sqlEstab = "SELECT DECODE(FI.IDTPIJURFILI,'J','1','2') estabTpInscricao,
                               FI.NRINSJURFILI estabNrInscricao,
                               '1' indIncidencia,
                               SUM(IP.VRBASECALCNF) vlrBaseCoop,
                               0 vlrBaseCoop15,
                               0 vlrBaseCoop20,
                               0 vlrBaseCoop25,
                               NF.CDFILIRECE,
                               NF.CDFILIEMIT
                          FROM NOTAFISCAL NF
                          JOIN IMPOSTONF IP ON IP.CDFILIAL = NF.CDFILIAL
                                           AND IP.NRLANCTONF = NF.NRLANCTONF
                          JOIN FILIAL FI ON FI.CDFILIAL = DECODE('$idEntrsaidop','E',NF.CDFILIRECE,NF.CDFILIEMIT)
                          JOIN ESTRUTURAM EM ON EM.CDINTESTRUTURA = FI.CDFILIAL
                                            AND (EM.NRORG = $nrorg OR EM.NRORG = 0)
                                            AND GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') = $nrEstruturam
                         WHERE NF.IDENTRSAIDOP = '$idEntrsaidop'
                           AND DECODE(NF.IDENTRSAIDOP,'E',NF.DTENTRSAID,NF.DTEMISSAO) BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
                           AND NF.IDORIGDESTNF = DECODE('$idEntrsaidop','E','F','C')
                         GROUP BY DECODE(FI.IDTPIJURFILI,'J','1','2'), FI.NRINSJURFILI, NF.CDFILIRECE, NF.CDFILIEMIT";
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlEstab);
    }

    /**
     * Função criada para retornar os prestadores ou tomadores dos serviços e os valores acumulados de cada um conforme
     * o idEntrsaidop passado.
     * Usada nos eventos S-1310, S-1320, S-1340, S-1350
     *
     * @param $idEntrsaidop     Irá definir se serão retornados os prestadores ou tomadores. Ser entrada ('E') serao
     *                          retornados os prestadores dos serviços (Fornecedores) e os valores acumulados para cada
     *                          um. Se saída ('S') serão retornados os tomadores dos serviços (clientes) e seus valores
     *                          acumulados.
     * @param $cdFilial         String - Filial tomadora ou prestadora do serviço. Para entradas deve ser passado a tomadora
     *                          (CDFILIRECE). Para saídas deve ser passado a filial prestadora (CDFILIEMIT).
     * @param $inicioPeriodo    Data de início para verificação das notas.
     * @param $fimPeriodo       Data de fim para verificação das notas.
     * @return array
     */
    public static function s13xx_PrestadTomador($idEntrsaidop, $cdFilial, $inicioPeriodo, $fimPeriodo, $tpAquisicao)
    {
        $sqlPrestTomad = "SELECT FO.NRINSJURFORN cnpjPrestador,
                                   DECODE(FO.IDTPIJURFORN,'J','1','2') prodTpInscricao,
                                   FO.NRINSJURFORN prodNrInscricao,
                                   DECODE(CL.IDTPIJURCLIE,'J','1','2') tpInscContratante,
                                   CL.NRINSJURCLIE nrInscContratante,
                                   SUM(NF.VRPRODUTOS) vlrBruto,
                                   SUM(NF.VRNOTAFISC) vlrServicos,
                                   SUM(IP.VRBASECALCNF) vlrBaseRetencao,
                                   SUM(IP.VRBASECALCNF) vlrBaseCoop,
                                   SUM(IP.VRIMPOSTONF) vlrRetencao,
                                   SUM(IP.VRIMPOSTONF) vlrContribDescPR,
                                   0 vlrAdicional,
                                   0 vlrNaoRetido,
                                   0 vlrGilratDescPR,
                                   0 vlrSENARDescPR,
                                   NF.CDFORNECED,
                                   CL.CDCLIENTE
                              FROM NOTAFISCAL NF
                              JOIN IMPOSTONF IP ON IP.CDFILIAL = NF.CDFILIAL
                                               AND IP.NRLANCTONF = NF.NRLANCTONF
                              LEFT JOIN FORNECEDOR FO ON FO.CDFORNECED = NF.CDFORNECED
                              LEFT JOIN CLIENTE CL ON CL.CDCLIENTE = NF.CDCLIENTE
                             WHERE NF.IDENTRSAIDOP = '$idEntrsaidop'
                               AND DECODE(NF.IDENTRSAIDOP,'E',NF.DTENTRSAID,NF.DTEMISSAO) BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
                               AND NF.IDORIGDESTNF = DECODE('$idEntrsaidop','E','F','C')
                               AND NF.CDFILIRECE = '$cdFilial'
                               AND FO.IDTPIJURFORN = NVL('$tpAquisicao',FO.IDTPIJURFORN)
                             GROUP BY FO.NRINSJURFORN, DECODE(FO.IDTPIJURFORN,'J','1','2'), FO.NRINSJURFORN, NF.CDFORNECED, DECODE(CL.IDTPIJURCLIE,'J','1','2'), CL.NRINSJURCLIE, CL.CDCLIENTE";
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlPrestTomad);
    }

    /**
     * Função retorna as notas fiscais de prestaçao ou contratação de serviços, conforme o identrsaidop informado, para
     * a filial tomadora/prestadora (CDFILIRECE,CDFILIEMIT) e o prestador ou tomador (CDFORNECED,CDCLIENTE) informado.
     * Usada nos eventos S-1310, S-1320, S-1330, S-1340
     *
     * @param $idEntrsaidop     Define se serao retornadas as notas de contrataçao (Entrada) ou de prestação (Saída) de
     *                          serviços.
     * @param $cdFilial         No caso de notas de contratação de serviços recebera a filial tomadora (CDFILIRECE).
     *                          Para notas de prestação de serviços, recebe a filial prestadora (CDFILIEMIT).
     * @param $cdFornClie       Na contratação de serviços deve receber o prestador do serviço (CDFORNECED) e na prestaçao
     *                          de serviços receberá o tomador do serviço (CDCLIENTE).
     * @param $inicioPeriodo    Data de início para verificação das notas.
     * @param $fimPeriodo       Data de fim para verificação das notas.
     * @return array
     */
    public static function s13xx_NfServPrestTomad($idEntrsaidop, $cdFilial, $cdFornClie, $inicioPeriodo, $fimPeriodo)
    {
        $sqlNF = "SELECT FO.NRINSJURFORN cnpjCooperativa,
                       DECODE(NF.IDENTRSAIDOP,'E',NF.CDSERIEENTR,NF.CDSERIE) serie,
                       NF.NRNOTAFISC numDocto,
                       DECODE(NF.IDENTRSAIDOP,'E',NF.DTENTRSAID,NF.DTEMISSAO) dtEmissaoNF,
                       '' dtPagtoNF,
                       '0' indObra,
                       NF.VRPRODUTOS vlrBruto,
                       0 vlrMatEquip,
                       NF.VRNOTAFISC vlrServicos,
                       SUM(IP.VRBASECALCNF) vlrBaseRetencao,
                       SUM(IP.VRBASECALCNF) vlrBaseCoop
                       SUM(IP.VRIMPOSTONF) vlrRetencaoApurada,
                       SUM(IP.VRIMPOSTONF) vlrContribDescPR,
                       0 vlrRetencaoSubEmpreitada,
                       SUM(IP.VRIMPOSTONF) vlrRetencao,
                       0 vlrAdicional,
                       0 vlrDeducoes,
                       0 vlrGilratDescPR,
                       0 vlrSENARDescPR,
                       NF.CDFILIAL, NF.NRLANCTONF
                  FROM NOTAFISCAL NF
                  JOIN IMPOSTONF IP ON IP.CDFILIAL = NF.CDFILIAL
                                   AND IP.NRLANCTONF = NF.NRLANCTONF
                  LEFT JOIN FORNECEDOR FO ON FO.CDFORNECED = NF.CDFORNECED
                 WHERE NF.IDENTRSAIDOP = '$idEntrsaidop'
                   AND NF.DTENTRSAID BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
                   AND NF.IDORIGDESTNF = DECODE('$idEntrsaidop','E','F','C')
                   AND NF.CDFILIRECE = '$cdFilial'
                   AND DECODE(NF.IDENTRSAIDOP,'E',NF.CDFORNECED,NF.CDCLIENTE) = NVL('$cdFornClie',DECODE(NF.IDENTRSAIDOP,'E',NF.CDFORNECED,NF.CDCLIENTE))
                 GROUP BY FO.NRINSJURFORN, DECODE(NF.IDENTRSAIDOP,'E',NF.CDSERIEENTR,NF.CDSERIE), NF.NRNOTAFISC, DECODE(NF.IDENTRSAIDOP,'E',NF.DTENTRSAID,NF.DTEMISSAO), NF.VRPRODUTOS, NF.VRNOTAFISC, NF.CDFILIAL, NF.NRLANCTONF";
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlNF);
    }

    /**
     *
     * Usada nos eventos S-1310, S-1320
     *
     * @param $cdfilial
     * @param $nrlanctonf
     * @return array
     */
    public static function s13xx_ItensNotaFiscal($cdfilial, $nrlanctonf)
    {
        $sqlItem = "SELECT IT.NRSEQITPROD nrItem,
                           TS.CDESOCIAL tpServico,
                           SUM(IT.VRCONTITIMP) vlrBruto,
                           SUM(IT.VRBASECALCIT) vlrBaseRetencao
                      FROM ITEMPROIMPOS IT
                      JOIN ITEMPRODUTO IP ON IP.CDFILIAL = IT.CDFILIAL
                                         AND IP.NRLANCTONF = IT.NRLANCTONF
                                         AND IP.NRSEQITPROD = IT.NRSEQITPROD
                      JOIN PRODUTO PR ON PR.CDPRODUTO = IP.CDPRODUTO
                      LEFT JOIN TIPOSERVESOC TS ON TS.NRTIPOSERVESOC = PR.NRTIPOSERVESOC
                                               AND (TS.NRORG = PR.NRORG OR TS.NRORG = 0)
                     WHERE IT.CDFILIAL = '$cdfilial'
                       AND IT.NRLANCTONF = '$nrlanctonf'
                     GROUP BY IT.NRSEQITPROD, TS.CDESOCIAL";
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlItem);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Serviços Prestados mediante Cessão de Mão de Obra".
     **/
    public static function dataSetEsocial_S1320($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao)
    {
        $sql = "SELECT PN.NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
       'S-1320' versao,
       '1' indRetificacao,
       '$nrRecibo' nrRecibo,
       DECODE('$idApuracao','1','1','2') indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE('$idApuracao','1','MMYYYY','YYYY')) perApuracao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PN.NRINSCRICAOPARC nrInscricao,
       EM.NRESTRUTURAM
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM NOTAFISCAL NF
          JOIN ESTRUTURAM EM ON EM.CDINTESTRUTURA = NF.CDFILIEMIT
                            AND (EM.NRORG = $nrorg OR EM.NRORG = 0)
         WHERE NF.IDENTRSAIDOP = 'S'
           AND NF.DTEMISSAO BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           AND NF.IDORIGDESTNF = 'C') EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function dataSetEsocial_S1330($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao)
    {
        $sql = "SELECT PN.NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
       'S-1330' versao,
       '1' indRetificacao,
       '$nrRecibo' nrRecibo,
       DECODE('$idApuracao','1','1','2') indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE('$idApuracao','1','MMYYYY','YYYY')) perApuracao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PN.NRINSCRICAOPARC nrInscricao,
       EM.NRESTRUTURAM
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM NOTAFISCAL NF
          JOIN ESTRUTURAM EM ON EM.CDINTESTRUTURA = NF.CDFILIRECE
                            AND (EM.NRORG = $nrorg OR EM.NRORG = 0)
         WHERE NF.IDENTRSAIDOP = 'E'
           AND NF.DTEMISSAO BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           AND NF.IDORIGDESTNF = 'F') EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function dataSetEsocial_S1340($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao)
    {
        $sql = "SELECT PN.NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
       'S-1340' versao,
       '1' indRetificacao,
       '$nrRecibo' nrRecibo,
       DECODE('$idApuracao','1','1','2') indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE('$idApuracao','1','MMYYYY','YYYY')) perApuracao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PN.NRINSCRICAOPARC nrInscricao,
       EM.NRESTRUTURAM
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM NOTAFISCAL NF
          JOIN ESTRUTURAM EM ON EM.CDINTESTRUTURA = NF.CDFILIEMIT
                            AND (EM.NRORG = $nrorg OR EM.NRORG = 0)
         WHERE NF.IDENTRSAIDOP = 'S'
           AND NF.DTEMISSAO BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           AND NF.IDORIGDESTNF = 'C') EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    function dataSetEsocial_S1350($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao)
    {
        $nrRecibo = null;
        $idApuracao = null;

        $sql = "SELECT PN.NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
       'S-1350' versao,
       '1' indRetificacao,
       '$nrRecibo' nrRecibo,
       DECODE('$idApuracao','1','1','2') indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE('$idApuracao','1','MMYYYY','YYYY')) perApuracao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PN.NRINSCRICAOPARC nrInscricao,
       EM.NRESTRUTURAM
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM NOTAFISCAL NF
          JOIN ESTRUTURAM EM ON EM.CDINTESTRUTURA = NF.CDFILIEMIT
                            AND (EM.NRORG = $nrorg OR EM.NRORG = 0)
         WHERE NF.IDENTRSAIDOP = 'E'
           AND NF.DTEMISSAO BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           AND NF.IDORIGDESTNF = 'F') EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    public static function s1350_tipoAquisicao($cdFiliRece, $inicioPeriodo, $fimPeriodo)
    {
        $sqlAquis = "SELECT DECODE(FO.IDTPIJURFORN,'J','3','2') indAquisicao,
                                   SUM(NF.VRNOTAFISC) vlrTotalAquisicao,
                                   FO.IDTPIJURFORN
                              FROM NOTAFISCAL NF
                              JOIN FORNECEDOR FO ON FO.CDFORNECED = NF.CDFORNECED
                             WHERE NF.IDENTRSAIDOP = 'E'
                               AND NF.DTEMISSAO BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
                               AND NF.IDORIGDESTNF = 'F'
                               AND NF.CDFILIRECE = '$cdFiliRece'
                             GROUP BY DECODE(FO.IDTPIJURFORN,'J','3','2'), FO.IDTPIJURFORN";
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlAquis);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Informações Complementares Desoneração".
     **/
    public static function dataSetEsocial_S1380($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao, $percReducaoLei11774, $indSubstPatronal, $percAliqPatronal)
    {
        $sql = "SELECT NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
        'S-1380' versao,
        '1' indRetificacao,
        '$nrRecibo' nrRecibo,
        DECODE(NRTIPOMOVIMENT,1,'1','2') indApuracao,
        TO_CHAR(TO_DATE('$fimPeriodo'), DECODE(NRTIPOMOVIMENT,1,'MMYYYY','YYYY')) perApuracao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        NRINSCRICAOPARC nrInscricao,
        VRRECEEXP recBrutaExp12m,
        VRRECETOT recBrutaTot12m,
        VRRECTRIB recTribRecBruta,
        DTNASCIFUNDPARC qtdMesesAtiv,
        '$percReducaoLei11774' percReducaoLei11774,
        '$indSubstPatronal' indSubstPatronal,
        '$percAliqPatronal' percAliqPatronal
   FROM (SELECT PN.CDTIPOINSCRICAO, PN.NRINSCRICAOPARC, CF.NRTIPOMOVIMENT,
                SUM(DECODE(EVM.NREVENTOM,'',IC.VREVENTOFOLHA,0)) VRRECEEXP,
                SUM(DECODE(EVM.NREVENTOM,'',IC.VREVENTOFOLHA,0)) VRRECETOT,
                SUM(DECODE(EVM.NREVENTOM,'',IC.VREVENTOFOLHA,0)) VRRECTRIB,
                PN.DTNASCIFUNDPARC
           FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
                   FROM GPE_PARAMORG PO
                   JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                                     AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
                  WHERE PO.NRORG = $nrorg) EMP
           JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EMP.NREMPREGADOR
                             AND EH.NRORG = EMP.NRORG
                             AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                       WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                         AND ESTRUTURAH.NRORG = EH.NRORG)
           JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                              AND PN.NRORG = EH.NRORG
           /*Empresa enquadradas na classificação tributária 05 e 12*/
           LEFT JOIN CLASSTRIBUT CT ON CT.NRCLASSTRIBUT = EH.NRCLASSTRIBUT
                                   AND CT.CDESOCIAL IN ('05','12')
           /*Responsável Legal - Vínculo que possui a folha com os valores das receitas da empresa*/
           JOIN GPE_PESSOA PE ON PE.NRPARCNEGOCIO = EH.NRPARCRESPINF
                             AND PE.NRORG = EH.NRORG
           JOIN GPE_VINCULOM VM ON VM.NRPESSOA = PE.NRPESSOA
                               AND VM.NRORG = PE.NRORG
           /*Folha de pagamento com os valores mensais da empresa*/
           JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                                   AND IC.NRORG = VM.NRORG
           JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                                   AND CF.NRORG = IC.NRORG
                                   AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                                   AND CF.NRTPMODALIDCAL = 1 --Real
                                   AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           JOIN FPA_EVENTOM EVM ON EVM.NREVENTOM = IC.NREVENTOM
                              AND (EVM.NRORG = IC.NRORG OR EVM.NRORG = '0')
                              AND EVM.IDTIPOEVENTO = 'TOTAL'
           JOIN FPA_EVENTOH EVH ON EVH.NREVENTOM = EVM.NREVENTOM
                              AND EVH.NRORG = EVM.NRORG
                              AND EVH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                                        WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND H1.NREVENTOM = EVH.NREVENTOM
                                                          AND H1.NRORG = EVH.NRORG)
          GROUP BY PN.CDTIPOINSCRICAO, PN.NRINSCRICAOPARC, CF.NRTIPOMOVIMENT, PN.DTNASCIFUNDPARC)
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Receita de Atividades Concomitantes".
     **/
    public static function dataSetEsocial_S1390($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao, $fatorMes, $fator13)
    {
        $sql = "SELECT NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
        'S-1390' versao,
        '1' indRetificacao,
        '$nrRecibo' nrRecibo,
        DECODE(NRTIPOMOVIMENT,1,'1','2') indApuracao,
        TO_CHAR(TO_DATE('$fimPeriodo'), DECODE(NRTIPOMOVIMENT,1,'MMYYYY','YYYY')) perApuracao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        NRINSCRICAOPARC nrInscricao,
        VRTOTBRUTMES recBrutaTotMes,
        VRTOTBRUTANO recBrutaTotAno,
        VRATVSSUBMES recBrutaAtssMes,
        VRATVSSUBANO recBrutaAtssAno,
        '$fatorMes' fatorMes,
        '$fator13' fator13
   FROM (SELECT PN.CDTIPOINSCRICAO, PN.NRINSCRICAOPARC, CF.NRTIPOMOVIMENT,
                SUM(CASE WHEN TRUNC(CF.DTOCORRENCIA,'MONTH') = TRUNC(TO_DATE('$fimPeriodo'),'MONTH') THEN DECODE(EVM.NREVENTOM,'',IC.VREVENTOFOLHA,0) ELSE 0 END) VRTOTBRUTMES,
                SUM(DECODE(EVM.NREVENTOM,'',IC.VREVENTOFOLHA,0)) VRTOTBRUTANO,
                SUM(CASE WHEN TRUNC(CF.DTOCORRENCIA,'MONTH') = TRUNC(TO_DATE('$fimPeriodo'),'MONTH') THEN DECODE(EVM.NREVENTOM,'',IC.VREVENTOFOLHA,0) ELSE 0 END) VRATVSSUBMES,
                SUM(DECODE(EVM.NREVENTOM,'',IC.VREVENTOFOLHA,0)) VRATVSSUBANO
           FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
                   FROM GPE_PARAMORG PO
                   JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                                     AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
                  WHERE PO.NRORG = $nrorg) EMP
           JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EMP.NREMPREGADOR
                             AND EH.NRORG = EMP.NRORG
                             AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                       WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                         AND ESTRUTURAH.NRORG = EH.NRORG)
           JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                              AND PN.NRORG = EH.NRORG
           /*Empresa enquadradas na classificação tributária 03*/
           LEFT JOIN CLASSTRIBUT CT ON CT.NRCLASSTRIBUT = EH.NRCLASSTRIBUT
                                   AND CT.CDESOCIAL = '03'
           /*Responsável Legal - Vínculo que possui a folha com os valores das receitas da empresa*/
           JOIN GPE_PESSOA PE ON PE.NRPARCNEGOCIO = EH.NRPARCRESPINF
                             AND PE.NRORG = EH.NRORG
           JOIN GPE_VINCULOM VM ON VM.NRPESSOA = PE.NRPESSOA
                               AND VM.NRORG = PE.NRORG
           /*Folha de pagamento com os valores mensais da empresa*/
           JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                                   AND IC.NRORG = VM.NRORG
           JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                                   AND CF.NRORG = IC.NRORG
                                   AND CF.NRTIPOMOVIMENT IN (1,4) --Mensal e 13º salário
                                   AND CF.NRTPMODALIDCAL = 1 --Real
                                   AND CF.DTOCORRENCIA BETWEEN TRUNC(TO_DATE('$inicioPeriodo'),'YEAR') AND '$fimPeriodo'
           JOIN FPA_EVENTOM EVM ON EVM.NREVENTOM = IC.NREVENTOM
                              AND (EVM.NRORG = IC.NRORG OR EVM.NRORG = '0')
                              AND EVM.IDTIPOEVENTO = 'TOTAL'
           JOIN FPA_EVENTOH EVH ON EVH.NREVENTOM = EVM.NREVENTOM
                              AND EVH.NRORG = EVM.NRORG
                              AND EVH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                                        WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND H1.NREVENTOM = EVH.NREVENTOM
                                                          AND H1.NRORG = EVH.NRORG)
          GROUP BY PN.CDTIPOINSCRICAO, PN.NRINSCRICAOPARC, CF.NRTIPOMOVIMENT)
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Fechamento".
     **/
    public static function dataSetEsocial_S1399($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao, $evtRemuneracao, $evtPagamentosDiversos, $evtServTomadosCMO, $evtServPrestadosCMO, $evtServTomadosCOOP,
                                  $evtServPrestadosCOOP, $evtAquisProdRural, $evtComercProducao, $evtRepasseClubeFutebol, $evtInfoDesoneracao, $evtReceitaAtivConcomitantes)
    {
        $sql = "SELECT PN.NRINSCRICAOPARC chave, TO_CHAR(TO_DATE('$inicioPeriodo'),'DD/MM/YYYY') dtMesCompetenc, '__ID__' id,
       'S-1399' versao,
       '$idRetificacao' indRetificacao,
       '$nrRecibo' nrRecibo,
       '$idApuracao' indApuracao,
       TO_CHAR(TO_DATE('$fimPeriodo'), DECODE('$idApuracao','1','MMYYYY','YYYY')) perApuracao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PN.NRINSCRICAOPARC nrInscricao,
       '$evtRemuneracao' evtRemuneracao,
       '$evtPagamentosDiversos' evtPagamentosDiversos,
       '$evtServTomadosCMO' evtServTomadosCMO,
       '$evtServPrestadosCMO' evtServPrestadosCMO,
       '$evtServTomadosCOOP' evtServTomadosCOOP,
       '$evtServPrestadosCOOP' evtServPrestadosCOOP,
       '$evtAquisProdRural' evtAquisProdRural,
       '$evtComercProducao' evtComercProducao,
       '$evtRepasseClubeFutebol' evtRepasseClubeFutebol,
       '$evtInfoDesoneracao' evtInfoDesoneracao,
       '$evtReceitaAtivConcomitantes' evtReceitaAtivConcomitantes
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                      AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
          WHERE PO.NRORG = $nrorg) EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EM.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Cadastramento Inicial
     * do Vinculo".
     **/
    public static function dataSetEsocial_S2100($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM CHAVE,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       PH.NMPESSOA nmTrab,
       PH.IDSEXOPESSOA sexo,
       RP.CDESOCIAL racaCor,
       EC.CDESOCIAL estCiv,
       GI.CDESOCIAL grauInstr,
       TO_CHAR(PH.DTNASCPESSOA,'YYYY-MM-DD') dtNascto,
       MU.CDMUNICIBGE codMunic,
       PH.SGESTADO uf,
       PA.CDESOCIAL paisNascto,
       PB.CDESOCIAL paisNac,
       (SELECT MAX(PN.NMPRINCIPALPARC)
          FROM RELACIONAPARC RP
          JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                             AND RP.NRORG = PN.NRORG
          WHERE VM.NRORG = RP.NRORG
            AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND RP.NRTIPORELACIONA = 1) nmMae, -- 1=Mae
       (SELECT MAX(PN.NMPRINCIPALPARC)
          FROM RELACIONAPARC RP
          JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                             AND RP.NRORG = PN.NRORG
          WHERE VM.NRORG = RP.NRORG
            AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND RP.NRTIPORELACIONA = 2) nmPai, -- 2=Pai
       PH.NRCTPSPESSOA nrCtps,
       PH.NRSERIECTPSPES serieCtps,
       PH.SGUFCTPSPES ufCtps,
       PH.NRRGPESSOA nrRg,
       PH.CDEXRGPESSOA rg_orgaoEmissor,
       TO_CHAR(PH.DTEXRGPESSOA,'YYYY-MM-DD') rg_dtExped,
       PH.NRDOCUESTRANG nrRne,
       PH.NRCARTHABPES nrRegCnh,
       TO_CHAR(PH.DTHABCARTPES,'YYYY-MM-DD') cnh_dtExped,
       '__ufCnh__' ufCnh,
       TO_CHAR(PH.DTVALHABCARTPES,'YYYY-MM-DD') cnh_dtValidade,
       '__dtPriHab__' dtPriHab,
       PH.DSCATEGHABCART categoriaCnh,
       NVL(LG.CDESOCIAL,'O') tpLograd,
       EP.DSENDERECO dscLograd,
       EP.NRIMOVELENDERECO nrLograd,
       EP.DSCOMPLEENDERECO complemento,
       EP.NMBAIRROENDERECO bairro,
       EP.NRCEPENDERECO cep,
       MP.CDMUNICIBGE brasil_codMunic,
       EP.SGESTADO brasil_uf,
       PC.CDESOCIAL paisResid,
       EE.DSENDERECO exterior_dscLograd,
       EE.NRIMOVELENDERECO exterior_nrLograd,
       EE.DSCOMPLEENDERECO exterior_complemento,
       EE.NMBAIRROENDERECO exterior_bairro,
       ME.NMMUNICIPIO nmCid,
       EE.NRCEPENDERECO codPostal,
       TO_CHAR(PH.NRANOCHEGAPAIS,'YYYY-MM-DD') dtChegada,
       '__classTrabEstang__' classTrabEstang,
       NVL((SELECT MAX('S')
              FROM RELACIONAPARC R
              JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                                AND R.NRORG = N.NRORG
              JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                               AND P.NRORG = N.NRORG
              JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                                AND H.NRORG = P.NRORG
                                AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                         WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND H1.NRPESSOA = H.NRPESSOA
                                                           AND H1.NRORG = H.NRORG)
             WHERE R.NRORG = PE.NRORG
               AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
               AND R.NRTIPORELACIONA = 4 -- 4=Cônjuge
               AND H.CDPAIS = '0055'),'N') casadoBr,
       NVL((SELECT MAX('S')
              FROM RELACIONAPARC R
              JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                                AND R.NRORG = N.NRORG
              JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                               AND P.NRORG = N.NRORG
              JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                                AND H.NRORG = P.NRORG
                                AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                         WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND H1.NRPESSOA = H.NRPESSOA
                                                           AND H1.NRORG = H.NRORG)
             WHERE R.NRORG = PE.NRORG
               AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
               AND R.NRTIPORELACIONA = 3 -- 3=Filho
               AND H.CDPAIS = '0055'),'N') filhosBr,
       DECODE(PH.NRCONDFISPES,'2','S','N') defFisica,
       DECODE(PH.NRCONDFISPES,'4','S','N') defVisual,
       DECODE(PH.NRCONDFISPES,'3','S','N') defAuditiva,
       DECODE(PH.NRCONDFISPES,'5','S','N') defMental,
       '__defIntelectual__' defIntelectual,
       DECODE(PH.NRCONDFISPES,'7','S','N') reabReadap,
       --<<dependentes>>--
       DECODE(VM.DTAPOSENTAFGTS,NULL,'N','S') trabAposent,
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU = '01') fonePrinc, -- 1-Telefone principal
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU IN ('02','03','04','06')) foneAlternat, -- 2-Celular particular 3-Telefone residencial 4-Telefone comercial 6-Celular comercial
       (SELECT MAX(C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU = '05') emailPrinc, -- 5-email
       VM.CDMATRICULA matricula,
       '1' tpRegTrab,
       VH.NRTPREGIMEPREV tpRegPrev,
       TO_CHAR(VM.DTADMISSAOVINC,'YYYY-MM-DD') dtAdm,
       '1' tpAdmissao,
       '1' indAdmissao,
       '1' tpRegJor,
       CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END natAtividade,
       '__cnpjSindCategProf__' cnpjSindCategProf,
       DECODE(VM.DTOPCAOFGTS,NULL,'N','S') opcFGTS,
       TO_CHAR(VM.DTOPCAOFGTS,'YYYY-MM-DD') dtOpcFGTS,
       VH.NRCARGO codCargo,
       VH.NRFUNCAO codFuncao,
       VE.NRCATEGESOC codCateg,
       SL.VRSALARIO vrSalFx,
       DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6','7') undSalFixo,
       SUBSTR(SL.DSOBSERVACAO,1,90) dscSalVar,
       DECODE(VH.DTFIMCONTRDETERMIN,NULL,'1','2') tpContr,
       TO_CHAR(VH.DTFIMCONTRDETERMIN,'YYYY-MM-DD') dtTerm,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') localTrabGeral_TpInsc,
       PN.NRINSCRICAOPARC localTrabGeral_NrInsc,
       PN.NMPRINCIPALPARC descComp,
       EH.QTHRSEMESCTRABH qtdHrsSem,
       DECODE(TJ.CDESOCIAL,'00',1,2) tpJornada,
       DECODE(TJ.CDESOCIAL,'00','',EH.NMESCALATRABH) dscTpJorn,
       --<<horario>>--
       ES.CDCNPJESTRUT cnpjSindTrab,
       '__dtIniAfast__' dtIniAfast,
       '__dtDeslig__' dtDeslig,
       PE.NRPARCNEGOCIO, EH.NRESCALATRABM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
                           AND (VE.NRORG = VM.NRORG OR VE.NRORG = 0 OR VE.NRORG IS NULL)
  JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                          AND (VT.NRORG = VM.NRORG OR VT.NRORG = 0 OR VT.NRORG IS NULL)
                          AND VT.IDVINCULOEMPR = 'S'
                          AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                    WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                      AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                      AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Local de Trabalho*/
  JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = VH.NRESTRUTGEREN
                    AND ET.NRORG = VH.NRORG
                    AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = ET.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = ET.NRPARCNEGOCIO
                     AND PN.NRORG = ET.NRORG
  /*Dados do Empregado - Dependentes*/
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  LEFT JOIN PAIS PA ON PA.CDPAIS = PH.CDPAIS
                   AND (PA.NRORG = PH.NRORG OR PA.NRORG = 0)
  /*Dados do Empregado - Naturalidade*/
  LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = PH.CDMUNICIPIO
                        AND (MU.NRORG = PH.NRORG OR MU.NRORG = 0)
  LEFT JOIN GPE_NACIONALIDADE NA ON PH.NRNACIONALID = NA.NRNACIONALIDADE
                                AND (PH.NRORG = NA.NRORG OR NA.NRORG = 0)
  LEFT JOIN PAIS PB ON PB.CDPAIS = NA.CDPAIS
                   AND (PB.NRORG = NA.NRORG OR PB.NRORG = 0)
  /*Endereço Principal*/
  LEFT JOIN ENDERECOPARC EP ON PE.NRPARCNEGOCIO = EP.NRPARCNEGOCIO
                           AND PE.NRORG = EP.NRORG
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
  LEFT JOIN MUNICIPIO MP ON MP.CDMUNICIPIO = EP.CDMUNICIPIO
                        AND (MP.NRORG = EP.NRORG OR MP.NRORG = 0)
  /*Endereço Exterior*/
  LEFT JOIN ENDERECOPARC EE ON PE.NRPARCNEGOCIO = EE.NRPARCNEGOCIO
                           AND PE.NRORG = EE.NRORG
                           AND EE.CDTIPOENDERECO = 'EXTERIOR'
  LEFT JOIN MUNICIPIO ME ON ME.CDMUNICIPIO = EE.CDMUNICIPIO
                        AND (ME.NRORG = EE.NRORG OR ME.NRORG = 0)
  LEFT JOIN PAIS PC ON PC.CDPAIS = EE.CDPAIS
                   AND (PC.NRORG = EE.NRORG OR PC.NRORG = 0)
  /*Cargo*/
  LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                            AND OH.NRORG = VH.NRORG
                            AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                      WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                        AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                        AND GPE_OCUPACAOH.NRORG = OH.NRORG)
  /*Salário*/
  LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                              AND SL.NRORG = VM.NRORG
                              AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                              AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
  /*Horário*/
  LEFT JOIN GPE_ESCALATRABH EH ON EH.NRESCALATRABM = VH.NRESCALATRABM
                              AND EH.NRORG = VH.NRORG
                              AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_ESCALATRABH
                                                        WHERE GPE_ESCALATRABH.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND GPE_ESCALATRABH.NRESCALATRABM = EH.NRESCALATRABM
                                                          AND GPE_ESCALATRABH.NRORG = EH.NRORG)
  LEFT JOIN PTO_TIPOJORNADA TJ ON TJ.NRTPJORNADA = EH.NRTPJORNADA
                              AND (TJ.NRORG = EH.NRORG OR TJ.NRORG = 0)
  LEFT JOIN GPE_TURNO TU ON TU.NRESCALATRABM = EH.NRESCALATRABM
                        AND TU.NRORG = EH.NRORG
  /*Sindicato*/
  LEFT JOIN ESTRUTURAH ES ON ES.NRESTRUTURAM = VH.NRESTRUTSIND
                         AND ES.NRORG = VH.NRORG
                         AND ES.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                   WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                     AND ESTRUTURAH.NRESTRUTURAM = ES.NRESTRUTURAM
                                                     AND ESTRUTURAH.NRORG = ES.NRORG)
  /*RaçaCor*/
  LEFT JOIN GPE_RACAPESSOA RP ON RP.NRRACAPESSOA = PH.NRRACAPESSOA
                             AND (RP.NRORG = PH.NRORG OR RP.NRORG = 0)
  /*Estado Civil*/
  LEFT JOIN ESTADOCIVIL EC ON EC.CDESTACIVIL = PH.CDESTACIVIL
                          AND (EC.NRORG = PH.NRORG OR EC.NRORG = 0)
  /*Grau Instrução*/
  LEFT JOIN GPE_GRAUINSTR GI ON GI.NRGRAUINSTR = PH.NRGRAUINSTR
                            AND (GI.NRORG = PH.NRORG OR GI.NRORG = 0)
  /*Logradouro*/
  LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
                         AND (LG.NRORG = EP.NRORG OR LG.NRORG = 0)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = ET.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(ET.NRORG, ET.NRESTRUTURAM, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.DTRESCISAOVINC IS NULL
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s2100_dependentes($nrParcNegocio, $nrorg)
    {
        $sqlDependente = <<<SQL
SELECT DISTINCT DECODE(R.NRTIPORELACIONA,'1','08','2','08','3','03','4','01','5','09','9','08') tpDep, --1-Mãe 2-Pai 3-Filho(a) 4-Cônjuge 5-Tutelado 6-Pensionista 7-Companheiro(a) 9-Avô(ó) 12-Tio(a) 20-Líder 25-Interlocutor
       H.NMPESSOA, H.DTNASCPESSOA, H.NRCPFPESSOA,
       NVL((SELECT 'S' FROM FPA_DEPVINCULO WHERE NRPESSOA = P.NRPESSOA AND NRORG = P.NRORG AND NRTIPODEPENDE = '2'),'N') DEPIRRF,
       NVL((SELECT 'S' FROM FPA_DEPVINCULO WHERE NRPESSOA = P.NRPESSOA AND NRORG = P.NRORG AND NRTIPODEPENDE = '1'),'N') DEPSF
  FROM RELACIONAPARC R
  JOIN GPE_PESSOA P ON R.NRPARCNEGRELAC = P.NRPARCNEGOCIO
                   AND R.NRORG = P.NRORG
  JOIN GPE_PESSOAH H ON P.NRPESSOA = H.NRPESSOA
                    AND P.NRORG = H.NRORG
  JOIN FPA_DEPVINCULO D ON D.NRPESSOA = P.NRPESSOA
                       AND D.NRORG = P.NRORG
 WHERE R.NRPARCNEGOCIO = '$nrParcNegocio'
   AND R.NRORG = $nrorg
   AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                            WHERE NRPESSOA = P.NRPESSOA
                              AND NRORG = P.NRORG)

SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlDependente);
    }

    public static function s2100_horario($nrescalatrabm, $nrorg)
    {
        $sql = <<<SQL
SELECT CASE TO_CHAR(TO_DATE(TU.DTDATABASE,'dd/mm/yyyy') + (HT.NRSEQHORARIO-1), 'DAY')
        WHEN 'SEGUNDA-FEIRA' THEN 1
        WHEN 'TERÇA-FEIRA  ' THEN 2
        WHEN 'QUARTA-FEIRA ' THEN 3
        WHEN 'QUINTA-FEIRA ' THEN 4
        WHEN 'SEXTA-FEIRA  ' THEN 5
        WHEN 'SÁBADO       ' THEN 6
        WHEN 'DOMINGO      ' THEN 7
        ELSE 8 END dia,
       HT.NRHORDIAM codHorContrat
  FROM GPE_TURNO TU
  JOIN GPE_HORARIOTURNO HT ON HT.NRTURNO = TU.NRTURNO
                          AND HT.NRORG = TU.NRORG
 WHERE TU.NRESCALATRABM = $nrescalatrabm
   AND TU.NRORG = $nrorg
 ORDER BY HT.NRSEQHORARIO
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Admissão de Trabalhador - Registro Preliminar".
     **/
    public static function dataSetEsocial_S2190($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
        PAR.NRINSCRICAOPARC nrInsc,
        PH.NRCPFPESSOA cpfTrab,
        TO_CHAR(PH.DTNASCPESSOA,'YYYY-MM-DD') dtNascto,
        TO_CHAR(VM.DTADMISSAOVINC,'YYYY-MM-DD') dtAdm
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado - Dependentes*/
   JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                     AND VM.NRORG    = PE.NRORG
   JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                      AND PE.NRORG    = PH.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG    = PH.NRORG)
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTRESCISAOVINC IS NULL
    AND VM.DTADMISSAOVINC = TO_DATE('$fimPeriodo')+1
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Admissão de Trabalhador".
     **/
    public static function dataSetEsocial_S2200($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $nrRecInfPrelim)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM CHAVE,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       PH.NMPESSOA nmTrab,
       PH.IDSEXOPESSOA sexo,
       RP.CDESOCIAL racaCor,
       EC.CDESOCIAL estCiv,
       GI.CDESOCIAL grauInstr,
       TO_CHAR(VM.DTPRIMADMISSAO,'YYYY-MM-DD') indPriEmpr,
       TO_CHAR(PH.DTNASCPESSOA,'YYYY-MM-DD') dtNascto,
       MU.CDMUNICIBGE codMunic,
       PH.SGESTADO uf,
       PA.CDESOCIAL paisNascto,
       PB.CDESOCIAL paisNac,
       (SELECT MAX(PN.NMPRINCIPALPARC)
          FROM RELACIONAPARC RP
          JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                             AND RP.NRORG = PN.NRORG
          WHERE VM.NRORG = RP.NRORG
            AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND RP.NRTIPORELACIONA = 1) nmMae, -- 1=Mae
       (SELECT MAX(PN.NMPRINCIPALPARC)
          FROM RELACIONAPARC RP
          JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                             AND RP.NRORG = PN.NRORG
          WHERE VM.NRORG = RP.NRORG
            AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND RP.NRTIPORELACIONA = 2) nmPai, -- 2=Pai
       PH.NRCTPSPESSOA nrCtps,
       PH.NRSERIECTPSPES serieCtps,
       PH.SGUFCTPSPES ufCtps,
       PH.NRRGPESSOA nrRg,
       PH.CDEXRGPESSOA rg_orgaoEmissor,
       TO_CHAR(PH.DTEXRGPESSOA,'YYYY-MM-DD') rg_dtExped,
       PH.NRDOCUESTRANG nrRne,
       PH.NRCARTHABPES nrRegCnh,
       TO_CHAR(PH.DTHABCARTPES,'YYYY-MM-DD') cnh_dtExped,
       '__ufCnh__' ufCnh,
       TO_CHAR(PH.DTVALHABCARTPES,'YYYY-MM-DD') cnh_dtValidade,
       '__dtPriHab__' dtPriHab,
       PH.DSCATEGHABCART categoriaCnh,
       NVL(LG.CDESOCIAL,'O') tpLograd,
       EP.DSENDERECO dscLograd,
       EP.NRIMOVELENDERECO nrLograd,
       EP.DSCOMPLEENDERECO complemento,
       EP.NMBAIRROENDERECO bairro,
       EP.NRCEPENDERECO cep,
       MP.CDMUNICIBGE brasil_codMunic,
       EP.SGESTADO brasil_uf,
       PC.CDESOCIAL paisResid,
       EE.DSENDERECO exterior_dscLograd,
       EE.NRIMOVELENDERECO exterior_nrLograd,
       EE.DSCOMPLEENDERECO exterior_complemento,
       EE.NMBAIRROENDERECO exterior_bairro,
       ME.NMMUNICIPIO nmCid,
       EE.NRCEPENDERECO codPostal,
       TO_CHAR(PH.NRANOCHEGAPAIS,'YYYY-MM-DD') dtChegada,
       '__classTrabEstang__' classTrabEstang,
       NVL((SELECT MAX('S')
              FROM RELACIONAPARC R
              JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                                AND R.NRORG = N.NRORG
              JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                               AND P.NRORG = N.NRORG
              JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                                AND H.NRORG = P.NRORG
                                AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                         WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND H1.NRPESSOA = H.NRPESSOA
                                                           AND H1.NRORG = H.NRORG)
             WHERE R.NRORG = PE.NRORG
               AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
               AND R.NRTIPORELACIONA = 4 -- 4=Cônjuge
               AND H.CDPAIS = '0055'),'N') casadoBr,
       NVL((SELECT MAX('S')
              FROM RELACIONAPARC R
              JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                                AND R.NRORG = N.NRORG
              JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                               AND P.NRORG = N.NRORG
              JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                                AND H.NRORG = P.NRORG
                                AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                         WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND H1.NRPESSOA = H.NRPESSOA
                                                           AND H1.NRORG = H.NRORG)
             WHERE R.NRORG = PE.NRORG
               AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
               AND R.NRTIPORELACIONA = 3 -- 3=Filho
               AND H.CDPAIS = '0055'),'N') filhosBr,
       DECODE(PH.NRCONDFISPES,'2','S','N') defFisica,
       DECODE(PH.NRCONDFISPES,'4','S','N') defVisual,
       DECODE(PH.NRCONDFISPES,'3','S','N') defAuditiva,
       DECODE(PH.NRCONDFISPES,'5','S','N') defMental,
       '__defIntelectual__' defIntelectual,
       DECODE(PH.NRCONDFISPES,'7','S','N') reabReadap,
       --<<dependentes>>--
       DECODE(VM.DTAPOSENTAFGTS,NULL,'N','S') trabAposent,
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU = '01') fonePrinc, -- 1-Telefone principal
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU IN ('02','03','04','06')) foneAlternat, -- 2-Celular particular 3-Telefone residencial 4-Telefone comercial 6-Celular comercial
       (SELECT MAX(C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU = '05') emailPrinc, -- 5-email
       VM.CDMATRICULA matricula,
       '1' tpRegTrab,
       VH.NRTPREGIMEPREV tpRegPrev,
       '__nrRecInfPrelim__' nrRecInfPrelim,
       TO_CHAR(VM.DTADMISSAOVINC,'YYYY-MM-DD') dtAdm,
       '1' tpAdmissao,
       '1' indAdmissao,
       '1' tpRegJor,
       CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END natAtividade,
       '__cnpjSindCategProf__' cnpjSindCategProf,
       DECODE(VM.DTOPCAOFGTS,NULL,'N','S') opcFGTS,
       TO_CHAR(VM.DTOPCAOFGTS,'YYYY-MM-DD') dtOpcFGTS,
       VH.NRCARGO codCargo,
       VH.NRFUNCAO codFuncao,
       VE.NRCATEGESOC codCateg,
       SL.VRSALARIO vrSalFx,
       DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6','7') undSalFixo,
       SUBSTR(SL.DSOBSERVACAO,1,90) dscSalVar,
       DECODE(VH.DTFIMCONTRDETERMIN,NULL,'1','2') tpContr,
       TO_CHAR(VH.DTFIMCONTRDETERMIN,'YYYY-MM-DD') dtTerm,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') localTrabGeral_TpInsc,
       PN.NRINSCRICAOPARC localTrabGeral_NrInsc,
       PN.NMPRINCIPALPARC descComp,
       EH.QTHRSEMESCTRABH qtdHrsSem,
       DECODE(TJ.CDESOCIAL,'00',1,2) tpJornada,
       DECODE(TJ.CDESOCIAL,'00','',EH.NMESCALATRABH) dscTpJorn,
       --<<horario>>--
       ES.CDCNPJESTRUT cnpjSindTrab,
       '__dtASOAdm__' dtASOAdm,
       '__nrCRM__' nrCRM,
       '__ufCRM__' ufCRM,
       PE.NRPARCNEGOCIO, EH.NRESCALATRABM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
                           AND (VE.NRORG = VM.NRORG OR VE.NRORG = 0 OR VE.NRORG IS NULL)
  JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                          AND (VT.NRORG = VM.NRORG OR VT.NRORG = 0 OR VT.NRORG IS NULL)
                          AND VT.IDVINCULOEMPR = 'S'
                          AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                    WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                      AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                      AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Local de Trabalho*/
  JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = VH.NRESTRUTGEREN
                    AND ET.NRORG = VH.NRORG
                    AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = ET.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = ET.NRPARCNEGOCIO
                     AND PN.NRORG = ET.NRORG
  /*Dados do Empregado - Dependentes*/
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  LEFT JOIN PAIS PA ON PA.CDPAIS = PH.CDPAIS
                   AND (PA.NRORG = PH.NRORG OR PA.NRORG = 0)
  /*Dados do Empregado - Naturalidade*/
  LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = PH.CDMUNICIPIO
                        AND (MU.NRORG = PH.NRORG OR MU.NRORG = 0)
  LEFT JOIN GPE_NACIONALIDADE NA ON PH.NRNACIONALID = NA.NRNACIONALIDADE
                                AND (PH.NRORG = NA.NRORG OR NA.NRORG = 0)
  LEFT JOIN PAIS PB ON PB.CDPAIS = NA.CDPAIS
                   AND (PB.NRORG = NA.NRORG OR PB.NRORG = 0)
  /*Endereço Principal*/
  LEFT JOIN ENDERECOPARC EP ON PE.NRPARCNEGOCIO = EP.NRPARCNEGOCIO
                           AND PE.NRORG = EP.NRORG
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
  LEFT JOIN MUNICIPIO MP ON MP.CDMUNICIPIO = EP.CDMUNICIPIO
                        AND (MP.NRORG = EP.NRORG OR MP.NRORG = 0)
  /*Endereço Exterior*/
  LEFT JOIN ENDERECOPARC EE ON PE.NRPARCNEGOCIO = EE.NRPARCNEGOCIO
                           AND PE.NRORG = EE.NRORG
                           AND EE.CDTIPOENDERECO = 'EXTERIOR'
  LEFT JOIN MUNICIPIO ME ON ME.CDMUNICIPIO = EE.CDMUNICIPIO
                        AND (ME.NRORG = EE.NRORG OR ME.NRORG = 0)
  LEFT JOIN PAIS PC ON PC.CDPAIS = EE.CDPAIS
                   AND (PC.NRORG = EE.NRORG OR PC.NRORG = 0)
  /*Cargo*/
  LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                            AND OH.NRORG = VH.NRORG
                            AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                      WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                        AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                        AND GPE_OCUPACAOH.NRORG = OH.NRORG)
  /*Salário*/
  LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                              AND SL.NRORG = VM.NRORG
                              AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                              AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
  /*Horário*/
  LEFT JOIN GPE_ESCALATRABH EH ON EH.NRESCALATRABM = VH.NRESCALATRABM
                              AND EH.NRORG = VH.NRORG
                              AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_ESCALATRABH
                                                        WHERE GPE_ESCALATRABH.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND GPE_ESCALATRABH.NRESCALATRABM = EH.NRESCALATRABM
                                                          AND GPE_ESCALATRABH.NRORG = EH.NRORG)
  LEFT JOIN PTO_TIPOJORNADA TJ ON TJ.NRTPJORNADA = EH.NRTPJORNADA
                              AND (TJ.NRORG = EH.NRORG OR TJ.NRORG = 0)
  /*Sindicato*/
  LEFT JOIN ESTRUTURAH ES ON ES.NRESTRUTURAM = VH.NRESTRUTSIND
                         AND ES.NRORG = VH.NRORG
                         AND ES.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                   WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                     AND ESTRUTURAH.NRESTRUTURAM = ES.NRESTRUTURAM
                                                     AND ESTRUTURAH.NRORG = ES.NRORG)
  /*RaçaCor*/
  LEFT JOIN GPE_RACAPESSOA RP ON RP.NRRACAPESSOA = PH.NRRACAPESSOA
                             AND (RP.NRORG = PH.NRORG OR RP.NRORG = 0)
  /*Estado Civil*/
  LEFT JOIN ESTADOCIVIL EC ON EC.CDESTACIVIL = PH.CDESTACIVIL
                          AND (EC.NRORG = PH.NRORG OR EC.NRORG = 0)
  /*Grau Instrução*/
  LEFT JOIN GPE_GRAUINSTR GI ON GI.NRGRAUINSTR = PH.NRGRAUINSTR
                            AND (GI.NRORG = PH.NRORG OR GI.NRORG = 0)
  /*Logradouro*/
  LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
                         AND (LG.NRORG = EP.NRORG OR LG.NRORG = 0)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = ET.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(ET.NRORG, ET.NRESTRUTURAM, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.DTRESCISAOVINC IS NULL
   AND VM.DTADMISSAO = '$fimPeriodo'
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Alteração de Dados Cadastrais do Trabalhador".
     **/
    public static function dataSetEsocial_S2205($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM CHAVE,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       CASE WHEN PH.DTULTATU > PH.DTINCLUSAO THEN PH.DTULTATU
            WHEN EP.DTULTATU > EP.DTINCLUSAO THEN EP.DTULTATU
            WHEN EE.DTULTATU > EE.DTINCLUSAO THEN EE.DTULTATU
       END dtAlteracao,
       PH.NRPISPASEPPES nisTrab,
       PH.NMPESSOA nmTrab,
       PH.IDSEXOPESSOA sexo,
       RP.CDESOCIAL racaCor,
       EC.CDESOCIAL estCiv,
       GI.CDESOCIAL grauInstr,
       PH.NRCTPSPESSOA nrCtps,
       PH.NRSERIECTPSPES serieCtps,
       PH.SGUFCTPSPES ufCtps,
       PH.NRRGPESSOA nrRg,
       PH.CDEXRGPESSOA rg_orgaoEmissor,
       TO_CHAR(PH.DTEXRGPESSOA,'YYYY-MM-DD') rg_dtExped,
       PH.NRDOCUESTRANG nrRne,
       PH.NRCARTHABPES nrRegCnh,
       TO_CHAR(PH.DTHABCARTPES,'YYYY-MM-DD') cnh_dtExped,
       '__ufCnh__' ufCnh,
       TO_CHAR(PH.DTVALHABCARTPES,'YYYY-MM-DD') cnh_dtValidade,
       '__dtPriHab__' dtPriHab,
       PH.DSCATEGHABCART categoriaCnh,
       NVL(LG.CDESOCIAL,'O') tpLograd,
       EP.DSENDERECO dscLograd,
       EP.NRIMOVELENDERECO nrLograd,
       EP.DSCOMPLEENDERECO complemento,
       EP.NMBAIRROENDERECO bairro,
       EP.NRCEPENDERECO cep,
       MP.CDMUNICIBGE brasil_codMunic,
       EP.SGESTADO brasil_uf,
       PC.CDESOCIAL paisResid,
       EE.DSENDERECO exterior_dscLograd,
       EE.NRIMOVELENDERECO exterior_nrLograd,
       EE.DSCOMPLEENDERECO exterior_complemento,
       EE.NMBAIRROENDERECO exterior_bairro,
       ME.NMMUNICIPIO nmCid,
       EE.NRCEPENDERECO codPostal,
       TO_CHAR(PH.NRANOCHEGAPAIS,'YYYY-MM-DD') dtChegada,
       '__classTrabEstang__' classTrabEstang,
       NVL((SELECT MAX('S')
              FROM RELACIONAPARC R
              JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                                AND R.NRORG = N.NRORG
              JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                               AND P.NRORG = N.NRORG
              JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                                AND H.NRORG = P.NRORG
                                AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                         WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND H1.NRPESSOA = H.NRPESSOA
                                                           AND H1.NRORG = H.NRORG)
             WHERE R.NRORG = PE.NRORG
               AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
               AND R.NRTIPORELACIONA = 4 -- 4=Cônjuge
               AND H.CDPAIS = '0055'),'N') casadoBr,
       NVL((SELECT MAX('S')
              FROM RELACIONAPARC R
              JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                                AND R.NRORG = N.NRORG
              JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                               AND P.NRORG = N.NRORG
              JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                                AND H.NRORG = P.NRORG
                                AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                         WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND H1.NRPESSOA = H.NRPESSOA
                                                           AND H1.NRORG = H.NRORG)
             WHERE R.NRORG = PE.NRORG
               AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
               AND R.NRTIPORELACIONA = 3 -- 3=Filho
               AND H.CDPAIS = '0055'),'N') filhosBr,
       DECODE(PH.NRCONDFISPES,'2','S','N') defFisica,
       DECODE(PH.NRCONDFISPES,'4','S','N') defVisual,
       DECODE(PH.NRCONDFISPES,'3','S','N') defAuditiva,
       DECODE(PH.NRCONDFISPES,'5','S','N') defMental,
       '__defIntelectual__' defIntelectual,
       DECODE(PH.NRCONDFISPES,'7','S','N') reabReadap,
       --<<dependentes>>--
       DECODE(VM.DTAPOSENTAFGTS,NULL,'N','S') trabAposent,
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU = '01') fonePrinc, -- 1-Telefone principal
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU IN ('02','03','04','06')) foneAlternat, -- 2-Celular particular 3-Telefone residencial 4-Telefone comercial 6-Celular comercial
       (SELECT MAX(C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU = '05') emailPrinc, -- 5-email
       PE.NRPARCNEGOCIO
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Local de Trabalho*/
  JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = VH.NRESTRUTGEREN
                    AND ET.NRORG = VH.NRORG
                    AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = ET.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = ET.NRPARCNEGOCIO
                     AND PN.NRORG = ET.NRORG
  /*Dados do Empregado - Dependentes*/
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  /*Endereço Principal*/
  LEFT JOIN ENDERECOPARC EP ON PE.NRPARCNEGOCIO = EP.NRPARCNEGOCIO
                           AND PE.NRORG = EP.NRORG
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
  LEFT JOIN MUNICIPIO MP ON MP.CDMUNICIPIO = EP.CDMUNICIPIO
                        AND (MP.NRORG = EP.NRORG OR MP.NRORG = 0)
  /*Endereço Exterior*/
  LEFT JOIN ENDERECOPARC EE ON PE.NRPARCNEGOCIO = EE.NRPARCNEGOCIO
                           AND PE.NRORG = EE.NRORG
                           AND EE.CDTIPOENDERECO = 'EXTERIOR'
  LEFT JOIN MUNICIPIO ME ON ME.CDMUNICIPIO = EE.CDMUNICIPIO
                        AND (ME.NRORG = EE.NRORG OR ME.NRORG = 0)
  LEFT JOIN PAIS PC ON PC.CDPAIS = EE.CDPAIS
                   AND (PC.NRORG = EE.NRORG OR PC.NRORG = 0)
  /*RaçaCor*/
  LEFT JOIN GPE_RACAPESSOA RP ON RP.NRRACAPESSOA = PH.NRRACAPESSOA
                             AND (RP.NRORG = PH.NRORG OR RP.NRORG = 0)
  /*Estado Civil*/
  LEFT JOIN ESTADOCIVIL EC ON EC.CDESTACIVIL = PH.CDESTACIVIL
                          AND (EC.NRORG = PH.NRORG OR EC.NRORG = 0)
  /*Grau Instrução*/
  LEFT JOIN GPE_GRAUINSTR GI ON GI.NRGRAUINSTR = PH.NRGRAUINSTR
                            AND (GI.NRORG = PH.NRORG OR GI.NRORG = 0)
  /*Logradouro*/
  LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
                         AND (LG.NRORG = EP.NRORG OR LG.NRORG = 0)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = ET.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(ET.NRORG, ET.NRESTRUTURAM, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.DTRESCISAOVINC IS NULL
   AND ((PH.DTULTATU > PH.DTINCLUSAO AND PH.DTULTATU = '$fimPeriodo') OR
        (EP.DTULTATU > EP.DTINCLUSAO AND EP.DTULTATU = '$fimPeriodo') OR
        (EE.DTULTATU > EE.DTINCLUSAO AND EE.DTULTATU = '$fimPeriodo'))
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Alteração de Contrato de Trabalho".
     **/
    public static function dataSetEsocial_S2206($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo, $nrRecInfPrelim)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM CHAVE,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       VM.CDMATRICULA matricula,
       CASE WHEN VH.DTULTATU > VH.DTINCLUSAO THEN VH.DTULTATU
            WHEN OH.DTULTATU > OH.DTINCLUSAO THEN OH.DTULTATU
            WHEN SL.DTULTATU > SL.DTINCLUSAO THEN SL.DTULTATU
            WHEN PN.DTULTATU > PN.DTINCLUSAO THEN PN.DTULTATU
            WHEN EH.DTULTATU > EH.DTINCLUSAO THEN EH.DTULTATU
       END dtAlteracao,
       '1' tpRegTrab,
       VH.NRTPREGIMEPREV tpRegPrev,
       '1' tpRegJor,
       CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END natAtividade,
       '__cnpjSindCategProf__' cnpjSindCategProf,
       VH.NRCARGO codCargo,
       VH.NRFUNCAO codFuncao,
       VE.NRCATEGESOC codCateg,
       SL.VRSALARIO vrSalFx,
       DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6','7') undSalFixo,
       SUBSTR(SL.DSOBSERVACAO,1,90) dscSalVar,
       DECODE(VH.DTFIMCONTRDETERMIN,NULL,'1','2') tpContr,
       TO_CHAR(VH.DTFIMCONTRDETERMIN,'YYYY-MM-DD') dtTerm,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') localTrabGeral_TpInsc,
       PN.NRINSCRICAOPARC localTrabGeral_NrInsc,
       PN.NMPRINCIPALPARC descComp,
       EH.QTHRSEMESCTRABH qtdHrsSem,
       DECODE(TJ.CDESOCIAL,'00',1,2) tpJornada,
       DECODE(TJ.CDESOCIAL,'00','',EH.NMESCALATRABH) dscTpJorn,
       --<<horario>>--
       ES.CDCNPJESTRUT cnpjSindTrab,
       EH.NRESCALATRABM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
                           AND (VE.NRORG = VM.NRORG OR VE.NRORG = 0 OR VE.NRORG IS NULL)
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Local de Trabalho*/
  JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = VH.NRESTRUTGEREN
                    AND ET.NRORG = VH.NRORG
                    AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = ET.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = ET.NRPARCNEGOCIO
                     AND PN.NRORG = ET.NRORG
  /*Dados do Empregado*/
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  /*Cargo*/
  LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                            AND OH.NRORG = VH.NRORG
                            AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                      WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                        AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                        AND GPE_OCUPACAOH.NRORG = OH.NRORG)
  /*Salário*/
  LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                              AND SL.NRORG = VM.NRORG
                              AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                              AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
  /*Horário*/
  LEFT JOIN GPE_ESCALATRABH EH ON EH.NRESCALATRABM = VH.NRESCALATRABM
                              AND EH.NRORG = VH.NRORG
                              AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_ESCALATRABH
                                                        WHERE GPE_ESCALATRABH.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND GPE_ESCALATRABH.NRESCALATRABM = EH.NRESCALATRABM
                                                          AND GPE_ESCALATRABH.NRORG = EH.NRORG)
  LEFT JOIN PTO_TIPOJORNADA TJ ON TJ.NRTPJORNADA = EH.NRTPJORNADA
                              AND (TJ.NRORG = EH.NRORG OR TJ.NRORG = 0)
  /*Sindicato*/
  LEFT JOIN ESTRUTURAH ES ON ES.NRESTRUTURAM = VH.NRESTRUTSIND
                         AND ES.NRORG = VH.NRORG
                         AND ES.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                   WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                     AND ESTRUTURAH.NRESTRUTURAM = ES.NRESTRUTURAM
                                                     AND ESTRUTURAH.NRORG = ES.NRORG)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = ET.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(ET.NRORG, ET.NRESTRUTURAM, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.DTRESCISAOVINC IS NULL
   AND ((VH.DTULTATU > VH.DTINCLUSAO AND VH.DTULTATU = '$fimPeriodo') OR
        (OH.DTULTATU > OH.DTINCLUSAO AND OH.DTULTATU = '$fimPeriodo') OR
        (SL.DTULTATU > SL.DTINCLUSAO AND SL.DTULTATU = '$fimPeriodo') OR
        (PN.DTULTATU > PN.DTINCLUSAO AND PN.DTULTATU = '$fimPeriodo') OR
        (EH.DTULTATU > EH.DTINCLUSAO AND EH.DTULTATU = '$fimPeriodo'))
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Comunicação de Acidente de Trabalho".
     **/
    public static function dataSetEsocial_S2210($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT OC.NROCORRENCIA chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       '1' tpRegistrador,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') ideEmpregador_tpInsc,
       PAR.NRINSCRICAOPARC ideEmpregador_nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       TO_CHAR(OC.DTHROCORRENCIA,'YYYY-MM-DD') dtAcid,
       TA.CDESOCIAL tpAcid,
       TO_CHAR(OC.DTHROCORRENCIA, 'HH24MI') hrAcid,
       SUBSTR(VI.QTHRAPOSINICTRAB,1,2)||':'||SUBSTR(VI.QTHRAPOSINICTRAB,3,2) hrsTrabAntesAcid,
       DECODE(VI.IDACIDFATAL,'S','3','1') tpCat,
       'N' indCatParcial,
       VI.IDACIDFATAL indCatObito,
       VI.IDREGPOLICIAL indComunPolicia,
       SG.CDESOCIAL codSitGeradora,
       '1' iniciatCat,
       SUBSTR(1,255,OC.DSOBSERVACAO) observacao,
       LC.CDESOCIAL tpLocal,
       VI.DSLOCALCAT dscLocal,
       MU.CDMUNICIBGE codMunic,
       VI.SGESTADO uf,
       CASE WHEN LC.CDESOCIAL IN ('1','2') THEN PN.NRINSCRICAOPARC ELSE '' END cnpjLocalAcid,
       --<<codParteAtingida>>--
       AG.CDESOCIAL codAgntCausador,
       '__codCNES__' codCNES,
       TO_CHAR(FM.DTHREFETFICHAMED,'YYYY-MM-DD') dtAtendimento,
       TO_CHAR(FM.DTHREFETFICHAMED,'HH24MI') hrAtendimento,
       '__indInternacao__' indInternacao,
       FM.DTHREFETFICHAMED - FM.DTPREVRETORNO durTrat,
       DECODE(FM.DTHRINIAFASTAMENTO,NULL,'N','S') indAfast,
       '__dscLesao__' dscLesao,
       '__dscCompLesao__' dscCompLesao,
       '__diagProvavel__' diagProvavel,
       DF.NRCID codCID,
       PN.NMPRINCIPALPARC nmEmit,
       '__ideOC__' ideOC,
       FM.NRINSCRCONSELHOATEND nrOC,
       '__ufOC__' ufOC,
       VI.NRVITIMA
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Local de Trabalho*/
  JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = VH.NRESTRUTGEREN
                    AND ET.NRORG = VH.NRORG
                    AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = ET.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = ET.NRPARCNEGOCIO
                     AND PN.NRORG = ET.NRORG
  /*Dados do Empregado*/
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  JOIN SST_VITIMA VI ON VI.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                    AND VI.NRORG = PE.NRORG
  LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = VI.CDMUNICIPIO
  /*Tipo Local*/
  LEFT JOIN SST_TIPOLOCALCAT LC ON LC.NRTIPOLOCALCAT = VI.NRTIPOLOCALCAT
                               AND (LC.NRORG = VI.NRORG OR LC.NRORG = '0')
  /*Agente Causador*/
  LEFT JOIN SST_AGENTCAUSAD AG ON AG.NRAGENTCAUSAD = VI.NRAGENTCAUSAD
                              AND (AG.NRORG = VI.NRORG OR AG.NRORG = '0')
  JOIN SST_OCORRENCIA OC ON OC.NROCORRENCIA = VI.NROCORRENCIA
                        AND OC.NRORG = VI.NRORG
  /*Tipo Acidente*/
  LEFT JOIN SST_CLASSIFICACAO CL ON CL.NRCLASSIFICACAO = OC.NRCLASSIFICACAO
                                AND CL.NRORG = OC.NRORG
  LEFT JOIN SST_TIPOACIDENTE TA ON TA.NRTIPOACIDENTE = CL.NRTIPOACIDENTE
                               AND (TA.NRORG = CL.NRORG OR TA.NRORG = '0')
  /*Situação Geradora*/
  LEFT JOIN SST_TIPOOCORRE TC ON TC.NRTIPOOCORRE = OC.NRTIPOOCORRE
                             AND TC.NRORG = OC.NRORG
  LEFT JOIN SST_SITUGERADORA SG ON SG.NRSITUGERADORA = TC.NRSITUGERADORA
                               AND (SG.NRORG = TC.NRORG OR SG.NRORG = '0')
  /*Parte Atingida*/
  LEFT JOIN SST_VITIMAPARTEATINGIDA VP ON VP.NRVITIMA = VI.NRVITIMA
                                      AND VP.NRORG = VI.NRORG
  LEFT JOIN SST_PARTEATINGIDA PA ON PA.NRPARTEATINGIDA = VP.NRPARTEATINGIDA
                                AND PA.NRORG = VP.NRORG
  LEFT JOIN SST_PARTATINGESOC PE ON PE.NRPARTATINGESOC = PA.NRPARTATINGESOC
                                AND (PE.NRORG = PA.NRORG OR PE.NRORG = '0')
  /*Atestado*/
  LEFT JOIN SST_FICHAMEDICA FM ON FM.NROCORRENCIA = OC.NROCORRENCIA
                              AND FM.NRORG = OC.NRORG
                              AND FM.IDEMISSAOCAT = 'S'
  LEFT JOIN SST_DOENCAFICHAMEDICA DF ON DF.NRFICHAMEDICA = FM.NRFICHAMEDICA
                                    AND DF.NRORG = FM.NRORG
  LEFT JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = FM.NRPARCNEGOCIO
                          AND PN.NRORG = FM.NRORG
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.DTRESCISAOVINC IS NULL
   AND ((OC.DTHROCORRENCIA = '$fimPeriodo') OR (OC.DTHROCORRENCIA = TO_DATE('$fimPeriodo')-1))
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s2210_partesAtigindas($nrvitima, $nrorg)
    {
        $sql = <<<SQL
SELECT PE.CDESOCIAL codParteAting,
       '__lateralidade__' lateralidade
  FROM SST_VITIMAPARTEATINGIDA VP
  LEFT JOIN SST_PARTEATINGIDA PA ON PA.NRPARTEATINGIDA = VP.NRPARTEATINGIDA
                                AND PA.NRORG = VP.NRORG
  LEFT JOIN SST_PARTATINGESOC PE ON PE.NRPARTATINGESOC = PA.NRPARTATINGESOC
                                AND (PE.NRORG = PA.NRORG OR PE.NRORG = '0')
 WHERE VP.NRVITIMA = $nrvitima
   AND VP.NRORG = $nrorg
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Alteração de dados cadastrais de Trabalhador".
     **/
    public static function dataSetEsocial_S2220($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT FM.NRFICHAMEDICA chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       VM.CDMATRICULA matricula,
       TO_CHAR(FM.DTHREFETFICHAMED,'YYYY-MM-DD') dtASO,
       '__tpAso__' tpAso,
       '__resAso__' resAso,
       --<<exame>>--
       '__monitBilog__' monitBilog,
       '__codCNES__' codCNES,
       CEM.CDPREFIXCOMUPARC||CEM.CDCOMUNICAPARC frmCtt,
       PN.NMPRINCIPALPARC nmMed,
       CPN.CDPREFIXCOMUPARC||CPN.CDCOMUNICAPARC medico_frmCtt,
       FM.NRINSCRCONSELHOATEND nrCRM,
       '__ufCRM__' ufCRM,
       FM.NRFICHAMEDICA
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Dados do Empregado*/
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  /*Ficha Médica*/
  LEFT JOIN SST_FICHAMEDICA FM ON FM.NRVINCULOM = VM.NRVINCULOM
                              AND FM.NRORG = VM.NRORG
                              AND FM.IDEMISSAOCAT = 'N'
  LEFT JOIN SST_DOENCAFICHAMEDICA DF ON DF.NRFICHAMEDICA = FM.NRFICHAMEDICA
                                    AND DF.NRORG = FM.NRORG
  /*Médico - Atendente*/
  LEFT JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = FM.NRPARCNEGOCIO
                          AND PN.NRORG = FM.NRORG
  LEFT JOIN COMUNICAPARC CPN ON CPN.NRPARCNEGOCIO = PN.NRPARCNEGOCIO
                           AND CPN.NRORG = PN.NRORG
                           AND CPN.CDFORMACOMU = '01' --TELEFONE PRINCIPAL
  /*Unidade de Atendimento*/
  LEFT JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = FM.NRESTRUTURAM
                         AND EM.NRORG = FM.NRORG
  LEFT JOIN COMUNICAPARC CEM ON CEM.NRPARCNEGOCIO = EM.NRPARCNEGOCIO
                           AND CEM.NRORG = EM.NRORG
                           AND CEM.CDFORMACOMU = '01' --TELEFONE PRINCIPAL
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.DTRESCISAOVINC IS NULL
   AND FM.DTHREFETFICHAMED = '$fimPeriodo'
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Alteração de dados
     * cadastrais de Trabalhador".
     **/
    public static function dataSetEsocial_S2220_v11($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT VM.NRVINCULOM chave, '__ID__' id,
        'S-2220' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPESSOA, PH.NRPESSOAH,
        CASE WHEN PH.DTULTATU > PH.DTINCLUSAO THEN PH.DTULTATU
             WHEN EP.DTULTATU > EP.DTINCLUSAO THEN EP.DTULTATU
             WHEN EE.DTULTATU > EE.DTINCLUSAO THEN EE.DTULTATU
        END dtAlteracao,
        PH.NMPESSOA nomeTrab,
        PH.IDSEXOPESSOA sexo,
        RP.CDESOCIAL racaCor,
        EC.CDESOCIAL estadoCivil,
        GI.CDESOCIAL grauInstrucao,
        TO_CHAR(PH.DTNASCPESSOA,'DDMMYYYY') dtNascto,
        MU.CDMUNICIBGE codMunicipio,
        PH.SGESTADO uf,
        PA.CDESOCIAL paisNascto,
        PB.CDESOCIAL paisNacionalidade,
        (SELECT MAX(PN.NMPRINCIPALPARC)
           FROM RELACIONAPARC RP
           JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                              AND RP.NRORG = PN.NRORG
           WHERE VM.NRORG = RP.NRORG
             AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
             AND RP.NRTIPORELACIONA = 1) nomeMae, -- 1=Mae
        (SELECT MAX(PN.NMPRINCIPALPARC)
           FROM RELACIONAPARC RP
           JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                              AND RP.NRORG = PN.NRORG
           WHERE VM.NRORG = RP.NRORG
             AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
             AND RP.NRTIPORELACIONA = 2) nomePai, -- 2=Pai
        PH.NRCTPSPESSOA nrCtps,
        PH.NRSERIECTPSPES serieCtps,
        PH.SGUFCTPSPES ufCtps,
        PH.NRRGPESSOA nrRg,
        PH.CDEXRGPESSOA rgOrgaoEmissor,
        TO_CHAR(PH.DTEXRGPESSOA,'DDMMYYYY') rgDtExpedicao,
        PH.NRDOCUESTRANG nrRne,
        PH.NRCARTHABPES nrCnh,
        TO_CHAR(PH.DTHABCARTPES,'DDMMYYYY') cnhDtExpedicao,
        TO_CHAR(PH.DTVALHABCARTPES,'DDMMYYYY') cnhDtValidade,
        NVL(LG.CDESOCIAL,'O') tpLogradouro,
        EP.DSENDERECO descLogradouro,
        EP.NRENDERECOPARC nrLogradouro,
        EP.DSCOMPLEENDERECO complemento,
        EP.NMBAIRROENDERECO bairro,
        EP.NRCEPENDERECO cep,
        MP.CDMUNICIBGE braCodMunicipio,
        EP.SGESTADO braUf,
        PC.CDESOCIAL paisResidencia,
        EE.DSENDERECO extDescLogradouro,
        EE.NRIMOVELENDERECO extNrLogradouro,
        EE.DSCOMPLEENDERECO extComplemento,
        EE.NMBAIRROENDERECO extBairro,
        ME.NMMUNICIPIO nomeCidade,
        EE.NRCEPENDERECO codPostal,
        TO_CHAR(PH.NRANOCHEGAPAIS,'DDMMYYYY') dtChegada,
        TO_CHAR(PH.DTNATURALIZAPES,'DDMMYYYY') dtNaturalizacao,
        NVL((SELECT MAX('S')
           FROM RELACIONAPARC R
           JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                             AND R.NRORG = N.NRORG
           JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                            AND P.NRORG = N.NRORG
           JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                             AND H.NRORG = P.NRORG
                             AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                      WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                        AND H1.NRPESSOA = H.NRPESSOA
                                                        AND H1.NRORG = H.NRORG)
          WHERE R.NRORG = PE.NRORG
            AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND R.NRTIPORELACIONA = 4 -- 4=Cônjuge
            AND H.CDPAIS = '0055'),'N') casadoBr,
        NVL((SELECT MAX('S')
           FROM RELACIONAPARC R
           JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                             AND R.NRORG = N.NRORG
           JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                            AND P.NRORG = N.NRORG
           JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                             AND H.NRORG = P.NRORG
                             AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                      WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                        AND H1.NRPESSOA = H.NRPESSOA
                                                        AND H1.NRORG = H.NRORG)
          WHERE R.NRORG = PE.NRORG
            AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND R.NRTIPORELACIONA = 3 -- 3=Filho
            AND H.CDPAIS = '0055'),'N') filhosBr,
        DECODE(PH.NRCONDFISPES,'2','S','N') defFisica,
        DECODE(PH.NRCONDFISPES,'4','S','N') defVisual,
        DECODE(PH.NRCONDFISPES,'3','S','N') defAuditiva,
        DECODE(PH.NRCONDFISPES,'5','S','N') defMental,
        DECODE(PH.NRCONDFISPES,'7','S','N') reabilitado,
        PE.NRPARCNEGOCIO, PE.NRORG,
        DECODE(VM.DTAPOSENTAFGTS,NULL,'N','S') trabAposentado,
        (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
           FROM COMUNICAPARC C
          WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND C.NRORG = PE.NRORG
            AND C.CDFORMACOMU = '01') fonePrincipal, -- 1-Telefone principal
        (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
           FROM COMUNICAPARC C
          WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND C.NRORG = PE.NRORG
            AND C.CDFORMACOMU IN ('02','03','04','06')) foneAlternativo, -- 2-Celular particular 3-Telefone residencial 4-Telefone comercial 6-Celular comercial
        (SELECT MAX(C.CDCOMUNICAPARC)
           FROM COMUNICAPARC C
          WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND C.NRORG = PE.NRORG
            AND C.CDFORMACOMU = '05') emailPrincipal
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado - Dependentes*/
   JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                     AND VM.NRORG    = PE.NRORG
   JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                      AND PE.NRORG    = PH.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   LEFT JOIN PAIS PA ON PA.CDPAIS = PH.CDPAIS
   /*Dados do Empregado - Naturalidade*/
   LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = PH.CDMUNICIPIO
   LEFT JOIN GPE_NACIONALIDADE NA ON PH.NRNACIONALID = NA.NRNACIONALIDADE
                                 AND (PH.NRORG = NA.NRORG OR NA.NRORG = 0)
   LEFT JOIN PAIS PB ON PB.CDPAIS = NA.CDPAIS
   /*Endereço Principal*/
   LEFT JOIN ENDERECOPARC EP ON PE.NRPARCNEGOCIO = EP.NRPARCNEGOCIO
                            AND PE.NRORG = EP.NRORG
                            AND EP.CDTIPOENDERECO = 'PRINCIPAL'
   LEFT JOIN MUNICIPIO MP ON MP.CDMUNICIPIO = EP.CDMUNICIPIO
   /*Endereço Exterior*/
   LEFT JOIN ENDERECOPARC EE ON PE.NRPARCNEGOCIO = EE.NRPARCNEGOCIO
                            AND PE.NRORG = EE.NRORG
                            AND EE.CDTIPOENDERECO = 'EXTERIOR'
   LEFT JOIN MUNICIPIO ME ON ME.CDMUNICIPIO = EE.CDMUNICIPIO
   LEFT JOIN PAIS PC ON PC.CDPAIS = EE.CDPAIS
   /*RaçaCor*/
   LEFT JOIN GPE_RACAPESSOA RP ON RP.NRRACAPESSOA = PH.NRRACAPESSOA
   /*Estado Civil*/
   LEFT JOIN ESTADOCIVIL EC ON EC.CDESTACIVIL = PH.CDESTACIVIL
   /*Grau Instrução*/
   LEFT JOIN GPE_GRAUINSTR GI ON GI.NRGRAUINSTR = PH.NRGRAUINSTR
   /*Logradouro*/
   LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTRESCISAOVINC IS NULL
    AND ((PH.DTULTATU > PH.DTINCLUSAO AND PH.DTULTATU = '$fimPeriodo') OR
         (EP.DTULTATU > EP.DTINCLUSAO AND EP.DTULTATU = '$fimPeriodo') OR
         (EE.DTULTATU > EE.DTINCLUSAO AND EE.DTULTATU = '$fimPeriodo'))
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Afastamento Temporário".
     **/
    public static function dataSetEsocial_S2230($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT SF.NRALTESITUFUNC chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       VM.CDMATRICULA matricula,
       CASE WHEN SF.DTINISITUFUNC = '$fimPeriodo' THEN 'INICIO'
            WHEN SF.DTULTATU = '$fimPeriodo' THEN 'ALTERACAO'
            WHEN SF.DTFIMSITUFUNC = '$fimPeriodo' THEN 'TERMINO'
       END afastamento,
       SF.DTINISITUFUNC dtIniAfast,
       MA.CDESOCIAL codMotAfast,
       '__tpAcidTransito__' tpAcidTransito,
       DECODE(NVL(MA.CDESOCIAL,'21'),'21',MA.NMMOTIVOAFASTA,'') observacao,
       SF.CDTABECDI codCID,
       '__infoAtestado__' infoAtestado,
       '__infoCessao__' infoCessao,
       '__infoMandSind__' infoMandSind,
       SF.DTULTATU dtAltMot,
       '__codMotAnt__' codMotAnt,
       MA.CDESOCIAL altAfastamento_codMotAfast,
       '__indEfRetroativo__' indEfRetroativo,
       SF.DTFIMSITUFUNC dtTermAfast,
       MA.CDESOCIAL fimAfastamento_codMotAfast,
       DECODE(NVL(MA.CDESOCIAL,'21'),'21',MA.NMMOTIVOAFASTA,'') fimAfastamento_observacao
  FROM GPE_ALTESITUFUNC SF
  LEFT JOIN GPE_MOTIVOAFASTA MA ON MA.NRMOTIVOAFASTA = SF.NRMOTIVOAFASTA
  JOIN GPE_VINCULOM VM ON VM.NRVINCULOM = SF.NRVINCULOM
                      AND VM.NRORG = SF.NRORG
                      AND VM.DTRESCISAOVINC IS NULL
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Dados do Empregado*/
  JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                    AND PE.NRORG    = VM.NRORG
  JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                     AND PH.NRORG    = PE.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE ((SF.DTINISITUFUNC = '$fimPeriodo') OR (SF.DTULTATU = '$fimPeriodo') OR (SF.DTFIMSITUFUNC = '$fimPeriodo'))
   AND SF.DTINISITUFUNC <> SF.DTFIMSITUFUNC
   AND SF.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Condições Ambientais do Trabalho - Fatores de Risco".
     **/
    public static function dataSetEsocial_S2240($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL

SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Alteração de Contrato
     * de Trabalho".
     **/
    public static function dataSetEsocial_S2240_v11($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT VM.NRVINCULOM chave, '__ID__' id,
        'S-2240' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        NVL(VM.CDMATRICULA,VM.NRVINCULOM) matricula,
        CASE WHEN VH.DTULTATU > VH.DTINCLUSAO THEN VH.DTULTATU
             WHEN OH.DTULTATU > OH.DTINCLUSAO THEN OH.DTULTATU
             WHEN SL.DTULTATU > SL.DTINCLUSAO THEN SL.DTULTATU
             WHEN PN.DTULTATU > PN.DTINCLUSAO THEN PN.DTULTATU
             WHEN EH.DTULTATU > EH.DTINCLUSAO THEN EH.DTULTATU
        END dtAlteracao,
        '1' tpRegimeTrab,
        VH.NRTPREGIMEPREV tpRegimePrev,
        '1' tpRegimeJor,
        CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END natAtividade,
        VE.NRCATEGESOC codCateg,
        VH.NRFUNCAO codFuncao,
        VH.NRCARGO codCargo,
        OH.NRCBO codCBO,
        SL.VRSALARIO vlrSalFixo,
        TS.CDTIPOSALARIO unidSalFixo,
        DECODE(VH.DTFIMCONTRDETERMIN,NULL,'1','2') tpContrato,
        TO_CHAR(VH.DTFIMCONTRDETERMIN,'DDMMYYYY') dtTermino,
        DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') localTpInscricao,
        PN.NRINSCRICAOPARC localNrInscricao,
        VH.NRESTRUTGEREN codLotacao,
        EH.QTHRSEMESCTRABH qtdHoras,
        '__dia__' dia,
        '__codHorContratual__' codHorContratual,
        ES.CDCNPJESTRUT cnpjSindTrabalhador
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Local de Trabalho*/
   JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = VH.NRESTRUTGEREN
                     AND ET.NRORG = VH.NRORG
                     AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = ET.NRORG)
   JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = ET.NRPARCNEGOCIO
                      AND PN.NRORG = ET.NRORG
   /*Dados do Empregado*/
   JOIN GPE_PESSOAH PH ON PH.NRPESSOA = VM.NRPESSOA
                      AND PH.NRORG    = VM.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)

   /*Cargo*/
   LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                             AND OH.NRORG = VH.NRORG
                             AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                       WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                         AND GPE_OCUPACAOH.NRORG = OH.NRORG)
   /*Salário*/
   LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                               AND SL.NRORG = VM.NRORG
                               AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                               AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
   JOIN GPE_TIPOSALARIO TS ON TS.CDTIPOSALARIO = SL.IDTPSALARIO
   /*Horário*/
   LEFT JOIN GPE_ESCALATRABH EH ON EH.NRESCALATRABM = VH.NRESCALATRABM
                               AND EH.NRORG = VH.NRORG
                               AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_ESCALATRABH
                                                         WHERE GPE_ESCALATRABH.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND GPE_ESCALATRABH.NRESCALATRABM = EH.NRESCALATRABM
                                                           AND GPE_ESCALATRABH.NRORG = EH.NRORG)
   /*Sindicato*/
   LEFT JOIN ESTRUTURAH ES ON ES.NRESTRUTURAM = VH.NRESTRUTSIND
                          AND ES.NRORG = VH.NRORG
                          AND ES.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                    WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                      AND ESTRUTURAH.NRESTRUTURAM = ES.NRESTRUTURAM
                                                      AND ESTRUTURAH.NRORG = ES.NRORG)
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTRESCISAOVINC IS NULL
    AND ((VH.DTULTATU > VH.DTINCLUSAO AND VH.DTULTATU = '$fimPeriodo') OR
         (OH.DTULTATU > OH.DTINCLUSAO AND OH.DTULTATU = '$fimPeriodo') OR
         (SL.DTULTATU > SL.DTINCLUSAO AND SL.DTULTATU = '$fimPeriodo') OR
         (PN.DTULTATU > PN.DTINCLUSAO AND PN.DTULTATU = '$fimPeriodo') OR
         (EH.DTULTATU > EH.DTINCLUSAO AND EH.DTULTATU = '$fimPeriodo'))
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Insalubridade, Periculosidade e Aposentadoria Especial".
     **/
    public static function dataSetEsocial_S2241($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL

SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Aviso Prévio".
     **/
    public static function dataSetEsocial_S2250($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
        PAR.NRINSCRICAOPARC nrInsc,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        VM.CDMATRICULA matricula,
        VM.DTAVISOPREVIO dtAvPrv,
        VM.DTRESCISAOVINC dtPrevDeslig,
        TA.CDESOCIAL tpAvPrevio,
        VM.DSOBSRESCISAO observacao,
        '__cancAvPrevio__' cancAvPrevio
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado*/
   JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                     AND PE.NRORG    = VM.NRORG
   JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                      AND PH.NRORG    = PE.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   LEFT JOIN GPE_TIPOAVISOPRE TA ON TA.NRTPAVIPRE = VM.NRTPAVIPRE
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTAVISOPREVIO >= '$fimPeriodo'
    AND VM.DTRESCISAOVINC <= '$fimPeriodo'
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Comunicação de Acidente de Trabalho".
     **/
    public static function dataSetEsocial_S2260($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT OC.NROCORRENCIA chave, '__ID__' id,
        'S-2260' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        TO_CHAR(OC.DTHROCORRENCIA,'DD/MM/YYYY') dtAcidente,
        TO_CHAR(OC.DTHROCORRENCIA, 'hh:mi') horaAcidente,
        SUBSTR(VI.QTHRAPOSINICTRAB,1,2)||':'||SUBSTR(VI.QTHRAPOSINICTRAB,3,2) horasTrabAntesAcidente,
        TA.CDESOCIAL tpAcidente,
        DECODE(VI.IDACIDFATAL,'S','3','1') tpCat,
        'N' indCatParcial,
        VI.IDACIDFATAL indCatObito,
        VI.IDREGPOLICIAL indComunicPolicia,
        SG.CDESOCIAL codSitGeradora,
        LC.CDESOCIAL tpLocal,
        VI.DSLOCALCAT descLocal,
        MU.CDMUNICIBGE codMunicipio,
        VI.SGESTADO uf,
        PE.CDESOCIAL codParteAtingida,
        AG.CDESOCIAL codAgenteCausador
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado*/
   JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                     AND VM.NRORG    = PE.NRORG
   JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                      AND PE.NRORG    = PH.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   JOIN SST_VITIMA VI ON VI.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                     AND VI.NRORG = PE.NRORG
   LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = VI.CDMUNICIPIO
   /*Tipo Local*/
   LEFT JOIN SST_TIPOLOCALCAT LC ON LC.NRTIPOLOCALCAT = VI.NRTIPOLOCALCAT
                                AND (LC.NRORG = VI.NRORG OR LC.NRORG = '0')
   /*Agente Causador*/
   LEFT JOIN SST_AGENTCAUSAD AG ON AG.NRAGENTCAUSAD = VI.NRAGENTCAUSAD
                               AND (AG.NRORG = VI.NRORG OR AG.NRORG = '0')
   JOIN SST_OCORRENCIA OC ON OC.NROCORRENCIA = VI.NROCORRENCIA
                         AND OC.NRORG = VI.NRORG
   /*Tipo Acidente*/
   LEFT JOIN SST_CLASSIFICACAO CL ON CL.NRCLASSIFICACAO = OC.NRCLASSIFICACAO
                                 AND CL.NRORG = OC.NRORG
   LEFT JOIN SST_TIPOACIDENTE TA ON TA.NRTIPOACIDENTE = CL.NRTIPOACIDENTE
                                AND (TA.NRORG = CL.NRORG OR TA.NRORG = '0')
   /*Situação Geradora*/
   LEFT JOIN SST_TIPOOCORRE TC ON TC.NRTIPOOCORRE = OC.NRTIPOOCORRE
                              AND TC.NRORG = OC.NRORG
   LEFT JOIN SST_SITUGERADORA SG ON SG.NRSITUGERADORA = TC.NRSITUGERADORA
                                AND (SG.NRORG = TC.NRORG OR SG.NRORG = '0')
   /*Parte Atingida*/
   LEFT JOIN SST_VITIMAPARTEATINGIDA VP ON VP.NRVITIMA = VI.NRVITIMA
                                       AND VP.NRORG = VI.NRORG
   LEFT JOIN SST_PARTEATINGIDA PA ON PA.NRPARTEATINGIDA = VP.NRPARTEATINGIDA
                                 AND PA.NRORG = VP.NRORG
   LEFT JOIN SST_PARTATINGESOC PE ON PE.NRPARTATINGESOC = PA.NRPARTATINGESOC
                                 AND (PE.NRORG = PA.NRORG OR PE.NRORG = '0')
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTRESCISAOVINC IS NULL
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Reintegração".
     **/
    public static function dataSetEsocial_S2298($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL

SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Desligamento".
     **/
    public static function dataSetEsocial_S2299($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT NRVINCULOM chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
        DECODE(CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
        NRINSCRICAOPARC nrInsc,
        NRCPFPESSOA cpfTrab,
        NRPISPASEPPES nisTrab,
        CDMATRICULA matricula,
        CDESOCIAL mtvDeslig,
        DTRESCISAOVINC dtDeslig,
        DECODE(VRAVISOPREVIO,0,'N','S') indPagtoAPI,
        DECODE(VRAVISOPREVIO,0,'',DTAVISOPREVIO + VRDIASAVISO) dtProjFimAPI,
        VRLIQUIDO vlrLiquido,
        '__grauExp__' grauExp,
        NRVINCULOM, IDERECPGTO
   FROM (SELECT PAR.CDTIPOINSCRICAO, PAR.NRINSCRICAOPARC, PH.NRCPFPESSOA, PH.NRPISPASEPPES,
                VM.CDMATRICULA, VM.NRVINCULOM, TD.CDESOCIAL, VM.DTRESCISAOVINC, VM.DTAVISOPREVIO,
                IC.NRVINCULOM||CF.NROCORRECAL ideRecPgto,
                SUM(CASE WHEN EM.NREVENTOM IN ('180','190') THEN IC.VREVENTOFOLHA ELSE 0 END) VRAVISOPREVIO,
                SUM(CASE WHEN EM.NREVENTOM IN ('180','190') THEN IC.VRREFFOLHA ELSE 0 END) VRDIASAVISO,
                SUM(CASE WHEN EH.NREVENTOM IN ('3050') THEN IC.VREVENTOFOLHA ELSE 0 END) VRLIQUIDO
           FROM GPE_VINCULOM VM
           JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                               AND VH.NRORG = VM.NRORG
                               AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                         WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                           AND GPE_VINCULOH.NRORG = VH.NRORG)
           LEFT JOIN FPA_TPDEMISSAO TD ON TD.NRTPDEMISSAO = VM.NRTPDEMISSAO
           /*Dados do Empregado*/
           JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                             AND PE.NRORG    = VM.NRORG
           JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                              AND PH.NRORG    = PE.NRORG
                              AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                        WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                          AND GPE_PESSOAH.NRORG = PH.NRORG)
           JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                                   AND IC.NRORG = VM.NRORG
           JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                                   AND CF.NRORG = IC.NRORG
                                   AND CF.NRTIPOMOVIMENT IN (8,9) --Recisão
                                   AND CF.NRTPMODALIDCAL = 1 --Real
                                   AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           LEFT JOIN FPA_EVENTOM EM ON EM.NREVENTOM = IC.NREVENTOM
                                   AND (EM.NRORG = IC.NRORG OR EM.NRORG = '0')
                              AND EM.IDTIPOEVENTO = 'TOTAL'
           LEFT JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                                   AND EH.NRORG = EM.NRORG
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                                             WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                               AND H1.NREVENTOM = EH.NREVENTOM
                                                               AND H1.NRORG = EH.NRORG)
           /*Empregador*/
           JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                              AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
           JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                             AND EMH.NRORG = EMP.NRORG
                             AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                       WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                         AND NRORG = EMH.NRORG)
           JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                               AND PAR.NRORG = EMH.NRORG
          WHERE VM.DTRESCISAOVINC IS NOT NULL
            AND VM.DTRESCISAOVINC = '$fimPeriodo'
            AND VM.NRORG = $nrorg
          GROUP BY PAR.CDTIPOINSCRICAO, PAR.NRINSCRICAOPARC, PH.NRCPFPESSOA, PH.NRPISPASEPPES,
                   VM.CDMATRICULA, VM.NRVINCULOM, TD.CDESOCIAL, VM.DTRESCISAOVINC, VM.DTAVISOPREVIO,
                   IC.NRVINCULOM||CF.NROCORRECAL)
 WHERE WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s2299_verbasResc($nrVinculom, $inicioPeriodo, $fimPeriodo, $nrorg)
    {
        $sqlItemRemun = <<<SQL
SELECT IC.NREVENTOM codRubr,
       EH.NMEVENTOH,
       IC.VRREFFOLHA qtdRubr,
       IC.VREVENTOFOLHA vlrRubr,
       EM.IDTIPOEVENTO,
       CF.NRTIPOMOVIMENT,
       IC.NRCALCULOFOLHA
  FROM FPA_ITECALCFOLHA IC
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG          = IC.NRORG
                          AND CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (8,9) --Recisão
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
  JOIN FPA_EVENTOM EM ON EM.NREVENTOM = IC.NREVENTOM
                     AND (EM.NRORG = IC.NRORG OR EM.NRORG = '0')
  JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                     AND EH.NRORG = EM.NRORG
                     AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                               WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND H1.NREVENTOM = EH.NREVENTOM
                                                 AND H1.NRORG = EH.NRORG)
 WHERE IC.NRORG = $nrorg
   AND IC.NRVINCULOM = $nrVinculom
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlItemRemun);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Trabalhador Sem Vínculo - Inicio".
     **/
    public static function dataSetEsocial_S2300($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       PH.NMPESSOA nmTrab,
       PH.IDSEXOPESSOA sexo,
       RP.CDESOCIAL racaCor,
       EC.CDESOCIAL estCiv,
       GI.CDESOCIAL grauInstr,
       TO_CHAR(PH.DTNASCPESSOA,'YYYY-MM-DD') dtNascto,
       MU.CDMUNICIBGE codMunic,
       PH.SGESTADO uf,
       PA.CDESOCIAL paisNascto,
       PB.CDESOCIAL paisNac,
       (SELECT MAX(PN.NMPRINCIPALPARC)
          FROM RELACIONAPARC RP
          JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                             AND RP.NRORG = PN.NRORG
          WHERE VM.NRORG = RP.NRORG
            AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND RP.NRTIPORELACIONA = 1) nmMae, -- 1=Mae
       (SELECT MAX(PN.NMPRINCIPALPARC)
          FROM RELACIONAPARC RP
          JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                             AND RP.NRORG = PN.NRORG
          WHERE VM.NRORG = RP.NRORG
            AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND RP.NRTIPORELACIONA = 2) nmPai, -- 2=Pai
       PH.NRCTPSPESSOA nrCtps,
       PH.NRSERIECTPSPES serieCtps,
       PH.SGUFCTPSPES ufCtps,
       PH.NRRGPESSOA nrRg,
       PH.CDEXRGPESSOA rg_orgaoEmissor,
       TO_CHAR(PH.DTEXRGPESSOA,'YYYY-MM-DD') rg_dtExped,
       PH.NRDOCUESTRANG nrRne,
       PH.NRCARTHABPES nrRegCnh,
       TO_CHAR(PH.DTHABCARTPES,'YYYY-MM-DD') cnh_dtExped,
       '__ufCnh__' ufCnh,
       TO_CHAR(PH.DTVALHABCARTPES,'YYYY-MM-DD') cnh_dtValidade,
       '__dtPriHab__' dtPriHab,
       PH.DSCATEGHABCART categoriaCnh,
       NVL(LG.CDESOCIAL,'O') tpLograd,
       EP.DSENDERECO dscLograd,
       EP.NRIMOVELENDERECO nrLograd,
       EP.DSCOMPLEENDERECO complemento,
       EP.NMBAIRROENDERECO bairro,
       EP.NRCEPENDERECO cep,
       MP.CDMUNICIBGE brasil_codMunic,
       EP.SGESTADO brasil_uf,
       PC.CDESOCIAL paisResid,
       EE.DSENDERECO exterior_dscLograd,
       EE.NRIMOVELENDERECO exterior_nrLograd,
       EE.DSCOMPLEENDERECO exterior_complemento,
       EE.NMBAIRROENDERECO exterior_bairro,
       ME.NMMUNICIPIO nmCid,
       EE.NRCEPENDERECO codPostal,
       TO_CHAR(PH.NRANOCHEGAPAIS,'YYYY-MM-DD') dtChegada,
       '__classTrabEstang__' classTrabEstang,
       NVL((SELECT MAX('S')
              FROM RELACIONAPARC R
              JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                                AND R.NRORG = N.NRORG
              JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                               AND P.NRORG = N.NRORG
              JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                                AND H.NRORG = P.NRORG
                                AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                         WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND H1.NRPESSOA = H.NRPESSOA
                                                           AND H1.NRORG = H.NRORG)
             WHERE R.NRORG = PE.NRORG
               AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
               AND R.NRTIPORELACIONA = 4 -- 4=Cônjuge
               AND H.CDPAIS = '0055'),'N') casadoBr,
       NVL((SELECT MAX('S')
              FROM RELACIONAPARC R
              JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                                AND R.NRORG = N.NRORG
              JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                               AND P.NRORG = N.NRORG
              JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                                AND H.NRORG = P.NRORG
                                AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                         WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND H1.NRPESSOA = H.NRPESSOA
                                                           AND H1.NRORG = H.NRORG)
             WHERE R.NRORG = PE.NRORG
               AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
               AND R.NRTIPORELACIONA = 3 -- 3=Filho
               AND H.CDPAIS = '0055'),'N') filhosBr,
       DECODE(PH.NRCONDFISPES,'2','S','N') defFisica,
       DECODE(PH.NRCONDFISPES,'4','S','N') defVisual,
       DECODE(PH.NRCONDFISPES,'3','S','N') defAuditiva,
       DECODE(PH.NRCONDFISPES,'5','S','N') defMental,
       '__defIntelectual__' defIntelectual,
       DECODE(PH.NRCONDFISPES,'7','S','N') reabReadap,
       --<<dependentes>>--
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU = '01') fonePrinc, -- 1-Telefone principal
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU IN ('02','03','04','06')) foneAlternat, -- 2-Celular particular 3-Telefone residencial 4-Telefone comercial 6-Celular comercial
       (SELECT MAX(C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
         WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
           AND C.NRORG = PE.NRORG
           AND C.CDFORMACOMU = '05') emailPrinc, -- 5-email
        CE.NRCATEGESOC codCateg,
        TO_CHAR(VM.DTADMISSAOVINC,'YYYY-MM-DD') dtInicio,
        CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END natAtividade,
        VH.NRCARGO codCargo,
        VH.NRFUNCAO codFuncao,
        SL.VRSALARIO vrSalFx,
        DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6') undSalFixo,
        DECODE(VM.DTOPCAOFGTS,NULL,'N','S') opcFGTS,
        TO_CHAR(VM.DTOPCAOFGTS,'YYYY-MM-DD') dtOpcFGTS,
        /*infoDirigenteSindical*/
        DECODE(CE.CDESOCIAL,'401',CE.NRCATEGESOC,'') categOrig,
        DECODE(CE.CDESOCIAL,'401','__cnpjOrigem__','') cnpjOrigem,
        DECODE(CE.CDESOCIAL,'401',TO_CHAR(VM.DTADMISSAOVINC,'YYYY-MM-DD'),'') dtAdmOrig,
        DECODE(CE.CDESOCIAL,'401',VM.CDMATRICULA,'') matricOrig,
        /*infoTrabCedido*/
        DECODE(CE.CDESOCIAL,'410',CE.NRCATEGESOC,'') infoTrabCedido_categOrig,
        DECODE(CE.CDESOCIAL,'410','__cnpjOrigem__','') cnpjCednt,
        DECODE(CE.CDESOCIAL,'410',VM.CDMATRICULA,'') matricCed,
        DECODE(CE.CDESOCIAL,'410',TO_CHAR(VM.DTADMISSAOVINC,'YYYY-MM-DD'),'') dtAdmCed,
        DECODE(CE.CDESOCIAL,'410','__infOnus__','') infOnus,
        /*infoEstagiario*/
        DECODE(CE.CDESOCIAL,'901',SL.VRSALARIO,'') vlrBolsa,
        DECODE(CE.CDESOCIAL,'901',TO_CHAR(VH.DTFIMCONTRDETERMIN,'YYYY-MM-DD'),'') dtPrevTerm
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                           AND VT.IDVINCULOEMPR = 'N'
                           AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                     WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                       AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                       AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
   JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
   LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
   /*Dados do Empregado - Dependentes*/
   JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                     AND VM.NRORG    = PE.NRORG
   JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                      AND PE.NRORG    = PH.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   LEFT JOIN PAIS PA ON PA.CDPAIS = PH.CDPAIS
   /*Dados do Empregado - Naturalidade*/
   LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = PH.CDMUNICIPIO
   LEFT JOIN GPE_NACIONALIDADE NA ON PH.NRNACIONALID = NA.NRNACIONALIDADE
                                 AND (PH.NRORG = NA.NRORG OR NA.NRORG = 0)
   LEFT JOIN PAIS PB ON PB.CDPAIS = NA.CDPAIS
   /*Endereço Principal*/
   LEFT JOIN ENDERECOPARC EP ON PE.NRPARCNEGOCIO = EP.NRPARCNEGOCIO
                            AND PE.NRORG = EP.NRORG
                            AND EP.CDTIPOENDERECO = 'PRINCIPAL'
   LEFT JOIN MUNICIPIO MP ON MP.CDMUNICIPIO = EP.CDMUNICIPIO
   /*Endereço Exterior*/
   LEFT JOIN ENDERECOPARC EE ON PE.NRPARCNEGOCIO = EE.NRPARCNEGOCIO
                            AND PE.NRORG = EE.NRORG
                            AND EE.CDTIPOENDERECO = 'EXTERIOR'
   LEFT JOIN MUNICIPIO ME ON ME.CDMUNICIPIO = EE.CDMUNICIPIO
   LEFT JOIN PAIS PC ON PC.CDPAIS = EE.CDPAIS
   /*Cargo*/
   LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                             AND OH.NRORG = VH.NRORG
                             AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                       WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                         AND GPE_OCUPACAOH.NRORG = OH.NRORG)
   /*Salário*/
   LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                               AND SL.NRORG = VM.NRORG
                               AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                               AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
   /*RaçaCor*/
   LEFT JOIN GPE_RACAPESSOA RP ON RP.NRRACAPESSOA = PH.NRRACAPESSOA
   /*Estado Civil*/
   LEFT JOIN ESTADOCIVIL EC ON EC.CDESTACIVIL = PH.CDESTACIVIL
   /*Grau Instrução*/
   LEFT JOIN GPE_GRAUINSTR GI ON GI.NRGRAUINSTR = PH.NRGRAUINSTR
   /*Logradouro*/
   LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTRESCISAOVINC IS NULL
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Trabalhador Sem Vínculo - Alteraçao Contratual".
     **/
    public static function dataSetEsocial_S2305($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       CE.CDESOCIAL codCateg,
       '__dtAlteracao__' dtAlteracao,
       CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END natAtividade,
       VH.NRCARGO codCargo,
       VH.NRFUNCAO codFuncao,
       SL.VRSALARIO vrSalFx,
       DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6') undSalFixo,
       DECODE(VM.DTOPCAOFGTS,NULL,'N','S') opcFGTS,
       TO_CHAR(VM.DTOPCAOFGTS,'YYYY-MM-DD') dtOpcFGTS,
       /*infoDirigenteSindical*/
       DECODE(CE.CDESOCIAL,'401',CE.CDESOCIAL,'') categOrig,
       DECODE(CE.CDESOCIAL,'401','__cnpjOrigem__','') cnpjOrigem,
       DECODE(CE.CDESOCIAL,'401',TO_CHAR(VM.DTADMISSAOVINC,'YYYY-MM-DD'),'') dtAdmOrig,
       DECODE(CE.CDESOCIAL,'401',VM.CDMATRICULA,'') matricOrig,
       /*infoTrabCedido*/
       DECODE(CE.CDESOCIAL,'410',CE.CDESOCIAL,'') infoTrabCedido_categOrig,
       DECODE(CE.CDESOCIAL,'410','__cnpjOrigem__','') cnpjCednt,
       DECODE(CE.CDESOCIAL,'410',VM.CDMATRICULA,'') matricCed,
       DECODE(CE.CDESOCIAL,'410',TO_CHAR(VM.DTADMISSAOVINC,'YYYY-MM-DD'),'') dtAdmCed,
       DECODE(CE.CDESOCIAL,'410','__infOnus__','') infOnus,
       /*infoEstagiario*/
       DECODE(CE.CDESOCIAL,'901',SL.VRSALARIO,'') vlrBolsa,
       DECODE(CE.CDESOCIAL,'901',TO_CHAR(VH.DTFIMCONTRDETERMIN,'YYYY-MM-DD'),'') dtPrevTerm
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                          AND VT.IDVINCULOEMPR = 'N'
                          AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                    WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                      AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                      AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  /*Dados do Empregado*/
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  /*Cargo*/
  LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                            AND OH.NRORG = VH.NRORG
                            AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                      WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                        AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                        AND GPE_OCUPACAOH.NRORG = OH.NRORG)
  /*Salário*/
  LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                              AND SL.NRORG = VM.NRORG
                              AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                              AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.DTRESCISAOVINC IS NULL
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Afastamento Temporário".
     **/
    public static function dataSetEsocial_S2320($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT SF.NRALTESITUFUNC chave, '__ID__' id,
        'S-2320' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        NVL(VM.CDMATRICULA,VM.NRVINCULOM) matricula,
        SF.DTINISITUFUNC dtAfastamento,
        MA.CDESOCIAL codMotAfastamento,
        DECODE(NVL(MA.CDESOCIAL,'99'),'99',MA.NMMOTIVOAFASTA,'') observacao,
        SF.CDTABECDI codCID,
        SF.DTFIMSITUFUNC - SF.DTINISITUFUNC + 1 qtdDiasAfastamento,
        '__nomeEmitente__' nomeEmitente,
        '__nrOc__' nrOc,
        '__ufOc__' ufOc
   FROM GPE_ALTESITUFUNC SF
   LEFT JOIN GPE_MOTIVOAFASTA MA ON MA.NRMOTIVOAFASTA = SF.NRMOTIVOAFASTA
   JOIN GPE_VINCULOM VM ON VM.NRVINCULOM = SF.NRVINCULOM
                       AND VM.NRORG = SF.NRORG
                       AND VM.DTRESCISAOVINC IS NULL
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado*/
   JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                     AND PE.NRORG    = VM.NRORG
   JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                      AND PH.NRORG    = PE.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE SF.DTINISITUFUNC = '$fimPeriodo'
    AND SF.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Alteração do Motivo de
     * Afastamento".
     **/
    /*public static function dataSetEsocial_S2325($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT NULL FROM DUAL WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }*/

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Retorno de Afastamento
     * temporário".
     **/
    public static function dataSetEsocial_S2330($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT SF.NRALTESITUFUNC chave, '__ID__' id,
        'S-2330' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        NVL(VM.CDMATRICULA,VM.NRVINCULOM) matricula,
        SF.DTINISITUFUNC dtAfastamento,
        MA.CDESOCIAL codMotAfastamento,
        DECODE(NVL(MA.CDESOCIAL,'99'),'99',MA.NMMOTIVOAFASTA,'') observacao,
        SF.CDTABECDI codCID,
        SF.DTFIMSITUFUNC - SF.DTINISITUFUNC + 1 qtdDiasAfastamento,
        '__nomeEmitente__' nomeEmitente,
        '__nrOc__' nrOc,
        '__ufOc__' ufOc
   FROM GPE_ALTESITUFUNC SF
   LEFT JOIN GPE_MOTIVOAFASTA MA ON MA.NRMOTIVOAFASTA = SF.NRMOTIVOAFASTA
   JOIN GPE_VINCULOM VM ON VM.NRVINCULOM = SF.NRVINCULOM
                       AND VM.NRORG = SF.NRORG
                       AND VM.DTRESCISAOVINC IS NULL
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado*/
   JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                     AND PE.NRORG    = VM.NRORG
   JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                      AND PH.NRORG    = PE.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE SF.DTFIMSITUFUNC = '$fimPeriodo'
    AND SF.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Estabilidade Início".
     **/
    public static function dataSetEsocial_S2340($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT EV.NRALTESTABVINC chave, '__ID__' id,
        'S-2340' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        NVL(VM.CDMATRICULA,VM.NRVINCULOM) matricula,
        EV.DTINIESTABVINC dtIniEstabilidade,
        ME.CDESOCIAL codMotivoEstabilidade,
        '' observacao
   FROM GPE_ALTESTABVINC EV
   JOIN GPE_VINCULOM VM ON VM.NRVINCULOM = EV.NRVINCULOM
                       AND VM.NRORG = EV.NRORG
                       AND VM.DTRESCISAOVINC IS NULL
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado*/
   JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                     AND PE.NRORG    = VM.NRORG
   JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                      AND PH.NRORG    = PE.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   LEFT JOIN GPE_MOTIVOESTAB ME ON ME.NRMOTIVOESTAB = EV.NRMOTIVOESTAB
                               AND (ME.NRORG = EV.NRORG OR ME.NRORG = '0')
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE EV.DTINIESTABVINC = '$fimPeriodo'
    AND EV.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Estabilidade Término".
     **/
    public static function dataSetEsocial_S2345($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT EV.NRALTESTABVINC chave, '__ID__' id,
        'S-2345' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        NVL(VM.CDMATRICULA,VM.NRVINCULOM) matricula,
        EV.DTFIMESTABVINC dtFimEstabilidade,
        ME.CDESOCIAL codMotivoEstabilidade,
        '' observacao
   FROM GPE_ALTESTABVINC EV
   JOIN GPE_VINCULOM VM ON VM.NRVINCULOM = EV.NRVINCULOM
                       AND VM.NRORG = EV.NRORG
                       AND VM.DTRESCISAOVINC IS NULL
   JOIN GPE_VINCULOH VH ON VH.NRESTRUTLEGAL = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado*/
   JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                     AND PE.NRORG    = VM.NRORG
   JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                      AND PH.NRORG    = PE.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   LEFT JOIN GPE_MOTIVOESTAB ME ON ME.NRMOTIVOESTAB = EV.NRMOTIVOESTAB
                               AND (ME.NRORG = EV.NRORG OR ME.NRORG = '0')
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE EV.DTFIMESTABVINC = '$fimPeriodo'
    AND EV.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Trabalhador Sem Vínculo - Término".
     **/
    public static function dataSetEsocial_S2399($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente, $indRetificacao, $nrRecibo)
    {
        $sql = <<<SQL
SELECT VM.NRVINCULOM chave,
       '__ID__' id,
       '$versaoEsocial' versao,
       '$indRetificacao' indRetif,
       '$nrRecibo' nrRecibo,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PAR.NRINSCRICAOPARC nrInsc,
       PH.NRCPFPESSOA cpfTrab,
       PH.NRPISPASEPPES nisTrab,
       CE.CDESOCIAL codCateg,
       VM.DTRESCISAOVINC dtTerm,
       '__mtvDesligTSV__' mtvDesligTSV,
       --<<verbasResc>>--
       IC.NRVINCULOM||CF.NROCORRECAL ideRecPgto,
       SUM(CASE WHEN EH.NREVENTOM IN ('3050') THEN IC.VREVENTOFOLHA ELSE 0 END) vlrPgto,
       IC.NRVINCULOM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                          AND VT.IDVINCULOEMPR = 'N'
                          AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                    WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                      AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                      AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  /*Dados do Empregado*/
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                          AND IC.NRORG = VM.NRORG
  JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRORG = IC.NRORG
                          AND CF.NRTIPOMOVIMENT IN (8,9) --Recisão
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
  LEFT JOIN FPA_EVENTOM EM ON EM.NREVENTOM = IC.NREVENTOM
                          AND (EM.NRORG = IC.NRORG OR EM.NRORG = '0')
                     AND EM.IDTIPOEVENTO = 'TOTAL'
  LEFT JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                          AND EH.NRORG = EM.NRORG
                          AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                                    WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                      AND H1.NREVENTOM = EH.NREVENTOM
                                                      AND H1.NRORG = EH.NRORG)
  /*Empregador*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                     AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
  JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                    AND EMH.NRORG = EMP.NRORG
                    AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                AND NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.DTRESCISAOVINC IS NULL
   AND VM.DTRESCISAOVINC = '$fimPeriodo'
   AND VM.NRORG = $nrorg
   AND WHERE_PLACEHOLDER
 GROUP BY VM.NRVINCULOM,
       '__ID__',
       '$versaoEsocial',
       '$indRetificacao',
       '$nrRecibo',
       '$tpAmbiente',
       '1',
       '$versaoHRM',
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2',''),
        PAR.NRINSCRICAOPARC,
        PH.NRCPFPESSOA,
        PH.NRPISPASEPPES,
        CE.CDESOCIAL,
        VM.DTRESCISAOVINC,
        '__mtvDesligTSV__',
        IC.NRVINCULOM||CF.NROCORRECAL, IC.NRVINCULOM
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    public static function s2399_verbasResc($nrVinculom, $inicioPeriodo, $fimPeriodo, $nrorg)
    {
        $sqlItemRemun = <<<SQL
SELECT IC.NREVENTOM codRubr,
       EH.NMEVENTOH,
       IC.VRREFFOLHA qtdRubr,
       IC.VREVENTOFOLHA vlrRubr,
       EM.IDTIPOEVENTO,
       CF.NRTIPOMOVIMENT,
       IC.NRCALCULOFOLHA
  FROM FPA_ITECALCFOLHA IC
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG          = IC.NRORG
                          AND CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (8,9) --Recisão
                          AND CF.NRTPMODALIDCAL = 1 --Real
                          AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
  JOIN FPA_EVENTOM EM ON EM.NREVENTOM = IC.NREVENTOM
                     AND (EM.NRORG = IC.NRORG OR EM.NRORG = '0')
  JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                     AND EH.NRORG = EM.NRORG
                     AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                               WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND H1.NREVENTOM = EH.NREVENTOM
                                                 AND H1.NRORG = EH.NRORG)
 WHERE IC.NRORG = $nrorg
   AND IC.NRVINCULOM = $nrVinculom
SQL;

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlItemRemun);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Aviso Prévio".
     **/
    public static function dataSetEsocial_S2400($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT VM.NRVINCULOM chave, '__ID__' id,
        'S-2400' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        NVL(VM.CDMATRICULA,VM.NRVINCULOM) matricula,
        VM.DTAVISOPREVIO dtAvisoPrévio,
        VM.DTRESCISAOVINC dtPrevDesligamento,
        TA.CDESOCIAL tpAvisoPrevio
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   /*Dados do Empregado*/
   JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                     AND PE.NRORG    = VM.NRORG
   JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                      AND PH.NRORG    = PE.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   LEFT JOIN GPE_TIPOAVISOPRE TA ON TA.NRTPAVIPRE = VM.NRTPAVIPRE
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTAVISOPREVIO >= '$fimPeriodo'
    AND VM.DTRESCISAOVINC <= '$fimPeriodo'
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Trabalhador Sem Vínculo de Emprego - Inicio".
     **/
    public static function dataSetEsocial_S2600($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT VM.NRVINCULOM chave, '__ID__' id,
        'S-2600' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        PH.NMPESSOA nomeTrab,
        PH.IDSEXOPESSOA sexo,
        RP.CDESOCIAL racaCor,
        EC.CDESOCIAL estadoCivil,
        GI.CDESOCIAL grauInstrucao,
        TO_CHAR(PH.DTNASCPESSOA,'DDMMYYYY') dtNascto,
        MU.CDMUNICIBGE codMunicipio,
        PH.SGESTADO uf,
        PA.CDESOCIAL paisNascto,
        PB.CDESOCIAL paisNacionalidade,
        (SELECT MAX(PN.NMPRINCIPALPARC)
           FROM RELACIONAPARC RP
           JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                              AND RP.NRORG = PN.NRORG
           WHERE VM.NRORG = RP.NRORG
             AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
             AND RP.NRTIPORELACIONA = 1) nomeMae, -- 1=Mae
        (SELECT MAX(PN.NMPRINCIPALPARC)
           FROM RELACIONAPARC RP
           JOIN PARCNEGOCIO PN ON RP.NRPARCNEGRELAC = PN.NRPARCNEGOCIO
                              AND RP.NRORG = PN.NRORG
           WHERE VM.NRORG = RP.NRORG
             AND RP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
             AND RP.NRTIPORELACIONA = 2) nomePai, -- 2=Pai
        PH.NRCTPSPESSOA nrCtps,
        PH.NRSERIECTPSPES serieCtps,
        PH.SGUFCTPSPES ufCtps,
        PH.NRRGPESSOA nrRg,
        PH.CDEXRGPESSOA rgOrgaoEmissor,
        TO_CHAR(PH.DTEXRGPESSOA,'DDMMYYYY') rgDtExpedicao,
        PH.NRDOCUESTRANG nrRne,
        PH.NRCARTHABPES nrCnh,
        TO_CHAR(PH.DTHABCARTPES,'DDMMYYYY') cnhDtExpedicao,
        TO_CHAR(PH.DTVALHABCARTPES,'DDMMYYYY') cnhDtValidade,
        NVL(LG.CDESOCIAL,'O') tpLogradouro,
        EP.DSENDERECO descLogradouro,
        EP.NRIMOVELENDERECO nrLogradouro,
        EP.DSCOMPLEENDERECO complemento,
        EP.NMBAIRROENDERECO bairro,
        EP.NRCEPENDERECO cep,
        MP.CDMUNICIBGE braCodMunicipio,
        EP.SGESTADO braUf,
        PC.CDESOCIAL paisResidencia,
        EE.DSENDERECO extDescLogradouro,
        EE.NRIMOVELENDERECO extNrLogradouro,
        EE.DSCOMPLEENDERECO extComplemento,
        EE.NMBAIRROENDERECO extBairro,
        ME.NMMUNICIPIO nomeCidade,
        EE.NRCEPENDERECO codPostal,
        TO_CHAR(PH.NRANOCHEGAPAIS,'DDMMYYYY') dtChegada,
        TO_CHAR(PH.DTNATURALIZAPES,'DDMMYYYY') dtNaturalizacao,
        NVL((SELECT MAX('S')
             FROM RELACIONAPARC R
             JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                               AND R.NRORG = N.NRORG
             JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                              AND P.NRORG = N.NRORG
             JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                               AND H.NRORG = P.NRORG
                               AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                        WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND H1.NRPESSOA = H.NRPESSOA
                                                          AND H1.NRORG = H.NRORG)
            WHERE R.NRORG = PE.NRORG
              AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
              AND R.NRTIPORELACIONA = 4 -- 4=Cônjuge
              AND H.CDPAIS = '0055'),'N') casadoBr,
        NVL((SELECT MAX('S')
             FROM RELACIONAPARC R
             JOIN PARCNEGOCIO N ON R.NRPARCNEGRELAC = N.NRPARCNEGOCIO
                               AND R.NRORG = N.NRORG
             JOIN GPE_PESSOA P ON P.NRPARCNEGOCIO = N.NRPARCNEGOCIO
                              AND P.NRORG = N.NRORG
             JOIN GPE_PESSOAH H ON H.NRPESSOA = P.NRPESSOA
                               AND H.NRORG = P.NRORG
                               AND H.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                        WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND H1.NRPESSOA = H.NRPESSOA
                                                          AND H1.NRORG = H.NRORG)
            WHERE R.NRORG = PE.NRORG
              AND R.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
              AND R.NRTIPORELACIONA = 3 -- 3=Filho
              AND H.CDPAIS = '0055'),'N') filhosBr,
        DECODE(PH.NRCONDFISPES,'2','S','N') defFisica,
        DECODE(PH.NRCONDFISPES,'4','S','N') defVisual,
        DECODE(PH.NRCONDFISPES,'3','S','N') defAuditiva,
        DECODE(PH.NRCONDFISPES,'5','S','N') defMental,
        DECODE(PH.NRCONDFISPES,'7','S','N') reabilitado,
        PE.NRPARCNEGOCIO, PE.NRORG,
        (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
           FROM COMUNICAPARC C
          WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND C.NRORG = PE.NRORG
            AND C.CDFORMACOMU = '01') fonePrincipal, -- 1-Telefone principal
        (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
           FROM COMUNICAPARC C
          WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND C.NRORG = PE.NRORG
            AND C.CDFORMACOMU IN ('02','03','04','06')) foneAlternativo, -- 2-Celular particular 3-Telefone residencial 4-Telefone comercial 6-Celular comercial
        (SELECT MAX(C.CDCOMUNICAPARC)
           FROM COMUNICAPARC C
          WHERE C.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
            AND C.NRORG = PE.NRORG
            AND C.CDFORMACOMU = '05') emailPrincipal, -- 5-email
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'2',TO_CHAR(VM.DTADMISSAOVINC,'DDMMYYYY'),'') avulsoDtInicio,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'2',CE.NRCATEGESOC,'') avulsoCodCateg,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',CE.NRCATEGESOC,'') indivCodCateg,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',TO_CHAR(VM.DTADMISSAOVINC,'DDMMYYYY'),'') indivDtInicio,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',VH.NRFUNCAO,'') indivCodFuncao,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',VH.NRCARGO,'') indivCodCargo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',OH.NRCBO,'') indivCodCBO,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',SL.VRSALARIO,'') indivVlrSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6'),'') indivUnidSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',DECODE(VM.DTOPCAOFGTS,NULL,'N','S'),'') indivOptanteFGTS,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',TO_CHAR(VM.DTOPCAOFGTS,'DDMMYYYY'),'') indivDtOpcaoFGTS,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',TO_CHAR(VM.DTADMISSAOVINC,'DDMMYYYY'),'') servidorDtInicio,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',CE.NRCATEGESOC,'') servidorCodCateg,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',VH.NRFUNCAO,'') servidorCodFuncao,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',VH.NRCARGO,'') servidorCodCargo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',OH.NRCBO,'') servidorCodCBO,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',SL.VRSALARIO,'') servidorVlrSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6'),'') servidorUnidSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'9',TO_CHAR(VM.DTADMISSAOVINC,'DDMMYYYY'),'') estagDtInicio,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'9',CE.NRCATEGESOC,'') estagCodCateg,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'9',SL.VRSALARIO,'') estagVlrSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'9',TO_CHAR(VH.DTFIMCONTRDETERMIN,'DDMMYYYY'),'') estagDtPrevistaTermino
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                           AND VT.IDVINCULOEMPR = 'N'
                           AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                     WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                       AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                       AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
   JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
   LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
   /*Dados do Empregado - Dependentes*/
   JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                     AND VM.NRORG    = PE.NRORG
   JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                      AND PE.NRORG    = PH.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   LEFT JOIN PAIS PA ON PA.CDPAIS = PH.CDPAIS
   /*Dados do Empregado - Naturalidade*/
   LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = PH.CDMUNICIPIO
   LEFT JOIN GPE_NACIONALIDADE NA ON PH.NRNACIONALID = NA.NRNACIONALIDADE
                                 AND (PH.NRORG = NA.NRORG OR NA.NRORG = 0)
   LEFT JOIN PAIS PB ON PB.CDPAIS = NA.CDPAIS
   /*Endereço Principal*/
   LEFT JOIN ENDERECOPARC EP ON PE.NRPARCNEGOCIO = EP.NRPARCNEGOCIO
                            AND PE.NRORG = EP.NRORG
                            AND EP.CDTIPOENDERECO = 'PRINCIPAL'
   LEFT JOIN MUNICIPIO MP ON MP.CDMUNICIPIO = EP.CDMUNICIPIO
   /*Endereço Exterior*/
   LEFT JOIN ENDERECOPARC EE ON PE.NRPARCNEGOCIO = EE.NRPARCNEGOCIO
                            AND PE.NRORG = EE.NRORG
                            AND EE.CDTIPOENDERECO = 'EXTERIOR'
   LEFT JOIN MUNICIPIO ME ON ME.CDMUNICIPIO = EE.CDMUNICIPIO
   LEFT JOIN PAIS PC ON PC.CDPAIS = EE.CDPAIS
   /*Cargo*/
   LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                             AND OH.NRORG = VH.NRORG
                             AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                       WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                         AND GPE_OCUPACAOH.NRORG = OH.NRORG)
   /*Salário*/
   LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                               AND SL.NRORG = VM.NRORG
                               AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                               AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
   /*RaçaCor*/
   LEFT JOIN GPE_RACAPESSOA RP ON RP.NRRACAPESSOA = PH.NRRACAPESSOA
   /*Estado Civil*/
   LEFT JOIN ESTADOCIVIL EC ON EC.CDESTACIVIL = PH.CDESTACIVIL
   /*Grau Instrução*/
   LEFT JOIN GPE_GRAUINSTR GI ON GI.NRGRAUINSTR = PH.NRGRAUINSTR
   /*Logradouro*/
   LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTRESCISAOVINC IS NULL
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Trabalhador Sem Vínculo de Emprego - Alt. Contratual".
     **/
    public static function dataSetEsocial_S2620($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT VM.NRVINCULOM chave, '__ID__' id,
        'S-2620' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        '__dtAlteracao__' dtAlteracao,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',CE.NRCATEGESOC,'') indivCodCateg,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',VH.NRFUNCAO,'') indivCodFuncao,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',VH.NRCARGO,'') indivCodCargo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',OH.NRCBO,'') indivCodCBO,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',SL.VRSALARIO,'') indivVlrSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6'),'') indivUnidSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',VH.NRFUNCAO,'') servidorCodFuncao,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',OH.NRCBO,'') servidorCodCBO,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',SL.VRSALARIO,'') servidorVlrSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6'),'') servidorUnidSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'9',SL.VRSALARIO,'') estagVlrSalFixo,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'9',TO_CHAR(VH.DTFIMCONTRDETERMIN,'DDMMYYYY'),'') estagDtPrevistaTermino
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                           AND VT.IDVINCULOEMPR = 'N'
                           AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                     WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                       AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                       AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
   JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
   LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
   /*Dados do Empregado - Dependentes*/
   JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                     AND VM.NRORG    = PE.NRORG
   JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                      AND PE.NRORG    = PH.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   /*Cargo*/
   LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                             AND OH.NRORG = VH.NRORG
                             AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                       WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                         AND GPE_OCUPACAOH.NRORG = OH.NRORG)
   /*Salário*/
   LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                               AND SL.NRORG = VM.NRORG
                               AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                               AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTRESCISAOVINC IS NULL
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Trabalhador Sem Vínculo de Emprego - Término".
     **/
    public static function dataSetEsocial_S2680($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT VM.NRVINCULOM chave, '__ID__' id,
        'S-2680' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        PAR.NRINSCRICAOPARC nrInscricao,
        PH.NRCPFPESSOA cpfTrab,
        PH.NRPISPASEPPES nisTrab,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'2',TO_CHAR(VM.DTRESCISAOVINC,'DDMMYYYY'),'') avulsoDtAlteracao,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'7',CE.NRCATEGESOC,'') indivCodCateg,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'2',TO_CHAR(VM.DTRESCISAOVINC,'DDMMYYYY'),'') indivDtAlteracao,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'3',TO_CHAR(VM.DTRESCISAOVINC,'DDMMYYYY'),'') servidorDtAlteracao,
        DECODE(SUBSTR(CE.CDESOCIAL,1,1),'9',TO_CHAR(VH.DTFIMCONTRDETERMIN,'DDMMYYYY'),'') estagDtPrevistaTermino
   FROM GPE_VINCULOM VM
   JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                       AND VH.NRORG = VM.NRORG
                       AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                 WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                   AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                   AND GPE_VINCULOH.NRORG = VH.NRORG)
   JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                           AND VT.IDVINCULOEMPR = 'N'
                           AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                     WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                       AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                       AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
   JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
   LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
   /*Dados do Empregado - Dependentes*/
   JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                     AND VM.NRORG    = PE.NRORG
   JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                      AND PE.NRORG    = PH.NRORG
                      AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                  AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                  AND GPE_PESSOAH.NRORG = PH.NRORG)
   LEFT JOIN PAIS PA ON PA.CDPAIS = PH.CDPAIS
   /*Dados do Empregado - Naturalidade*/
   LEFT JOIN MUNICIPIO MU ON MU.CDMUNICIPIO = PH.CDMUNICIPIO
   LEFT JOIN GPE_NACIONALIDADE NA ON PH.NRNACIONALID = NA.NRNACIONALIDADE
                                 AND (PH.NRORG = NA.NRORG OR NA.NRORG = 0)
   LEFT JOIN PAIS PB ON PB.CDPAIS = NA.CDPAIS
   /*Endereço Principal*/
   LEFT JOIN ENDERECOPARC EP ON PE.NRPARCNEGOCIO = EP.NRPARCNEGOCIO
                            AND PE.NRORG = EP.NRORG
                            AND EP.CDTIPOENDERECO = 'PRINCIPAL'
   LEFT JOIN MUNICIPIO MP ON MP.CDMUNICIPIO = EP.CDMUNICIPIO
   /*Endereço Exterior*/
   LEFT JOIN ENDERECOPARC EE ON PE.NRPARCNEGOCIO = EE.NRPARCNEGOCIO
                            AND PE.NRORG = EE.NRORG
                            AND EE.CDTIPOENDERECO = 'EXTERIOR'
   LEFT JOIN MUNICIPIO ME ON ME.CDMUNICIPIO = EE.CDMUNICIPIO
   LEFT JOIN PAIS PC ON PC.CDPAIS = EE.CDPAIS
   /*Cargo*/
   LEFT JOIN GPE_OCUPACAOH OH ON OH.NROCUPACAOM = VH.NRCARGO
                             AND OH.NRORG = VH.NRORG
                             AND OH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                       WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND GPE_OCUPACAOH.NROCUPACAOM = OH.NROCUPACAOM
                                                         AND GPE_OCUPACAOH.NRORG = OH.NRORG)
   /*Salário*/
   LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                               AND SL.NRORG = VM.NRORG
                               AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY('$fimPeriodo')
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                               AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                        WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                          AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                          AND GPE_ALTESALARIO.NRORG = SL.NRORG)
   /*RaçaCor*/
   LEFT JOIN GPE_RACAPESSOA RP ON RP.NRRACAPESSOA = PH.NRRACAPESSOA
   /*Estado Civil*/
   LEFT JOIN ESTADOCIVIL EC ON EC.CDESTACIVIL = PH.CDESTACIVIL
   /*Grau Instrução*/
   LEFT JOIN GPE_GRAUINSTR GI ON GI.NRGRAUINSTR = PH.NRGRAUINSTR
   /*Logradouro*/
   LEFT JOIN LOGRADOURO LG ON LG.CDLOGRADOURO = EP.CDLOGRADOURO
   /*Empregador*/
   JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                      AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
   JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                     AND EMH.NRORG = EMP.NRORG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                 AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND NRORG = EMH.NRORG)
   JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                       AND PAR.NRORG = EMH.NRORG
  WHERE VM.DTRESCISAOVINC IS NULL
    AND VM.NRORG = $nrorg
    AND WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        $resultset = \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);

        return $resultset;
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Desligamento".
     **/
    public static function dataSetEsocial_S2800($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM)
    {
        $sql = "SELECT NRVINCULOM chave, '__ID__' id,
        'S-2800' versao,
        '1' indRetificacao,
        '1' tpAmb,
        '1' procEmi,
        '1' indSegmento,
        '$versaoHRM' verProc,
        DECODE(CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
        NRINSCRICAOPARC nrInscricao,
        NRCPFPESSOA cpfTrab,
        NRPISPASEPPES nisTrab,
        NVL(CDMATRICULA,NRVINCULOM) matricula,
        CDESOCIAL motivoDesligamento,
        DTRESCISAOVINC dtDesligamento,
        DECODE(VRAVISOPREVIO,0,'N','S') indPagtoAPI,
        DECODE(VRAVISOPREVIO,0,'',DTAVISOPREVIO + VRDIASAVISO) dtTerminoAPI,
        VRBCCPPROV - VRBCCPDESC bcCP,
        VRBCIRRFPROV - VRBCIRRFDESC bcIRRF,
        VRBCFGTSPROV - VRBCFGTSDESC bcFGTS,
        VRBCFGTSINDEPROV - VRBCFGTSINDEDESC bcFGTSVerbasIndeniz,
        VRDESCCP descCP,
        VRPROVENTOS vlrProventos,
        VRDESCONTOS vlrDescontos,
        VRLIQUIDO vlrLiquido,
        '1' grauExp,
        NRVINCULOM
   FROM (SELECT PAR.CDTIPOINSCRICAO, PAR.NRINSCRICAOPARC, PH.NRCPFPESSOA, PH.NRPISPASEPPES,
                VM.CDMATRICULA, VM.NRVINCULOM, TD.CDESOCIAL, VM.DTRESCISAOVINC, VM.DTAVISOPREVIO,
                SUM(CASE WHEN EM.NREVENTOM IN ('180','190') THEN IC.VREVENTOFOLHA ELSE 0 END) VRAVISOPREVIO,
                SUM(CASE WHEN EM.NREVENTOM IN ('180','190') THEN IC.VRREFFOLHA ELSE 0 END) VRDIASAVISO,
                SUM(CASE WHEN EH.NRINCIDCP IN ('2','3','4','5','11','12','13','14') AND EM.IDTIPOEVENTO = 'PROVENTO' THEN IC.VREVENTOFOLHA ELSE 0 END) VRBCCPPROV,
                SUM(CASE WHEN EH.NRINCIDCP IN ('2','3','4','5','11','12','13','14') AND EM.IDTIPOEVENTO = 'DESCONTO' THEN IC.VREVENTOFOLHA ELSE 0 END) VRBCCPDESC,
                SUM(CASE WHEN EH.NRINCIDIRRF IN ('2','3','4','5') AND EM.IDTIPOEVENTO = 'PROVENTO' THEN IC.VREVENTOFOLHA ELSE 0 END) VRBCIRRFPROV,
                SUM(CASE WHEN EH.NRINCIDIRRF IN ('2','3','4','5') AND EM.IDTIPOEVENTO = 'DESCONTO' THEN IC.VREVENTOFOLHA ELSE 0 END) VRBCIRRFDESC,
                SUM(CASE WHEN EH.NRINCIDFGTS = '2' AND EM.IDTIPOEVENTO = 'PROVENTO' THEN IC.VREVENTOFOLHA ELSE 0 END) VRBCFGTSPROV,
                SUM(CASE WHEN EH.NRINCIDFGTS = '2' AND EM.IDTIPOEVENTO = 'DESCONTO' THEN IC.VREVENTOFOLHA ELSE 0 END) VRBCFGTSDESC,
                SUM(CASE WHEN EH.NREVENTOM IN ('420','430') THEN IC.VREVENTOFOLHA ELSE 0 END) VRBCFGTSINDEPROV,
                SUM(CASE WHEN EH.NREVENTOM IN ('2100','2120') THEN IC.VREVENTOFOLHA ELSE 0 END) VRBCFGTSINDEDESC,
                SUM(CASE WHEN EH.NRINCIDCP IN ('31','32') AND EM.IDTIPOEVENTO = 'DESCONTO' THEN IC.VREVENTOFOLHA ELSE 0 END) VRDESCCP,
                SUM(CASE WHEN EH.NREVENTOM IN ('3010') THEN IC.VREVENTOFOLHA ELSE 0 END) VRPROVENTOS,
                SUM(CASE WHEN EH.NREVENTOM IN ('3020') THEN IC.VREVENTOFOLHA ELSE 0 END) VRDESCONTOS,
                SUM(CASE WHEN EH.NREVENTOM IN ('3050') THEN IC.VREVENTOFOLHA ELSE 0 END) VRLIQUIDO
           FROM GPE_VINCULOM VM
           JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                               AND VH.NRORG = VM.NRORG
                               AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                         WHERE GPE_VINCULOH.DTMESCOMPETENC <= '$fimPeriodo'
                                                           AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                           AND GPE_VINCULOH.NRORG = VH.NRORG)
           LEFT JOIN FPA_TPDEMISSAO TD ON TD.NRTPDEMISSAO = VM.NRTPDEMISSAO
           /*Dados do Empregado*/
           JOIN GPE_PESSOA PE ON PE.NRPESSOA = VM.NRPESSOA
                             AND PE.NRORG    = VM.NRORG
           JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                              AND PH.NRORG    = PE.NRORG
                              AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                        WHERE GPE_PESSOAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                          AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                          AND GPE_PESSOAH.NRORG = PH.NRORG)
           JOIN FPA_ITECALCFOLHA IC ON IC.NRVINCULOM = VM.NRVINCULOM
                                   AND IC.NRORG = VM.NRORG
           JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                                   AND CF.NRORG = IC.NRORG
                                   AND CF.NRTIPOMOVIMENT IN (8,9) --Recisão
                                   AND CF.NRTPMODALIDCAL = 1 --Real
                                   AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
           LEFT JOIN FPA_EVENTOM EM ON EM.NREVENTOM = IC.NREVENTOM
                                   AND (EM.NRORG = IC.NRORG OR EM.NRORG = '0')
                              AND EM.IDTIPOEVENTO = 'TOTAL'
           LEFT JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                                   AND EH.NRORG = EM.NRORG
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                                             WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                               AND H1.NREVENTOM = EH.NREVENTOM
                                                               AND H1.NRORG = EH.NRORG)
           /*Empregador*/
           JOIN ESTRUTURAM EMP ON EMP.NRORG = VH.NRORG
                              AND EMP.NRESTRUTURAM = GET_NRESTRUTURA_SUPERIOR(VH.NRORG, VH.NRESTRUTGEREN, 1, '$fimPeriodo')
           JOIN ESTRUTURAH EMH ON EMH.NRESTRUTURAM = EMP.NRESTRUTURAM
                             AND EMH.NRORG = EMP.NRORG
                             AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                       WHERE DTMESCOMPETENC <= '$fimPeriodo'
                                                         AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                         AND NRORG = EMH.NRORG)
           JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                               AND PAR.NRORG = EMH.NRORG
          WHERE VM.DTRESCISAOVINC IS NOT NULL
            AND VM.DTRESCISAOVINC = '$fimPeriodo'
            AND VM.NRORG = $nrorg
          GROUP BY PAR.CDTIPOINSCRICAO, PAR.NRINSCRICAOPARC, PH.NRCPFPESSOA, PH.NRPISPASEPPES,
                   VM.CDMATRICULA, VM.NRVINCULOM, TD.CDESOCIAL, VM.DTRESCISAOVINC, VM.DTAVISOPREVIO)
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    public static function s2800_ItemRemuneracao($nrVinculom, $inicioPeriodo, $fimPeriodo, $nrorg)
    {
        $sqlItemRemun = "SELECT IC.NREVENTOM codRubrica,
                                   EH.NMEVENTOH,
                                   IC.VRREFFOLHA qtdRubrica,
                                   IC.VREVENTOFOLHA vlrRubrica,
                                   EM.IDTIPOEVENTO,
                                   CF.NRTIPOMOVIMENT,
                                   IC.NRCALCULOFOLHA
                              FROM FPA_ITECALCFOLHA IC
                              JOIN FPA_CALCULOFOLHA CF ON CF.NRORG          = IC.NRORG
                                                      AND CF.NRCALCULOFOLHA = IC.NRCALCULOFOLHA
                                                      AND CF.NRTIPOMOVIMENT IN (8,9) --Recisão
                                                      AND CF.NRTPMODALIDCAL = 1 --Real
                                                      AND CF.DTOCORRENCIA BETWEEN '$inicioPeriodo' AND '$fimPeriodo'
                              JOIN FPA_EVENTOM EM ON EM.NREVENTOM = IC.NREVENTOM
                                                 AND (EM.NRORG = IC.NRORG OR EM.NRORG = '0')
                              JOIN FPA_EVENTOH EH ON EH.NREVENTOM = EM.NREVENTOM
                                                 AND EH.NRORG = EM.NRORG
                                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM FPA_EVENTOH H1
                                                                           WHERE H1.DTMESCOMPETENC <= '$fimPeriodo'
                                                                             AND H1.NREVENTOM = EH.NREVENTOM
                                                                             AND H1.NRORG = EH.NRORG)
                             WHERE IC.NRORG = $nrorg
                               AND IC.NRVINCULOM = $nrVinculom";

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sqlItemRemun);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Exclusão de Eventos".
     **/
    public static function dataSetEsocial_S2900($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo, $utilizaIntervaloDeDatas, $nrorg, $versaoHRM,
                                  $idRetificacao, $nrRecibo, $idApuracao, $tpEvento, $nrReciboEvento, $cpfTrab, $nisTrab, $indApuracao, $perApuracao)
    {
        $sql = "SELECT '__ID__' id,
       'S-2900' versao,
       '1' tpAmb,
       '1' procEmi,
       '1' indSegmento,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInscricao,
       PN.NRINSCRICAOPARC nrInscricao,
       '$tpEvento' tpEvento,
       '$nrReciboEvento' nrReciboEvento,
       '$cpfTrab' cpfTrab,
       '$nisTrab' nisTrab,
       '$indApuracao' indApuracao,
       '$perApuracao' perApuracao
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                      AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
          WHERE PO.NRORG = $nrorg) EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EM.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER";
        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }

    /**
     * Retorna os dados para a geracao do arquivo de integracao com o e-Social, para o evento de "Exclusão de Eventos".
     **/
    public static function dataSetEsocial_S3000($dsordem, $limiteInferior, $limiteSuperior, $inicioPeriodo, $fimPeriodo,
                                                $utilizaIntervaloDeDatas, $nrorg, $versaoHRM, $versaoEsocial, $tpAmbiente,
                                                $tpEvento, $nrReciboEvento, $cpfTrab, $nisTrab, $indApuracao, $perApuracao)
    {
        $sql = <<<SQL
SELECT '__ID__' id,
       '$versaoEsocial' versao,
       '$tpAmbiente' tpAmb,
       '1' procEmi,
       '$versaoHRM' verProc,
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       PN.NRINSCRICAOPARC nrInsc,
       '$tpEvento' tpEvento,
       '$nrReciboEvento' nrRecEvt,
       '$cpfTrab' cpfTrab,
       '$nisTrab' nisTrab,
       '$indApuracao' indApuracao,
       '$perApuracao' perApur
  FROM (SELECT DISTINCT GET_NRESTRUTURA_SUPERIOR(EM.NRORG, EM.NRESTRUTURAM, 1, '$fimPeriodo') NREMPREGADOR, EM.NRORG
          FROM GPE_PARAMORG PO
          JOIN ESTRUTURAM EM ON PO.NRORG = EM.NRORG
                      AND PO.NRTPESTRUTLEGAL = EM.NRTIPOESTRUTURA
          WHERE PO.NRORG = $nrorg) EMP
  JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = EMP.NREMPREGADOR
                    AND EM.NRORG = EMP.NRORG
  JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.NRORG = EM.NRORG
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= '$fimPeriodo'
                                                AND ESTRUTURAH.NRESTRUTURAM = EM.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                     AND PN.NRORG = EH.NRORG
 WHERE WHERE_PLACEHOLDER
SQL;

        $where = "1=1";
        $sql = str_replace("WHERE_PLACEHOLDER", $where, $sql);

        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql);
    }
}